phosh (0.51~rc1) experimental; urgency=medium

  [ Rudra Pratap Singh ]
  * upcoming-events: Show appropriate status page in case of no events.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1255
    Fixes: 6614bbd39 ("upcoming-events: Add new setting for skipping non-event days")
  * upcoming-events: Reindent UI file
  * caffeine: Add libcall-ui as dependency
  * caffeine: Refactor icon names into defines.
    No functional change.
  * caffeine: Allow to select caffeine duration.
    With this, we add support for custom intervals
    in caffeine. It will decide how long caffeine
    will stay on for. Intervals can be added/selected
    individually via gsettings keys.

  [ Guido Günther ]
  * layout-manager: Don't forget to init corner shift.
    This ensures we have the correct default in case of no rounded corners.
  * top-panel: Shift gear icon according to corner shift
  * top-panel: Drop `name` property.
    Fixes the
       (phosh:1106322): Gtk-WARNING **: 17:26:18.095: GtkBox does not have a child property called name
    warning on startup.
    Fixes: b567c6ed3 ("top-panel: Add gear button")
  * doc: Use apt instead of apt-get. Let's be modern here.
  * screenshot: Update screenshot. Let's be at least as recent as Wikipedia.
  * ci: Update shared scripts to 7aa7dc1
  * treewide: Update my copyright assignment. Let's use the fiduciary agreement.
  * ambient: Avoid cast. This gives us more type safety
  * ambient: Rename settings to schema.
    The later is more wide spread
  * udev: Handle fake-builtin debug flag. If set assume that the found
    displays are built-in. This allows to test backlight handling in
    nested sessions.
  * auto-brightness: Add interface for turning ambient into display brightness
  * auto-brightness: Add bucket implementation.
    This implementation uses buckets to determine the
    brightness level.
  * shell: Create ambient manager earlier.
    We'll need it for the brightness manager which gets created
    with the panels. We also add a getter.
  * ambient: Track whether display brightness should be adjusted.
    If so emit the ambient brightness values so other parts of the shell can
    consume them.
  * ambient: Track automatic high-contrast.
    Avoids dconf lookups and is a bit easier to read
  * brightness-manager: Track ambient brightness changes.
    When enabled we adjust the backlight brightness according
    to the auto-brightness trackers output.
  * data: Add auto-brightness-symbolic icon.
    I wanted to draw my own but then accidentally found one by
    Jakub Steiner in org.gnome.design.IconLibrary.
  * brightness-manager: Expose auto-brightness-enabled.
    This allows users of the brightness manager to use it
    without having to care about e.g. the ambient manager.
  * settings: Use different icon when autobrightness is in use
  * emergency-calls: Use default DBus prefix.
    This allows us to move to `dbus_client_protos` so our generated header
    gets added to `generated_dbus_headers` instead of
    `generated_dbus_sources`.
  * emergency-calls-manager: Use correct types for async callbacks.
    This gives us more type safety
  * build: Allow to codegen object manager too
  * calls: Use default DBus prefix.
    This allows us to move to `dbus_client_protos` so our generated header
    gets added to `generated_dbus_headers` instead of
    `generated_dbus_sources`.
  * calls-manager: Use correct types for async callbacks.
    This exposed a real bug where the data argument used the
    wrong type (but was unused).
  * calls: Use correct types for async callbacks.
    Gives us more type safety
  * location-manager: Use default DBus prefix.
    This allows us to move to `dbus_client_protos` so our generated header
    gets added to `generated_dbus_headers` instead of
    `generated_dbus_sources`.
  * location-manager: Use correct types for async callbacks.
    Gives us more type safety
  * session-manager: Use default DBus prefix for `ClientPrivate`
    This allows us to move to `dbus_client_protos` so our generated header
    gets added to `generated_dbus_headers` instead of
    `generated_dbus_sources`.
  * session-manager: Use correct types for async callbacks.
    Gives us more type safety.
  * session-presence: Use default DBus prefix.
    This allows us to move to `dbus_client_protos` so our generated header
    gets added to `generated_dbus_headers` instead of
    `generated_dbus_sources`.
  * osk-manager: Use default DBus prefix.
    This allows us to move to `dbus_client_protos` so our generated header
    gets added to `generated_dbus_headers` instead of
    `generated_dbus_sources`.
  * osk-manager: Use correct types for async callbacks.
    This gives us more type safety.
  * rfkill-manager: Use default DBus prefix.
    This allows us to move to `dbus_client_protos` so our generated header
    gets added to `generated_dbus_headers` instead of
    `generated_dbus_sources`.
  * rfkill-manager: Use correct types for async callbacks.
    This gives us more type safety.
  * mpris: Use default DBus prefix.
    This allows us to move to `dbus_client_protos` so our generated header
    gets added to `generated_dbus_headers` instead of
    `generated_dbus_sources`.
  * mpris-manager: Use correct types for async callbacks.
    This gives us more type safety.
  * mpris-player: Use correct types for async callbacks.
    This gives us more type safety.
  * background-manager: Avoid criticals when monitor goes away first.
    We emit a critical when the monitor goes away before the layer-surface.
    However that doesn't really matter to us so make it a debug message.
  * audio-devices: Ignore role loopbacks.
    Users shouldn't switch to the media role loopback devices
  * location-manager: Use default DBus prefix.
    This allows us to move to `dbus_client_protos` so our generated header
    gets added to `generated_dbus_headers` instead of
    `generated_dbus_sources`.
    In this case everything get a lot shorter as the `interface_prefix`
    didn't match and we thus had the full `org_freedesktop` in all the
    names.
  * notify-manager: Use default DBus prefix.
    This allows us to move to `dbus_client_protos` so our generated header
    gets added to `generated_dbus_headers` instead of
    `generated_dbus_sources`.
    In this case everything get a lot shorter as the `interface_prefix`
    didn't match and we thus had the full `org_freedesktop` in all the
    names.
  * build: Separate dbus headers and sources.
    The idle monitor needs an object manager. Moving it into
    dbus_server_protos would create one with a `PhoshDBus`
    prefix clashing with the one from `org.gnome.Calls.Call`
    so keep it separate for now but split headers and
    sources already. (Closes: #1276)
  * ambient: Improve readability.
    Get the proxy ones instead of producing overly long cast lines
  * ambient: Guard against `NULL` unit
    g_ascii_strcasecmp() doesn't handle that gracefully and it happens
    e.g. on laptops after resume.
  * ambient: Handle settings changes in a one place.
    Otherwise it is harder to determine if we should claim the sensor
    base on auto-hc and auto-brightness settings.
  * ambient: Reclaim sensor on unblank.
    The current code didn't necessarily do this.
  * ambient: Simplify claim / unclaim callbacks.
    Avoid the casts, bumping readability and making claim and unclaim more
    alike
  * ambient: Release sensor more thorougly.
    Otherwise we don't reclaim. In order to avoid overlapping calls
    of claim and release clearing the flag we make it a counter instead
    of a plain boolean.
  * ambient: Separate HighContrast handling from ambient.
    This makes is easier to invoke it from multiple places. We e.g.
    forgot to stop sampling when the sensor went away.
  * auto-brightness-bucket: Only notify when index changes.
    No need to emit the signal if it didn't and thus brightness
    wouldn't change.
  * backlight: Allow to get brightness levels.
    Will be used in the next commit
  * brightness-manager: Use brightness transition.
    This makes brightness changes less noticeable
  * ci: Drop gstyle check.
    It fails on contrib code that we don't want to modify.
  * media-player: Move media loading to separate function
  * media-player: Don't reload cover art if the URL didn't change.
    Players like kasts trigger a whole lot of meta data updates grinding
    devices like the Librem 5 to halt when loading the icon.
  * brightness-manager: End transition immediately when disabled.
    When the user toggles automatic brightness off we want to end the
    transition right away.
    Fixes: f50546254 ("brightness-manager: Track ambient brightness changes")
  * brightness-manager: Trigger auto brightness transition when enabled.
    Always trigger an auto-brightness transition when enabled. In dark
    environments the ambient sensor might not put out a new value but
    we still want to transition right away when the user enables it.
    Fixes: f50546254 ("brightness-manager: Track ambient brightness changes")
  * brightness-manager: Use relative brightness for keybindings too.
    Instead of calculating based on the brightness range use relative
    brightness and the number of levels the hardware supports.
  * brightness-manager: Use adjustment range [0.0, 1.0]
    This is what we use for the backlights and there's nothing
    gained when we convert to percentage.
  * brightness-manager: Allow to get auto-brightness-enabled
  * backlight: Track scale.
    This allows to track whether the backlight exposes a linear
    or exponential scale.
  * backlight: Use anonymous struct.
    Better groups the variables
  * backlight: Separate backlight level from exposed brightness.
    When we want the brightness curve to be non-linear be need two
    values: those exposed to the user facing side and those values
    actually set in the hardware (called `level`s).
    We do the split here but use a linear mapping only. This will
    change in the next commits.
  * backlight: Use logarithmic scale.
    If the backlight type is unknown or linear we use a logarithmic
    scale to match the human eye's brightness perception, see
    https://en.wikipedia.org/wiki/Weber%E2%80%93Fechner_law
    This lets the brightness slider in settings appear linear over the
    whole scale instead of doing almost nothing in the upper half.
  * brightness-manager: Make slider an offset when auto-brightness is on.
    With autobrightness enabled we want the brightness slider to be an
    offset to the auto brightness target rather than the actual brightness.
  * brightness-manager: Update autobrightness on monitor changes
  * brightness-settings: Remove origin when auto-brightness is enabled.
    As this is an offset now we don't want to draw the origin part
    Helps: https://gitlab.gnome.org/guidog/meta-phosh/-/issues/19
  * brightness-settings: Use icon.
    This makes it consistent with the audio settings
  * brightness-manager: Provide a suitable icon based on current state.
    Similar to other managers provide an icon-name based on the current
    state (auto-brightness enabled or not). We need that for the OSD and can
    then reuse it in other parts of the shell.
  * brightness-settings: Use brightness-manager's icon-name property
  * ci: Update to forky
  * libcall-ui: Update to latest 0.1.x branch.
    Avoids clang build failures
  * plugins: Avoid warning when copying symlinks.
    Otherwise we might end up copying the symlink with newer meson. We
    need to bump the minimum meson version for that.
    Fixes: fda76c376 ("mobile-data: Install icon to user's filesystem")
  * doap: Drop Zander.  Not active since several years. Thanks Zander for
    your work!
  * doap: Add Arun
  * wifi-manager: Fix log domain
  * ci: Use headless backend for integration tests.
    No need to have the tests guess
  * tests/integration: Specify Wayland socket.
    That is more reliable than parsing it from the output
  * tests/integration: Don't always close stdout.
    This allows us to parse phosh's output
  * tests/integration: Ease output checking.
    Allow tests to access phosh's output more easily.
    They can specify if the check should fail when the searched for string
    is already present.
  * tests/integration: Allow to tweak phosh's environment.
    This allows to e.g. set logging levels without polluting `os.environ`.
  * tests/integration: Simplify running pytests locally.
    Setting the env vars can be cumbersome so make it as simple as
  * tests/integration: Make is simple to save test logs
  * tests: Lint Phosh helper too
  * ci: Use pixman renderer for integration tests. Avoids criticals.
  * tests/integration: Disable XWayland.
    We don't need it in CI
  * tests/integration: Add initial system service test.
    We interact with quiet a bit of system services but don't exercise this
    in the tests so far. Make sure we at least look for a modem.
  * tests/integration: Allow phoc to exit cleanly.
    We handle `SIGTERM` gracefully nowadays so allow for that too.
  * ci: Set default build opts.  No need to set them on jobs individually
  * ci: Minimize script sections.  We move the variable setting to
    `variables:`
  * ci: Use phoc 0.51~rc1
  * ci: Collect junit reports from tests run by meson as well

  [ Martin ]
  * Update Slovenian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Nathan Follens ]
  * Update Dutch translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Artur S0 ]
  * Update Russian translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Arun Mani J ]
  * simple-custom-quick-setting: Simplify files.
    Remove unnecessary headers and uses 2 lines separation between
    functions.
  * caffeine-quick-setting: Simplify files
  * dark-mode-quick-setting: Simplify files
  * mobile-data-quick-setting: Simplify files
  * night-light-quick-setting: Simplify files
  * pomodoro-quick-setting: Simplify files
  * scaling-quick-setting: Simplify files
  * wifi-hotspot-quick-setting: Simplify files
  * ci: Ignore deleted files in `check-ui`
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1274
  * tree: Add `PhoshBrightnessSettings`
  * settings: Use `PhoshBrightnessSettings`
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1272
  * settings: Clean up unused headers

  [ Gotam Gorabh ]
  * plugins: Add location quick setting.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/783
  * build: Define 'phosh_plugin_icon_dir'
  * caffeine: Install icon to user's filesystem
  * dark-mode: Install icon to user's filesystem
  * night-light: Install icon to user's filesystem
  * pomodoro: Install icon to user's filesystem
  * scaling: Install icon to user's filesystem
  * wifi-hotspot: Install icon to user's filesystem
  * mobile-data: Install icon to user's filesystem
  * location: Install icon to user's filesystem
  * debian: Install plugin's icon
  * ci: Use common gchar check

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Efstathios Iosifidis ]
  * Update Greek translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Nov 2025 17:25:42 +0100

phosh (0.50.0) experimental; urgency=medium

  [ Guido Günther ]
  * shell: Move osd window here.
    This allows us to use the osd window not only via DBus and
    it doesn't warrant its own manager object.
  * backlight-manager: New object to manage backlight brightness.
    This manages keybindings, OSD, etc as we don't want that put into
    a brightness slider. We can later on use it to manage the brightness
    of different backlights (instead of just the primary one).
  * shell: Instantiate backlight manager
  * brightness-manager: Make keybindings optional.
    The corresponding schema is not very wide spread yet so don't error
    out if the schema isn't recent.
  * simple-custom-quick-setting: Hide in settings by default.
    We don't want to show demo plugins there
  * calendar: Hide in settings by default.
    We don't want to show demo plugins there
  * ci: Trigger libphosh-rs pipeline.
    Adjust to the new repo location
  * monitor-manager: Move mode building to separate function.
    We'll make use of this in the next commit
  * monitor-manager: Only skip unnamed mode if not the current one.
    This helps e.g. when running nested as those configs only have
    a single unnamed mode.
  * monitor-manager: Add default mode when there's no mode list
  * data: Depend on OSK target
    gnome-session >= 49 no longer handles `RequiredComponents`
    in session files. We hence need start the OSK via systemd.
    Do so by providing a target unit. The OSK implementations then
    merely need to fill in the service unit.
  * ambient: Reset theme when turning of auto-hc.
    We want to make sure the users has back its default theme
    when they disable automatic high contrast.
  * session: Start the OSK later.
    We want the layer ordering to happen after the shell is up.
  * brightness: Remove unused variables.
    Fixes: aa0066c5a ("settings/brightness: Use built in brightness handling")
  * backlight: Add and use methods to get and set relative brightness.
    No need to make the calculations in multiple places
  * shell: Allow to get brightness manager.
    We want to get it in `PhoshSettings`
  * brightness-manager: Maintain an adjustment.
    Maintain an adjustment of brightness percentage as model. That frees
    other parts of the shell from doing so.
  * settings: Use brightness manager's adjustment.
    That way we don't need to worry about any monitor changes
    and while at that can get rid of the somewhat arcane code
    (the brightness slider was one of our first features :)).
  * brightness-manager: Add Brightness DBus interface.
    The DBus API XML is from gnome-shell as of:
      e54aa588c ("slider: Use the sprite of the touch event, not the pointer")
  * brightness-manager: Move keybindings schema check to end of init.
    Otherwise we exit early with older schema disabling brightness
    handling completely.
    This allows us to run with schemas < 49.0.
  * settings: Only show brightness slider when useful.
    For now we show it when we have brightness control. We might
    also hide it later on when automatic brightness is enabled.

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Oct 2025 17:02:58 +0200

phosh (0.50~rc1) experimental; urgency=medium

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Philipp Kiemle ]
  * Update German translation

  [ Guido Günther ]
  * treewide: Prefer char over gchar.
  * tests: Use g_timout_add_once.
    Our on_waited never acturally returned `FALSE` to stop the
    timeout.
  * wifi-network-row: Use correct type for transform func
  * wifi-status-page: Use correct function signature.
  * build: Fix indent.
    We can use a list so that the automatic formatter doesn't get confused.
    Fixes: b2fcd0dcf ("build: Format meson files")
  * doc: Update issue template.
    Some information is nowadays easier to maintain, debugging
    is better documented.
  * quick-settings: Enable wifi-hotspot and mobile data by default.
  * settings: Disable launching mobile panels on lockscreen too.
    Fixes: af37b2c74 ("settings: Add action to open mobile settings")
  * top-panel: Move launching settings here.
    This allows us to use it from all places in the top panel
  * icons: Add settings icon. Taken from org.gnome.design.IconLibrary.
  * top-panel: Add gear button. This gives us easy access to the top panel
    configuration
  * treewide: Use stevia. phosh-osk-stub is no more.
  * location-manager: Avoid cast. This gives us more type safety
  * location-manager: Use cancellable more. Cancel these calls too on shutdown
  * proximity-manager: Use cancellable. Fixes a test suite crash
  * location-manager: Dispose connection on shutdown.
    The object returned by `g_bus_get_finish()` is a singleton
    but we need to unref it nevertheless.
  * wwan-mm: Avoid cast.
    This gives us more type safety
  * wwan-mm: Avoid cast.
    This gives us more type safety
  * wwan-mm: Dispose connection on shutdown
  * monitor-manager: Avoid cast.
    This gives us more type safety
  * tests: Make sure gvfs doesn't spawn in tests.
    We don't want it to take any DBus connection that could block
    GTestDBus shutdown.
  * util: Improve phosh_dbus_service_error_warn()
    We usually want to special case "cancelled" and
    "doesn't exist" in the tests.
  * feedback-manager: Ignore service unknown errors.
    These can happen in tests
  * tests: Set XDG_CURRENT_DESKTOP.
    This ensures we pick up Phosh's gsettings defaults
  * ci: Udpate image.
    Let's update to Trixie before we switch to Forky soon.
  * ci: Shuffle dockerfile a bit.
    Update everything first rather than in between. The
    removal of the comment ensures we actuall get the build-deps
    installed again thus speeing up the build.
  * keyboard-events: Check for error.
    It is an initable so lets use it
  * util: Add helper to construct keybindings.
    This happens in different places of the shell and is repetitive
  * top-panel: Use keybindings builder
  * home: Use keybindings builder
  * home: Don't forget to add the super key entries.
    We want to have them in the keybinding names as well so they
    get removed on dispose.
  * run-command-manager: Use keybindings builder
  * screenshot-manager: Use keybindings builder
  * gitignore: Ignore wraplock
  * monitor-manager: Drop change_backlight helper.
    No longer invoked by g-s-d
  * keyboard-events: Drop protocol version check.
    We require a recent enough version since ages
  * shell: Init settings early.
    We want to do as little as possible in constructed
  * shell: Move toplevel manager to init.
    We want to do as little as possible in constructed
  * shell: Set resource path in init.
    We want to do as little as possible in constructed
  * udev-manager: New class to handle udev interaction.
    We need a client for torch and backlight. Track it in a common class
    and add the helpers we'll need for backlight handling.
  * udev-manager: Get us a login session proxy.
    While not strictly udev related torch and backlight both need it
    and there's no point in introducing yet another class.
    We might want to turn that into a more generic "ShellBackend" class that
    could e.g. also track gsettings.
  * shell: Instantiate udev manager.
    It's a singleton but lets give it clear life cycle
  * packaging: Version g-s-d dependency.
    We want one entity to control brightness
  * backlight-sysfs: New class to manage sysfs based backlights.
    There might be others later, e.g. ddc and thus introduce a
    `PhocBacklight` base class. This is inspired by what g-s-d 48 did and
    what mutter 49 does now so we can continue to interact with g-s-d power.
  * monitor: Create backlight.
    The backlight is attached to the monitor so we can look it up
    for brightness handling.
  * settings/brightness: Use built in brightness handling.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1261
  * udev-manager: Support torch subsystem too.
    Use that from the torch-manager

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Anna (cybertailor) Vyalkova ]
  * tests: Don't assume build directory is inside source directory.
    Fixes: 4c58fc4fb ("searchd: Add deamon to gather search results")

  [ Evangelos Ribeiro Tzaras ]
  * meson: Require rst2man for building manpages.
    The build option description already specifies that rst2man is
    required, but it's not codified in the build files.

  [ Nathan Follens ]
  * Update Dutch translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Kristjan SCHMIDT ]
  * Update Esperanto translation

  [ twlvnn kraftwerk ]
  * Update Bulgarian translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Sep 2025 18:05:54 +0200

phosh (0.49.0) experimental; urgency=medium

  [ Guido Günther ]
  * search: Link statically.
    Otherwise searchd would require an additional shared
    library.
  * search: Don't install library.
    We don't want to ship another shared library
  * searchd: Honor meson option.
    Just having an option isn't enough, we also need
    to take it into account.
    Fixes: 4c58fc4fb ("searchd: Add deamon to gather search results")
  * media-player: Load file icon as pixbuf.
    This will allow us to tweak it if needed. It also
    makes the read async.
  * media-player: Add setter for image
  * media-player: Better handle non square icons.
    The thumbnail provided by Firefox for e.g. youtube isn't
    square. Gtk-3 top aligns the thumbnail making it look odd,
    center the thumbnail to make it look better.
  * media-player: Round corners of album art.
    We round corners via cairo in
    https://gitlab.gnome.org/World/Phosh/phoc/-/merge_requests/704
    and can thus move the logic over here too. This can be dropped
    when we switch to Gtk-4 as it can handle that for us.
    Helps: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/697
  * treewide: Use `-` instead of `_` for swapped-object-signal
  * abi: Allow to access phosh_shell_get_type()
    Plugins should be able to perform type checks.
  * pomodoro-quick-setting: Allow to start timer on screen unlock.
    Otherwise it is easy to forget to turn it on.
  * pomodoro-quick-setting: Start on login.
    For the user this isn't easily distinguishable from a regular unlock.
    Since the top-panel can be recreated we use a global variable.
  * phosh-pomodoro-quick-setting-prefs: Shorten key names.
    They're only used in this compilation unit
  * phosh-pomodoro-quick-setting-prefs: Allow to set 'start-on-unlock'
  * upcoming-events: Use custom icons.
    We indicate empty vs non-empty rows rather than suggesting
    a sorting order.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1245
  * libphosh: Add explicit dependency on generated headers.

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Martin ]
  * Update Slovenian translation

  [ Achill Gilgenast ]
  * phosh-keypad: Use alpha when focused.
    Follow-Up from https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/1250
  * phosh-search-bar: Use alpha background color.
    Doesn't look so out of place in the overview

  [ Artur S0 ]
  * Update Russian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Gotam Gorabh ]
  * searchd: Fix crash by passing GStrv instead of GVariant to subsearch.
    Fixes: 4c58fc4f ("searchd: Add deamon to gather search results")

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Aug 2025 10:12:52 +0200

phosh (0.49~rc1) experimental; urgency=medium

  [ Arun Mani J ]
  * app-grid: Set max-width to entries.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/703
  * ci: Add `xvfb` package for `check-ui` job
  * tree: Bump `upower-glib` version
  * battery-info: Use asynchronous API of `upower`
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/290

  [ hustlerone ]
  * plugins: Fix compilation on NixOS.

  [ twlvnn kraftwerk ]
  * Update Bulgarian translation

  [ Guido Günther ]
  * mode-manager: Support embedded chassis type.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1242
  * plugins/media-players: Disable prefs plugin.
    There's no prefs atm so remove it from the desktop file as
    otherwise mobile settings doesn't set the gear icon insensitive.
  * ci: Update shared scripts to 7e4c544
  * tests: Use subdir_done.
    Avoids an indent level when using meson format
  * build: Format meson files.
    Format using `meson format -e -i -r` to make contributing
    easier with fewer review rounds.
  * ci: Check format of meson files`
    They're only validated when they change
  * data/portals: Use phrosh portal.
    This way we still fall back to gtk in cases where distros can't ship the
    new portal yet. We'll prefer phrosh over phosh once pfs and wallpaper moved
    over too so we then only use the phosh portal for settings.
  * wwan: Require cell broadcast support in ModemManager.
    It's in a release so no need to conditionalize
  * system-modal: Modernize property definition.
    Match coding style and fix some indent while at that.
  * cell-broadcast-prompt: Limit messages to reasonable size.
    Otherwise the dialog might drop off screen. Since we have
    a store the user can look up overly long messages there.
  * cell-broadcast-prompt: Close dialog on swipe.
    Fixes: b281cc5d3 ("cell-broadcast-prompt: New dialog for cell broadcast message")
  * cell-broadcast-prompt: No need to valign the button
  * cell-broadcast-prompt: Remove the superfluous box
  * cell-broadcast-prompt: Strip whitespace.
    Some messages (e.g. Vodafone test messages) have excessive
    whitespace at the end of the message, strip that.

  [ Zander Brown ]
  * searchd: Add deamon to gather search results
    org.gnome.ShellSearchProvider2.xml taken from gnome-shell as of
    9e5dfa22211677cf71791925a68688a3b3284c7e
    Co-authored-by: Gotam Gorabh <gautamy672@gmail.com>

  [ Evangelos Ribeiro Tzaras ]
  * mock-mm-nm: Execute with intended interpreter.
    Run through `env` so we pick up the correct interpreter from `$PATH`
    when e.g. using venv.

  [ Rudra Pratap Singh ]
  * upcoming-events: Extend API to get number of events for a list
  * upcoming-events: Add icons for expanding/shrinking event list
  * upcoming-events: Add new setting for skipping non-event days
  * upcoming-events: Add button to skip non-event days.
    This will allow users to include/exclude days
    without events.
  * upcoming-events: Show proper date if number of days exceeds 7

  [ Martin ]
  * Update Slovenian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Artur S0 ]
  * Update Russian translation

  [ Danial Behzadi ]
  * Update Persian translation

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Aug 2025 19:48:42 +0200

phosh (0.48.0) experimental; urgency=medium

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Álvaro Burns ]
  * Update Brazilian Portuguese translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Artur S0 ]
  * Update Russian translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Jun 2025 08:45:35 +0200

phosh (0.48~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * auth: Drop priv.
    It's unclear why we added that in the first place.
  * auth: Use automatic cleanup
  * auth: Name authentication token properly.
    We had a mixture of `number` and `pin` although we allow for for non-PIN
    passwords since a long time.
    Also name the appdata_ptr properly so it is easier to follow how this is
    passed through to the callback.
  * auth: Copy auth token.
    Otherwise we're dependent on the life cycle of the GtkEntry that
    provides the data.
  * auth: Perform account validity checks.
    We should perform the account validity checks via pam_acct_mgmt too.
  * lockscreen: Don't leak lockscreen on error.
    This is unlikely to happen (it's not the same as auth failing) but let's
    better fix it.
  * media-player: Don't forget to init cancellable.
    Otherwise cancelling will have no effect and we might end up accessing
    free'd memory.
    Fixes 2ca148785 ("media-player: Use MPRIS manager")
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1234
  * media-player: Init fetch icon cancellable.
    Fixes f287f5deb ("media-player: Fetch cover art via http")
  * packaging: Add valac.
    Needed to build the vapi file
  * build: Allow to build vapi files
  * ci: Build vapi when building bindings lib
  * stylesheet: Use accent color for list box rows too.
    Fixes 317ef8e89 ("style-manager: Support accent colours")
  * lockscreen: Always queue a draw when transition ends.
    Otherwise we might not only see an outdated clock (which the
    current workaround adressed) but also outdated plugin state.
  * mpris-manager: Check for valid player sooner.
    This avoids printing debug messages for bus owners that don't
    implement the mpris interface.
  * mpris-manager: Track all players.
    TODO: drop players when gone
  * mpris-manager: Allow to fetch known players list model
  * media-player: Make it a derivable type.
    No functional change
  * default-media-player: New widget that will track the default mpris player.
    This widget will behave the same as media-player did: track the newest
    mpris proxy on the bus.
    In this commit we just add the empty class so we can move existing code
    over to this widget without changing functionality.
  * media-player: Move media player setting to public method.
    This will allow us to track arbitrary mpris DBus proxies
  * default-media-player: Move default player tracking here.
    Free the media player base class from tracking the default player.
    This allows us to use any player with that class.
  * shell: Make mpris manager accessible to plugins
  * media-players: New lockscreen plugin to track all mpris players.
    One often has multiple mpris capable players running (e.g. podcasts
    and music player). The lock screen plugins allows to switch between
    them without effort.
  * tests: Name unit test variable accordingly
  * wall-clock: No need to get `priv` twice
  * wall-clock: Avoid libgnome-desktop in public header.
    Since the API is not stable lets use gdesktop-enums instead
    as we only need the GDesktopClockFormat enum.
  * wall-clock: Add function to strip am/pm from clock strings
  * lockscreen: Use phosh_wall_clock_strip_am_pm
  * wall-clock: Use a regex match to get the stripped clock
    `AM` and `PM` can be localized strings so look for the number part
    when we have any whitespace in the clock format. Otherwise we assume
    24h clock.
    Hours and minutes can be separated by unicode characters so we can't
    just use `:` as separator.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1237
  * portals: Disable currently unimplemented ones.
    Otherwise we'll spawn other, possibly non-working implementations.
  * ci: Drop gcovr workaround.
    This has long been fixed in Debian.
    This reverts commit 1edb73a65e854f8f89d5d6802bcd3cf45c04aed5.
  * ci: Configure locales in images rather than during the ci run.
    This cuts down on ci run times
  * ci: Use updated images
  * ci: Require `Signed-off-by:`
    We do this in the other projects since some time
  * tests: Instantiate metainfo cache once.
    Otherwise it's not getting destroyed and might do funky things
    on shutdown. (Helps: #1240)
  * cell-broadcast: Enable by default.
    MM bits are in released versions and there's support in mobile-settings
    to configure channels so we can flip it on.

  [ fossdd ]
  * data: Update list of adaptive apps.
    Loupe and Showtime already merged the patches to list their form
    factors, while the MR in gnome-calendar is still open.
  * data: Fix typo in override gschema

  [ Arun Mani J ]
  * activity: Avoid using `<packing>`
  * app-grid-base-button: Avoid using `<packing>`
  * quick-setting: Avoid using `<packing>`
  * app-grid: Avoid using `<packing>`
  * emergency-menu: Avoid using `<packing>`
  * home: Avoid using `<packing>`
  * media-player: Avoid using `<packing>`
  * gtk-mount-prompt: Avoid using `<packing>`
  * network-auth-prompt: Avoid using `<packing>`
  * notification-frame: Avoid using `<packing>`
  * polkit-auth-prompt: Avoid using `<packing>`
  * system-modal-dialog: Avoid using `<packing>`
  * check-deprecated-ui-props: Search from source root.
    When run by `meson test`, the current working directory is build root,
    so some UI files (like of plugins) are not searched.
  * check-deprecated-ui-props: Add check for deprecated packing attributes
  * ticket-box: Use `{h,v}expand` instead of `expand`
  * quick-settings-box: Support RTL direction.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1154
  * ci: Allow translation files of GTK 3 in screenshot container
  * ci: Move `SID_PKGS` to `debian.Dockerfile`
  * ci: Update to v0.0.2025-06-06 image

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Martin ]
  * Update Slovenian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Daniel Rusek ]
  * Update Czech translation

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Jun 2025 17:46:50 +0200

phosh (0.47.0) experimental; urgency=medium

  [ Antonio Marin ]
  * Update Romanian translation

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 May 2025 09:35:38 +0200

phosh (0.47~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * abi: Remove symbols duplicated between plugins and shared library.
    Users of the shared lib and plugins should be able to access the quick
    setting and its status pages. Since the shared lib exports the plugins
    symbols there's no point in having different subsets listed in both.
  * docs: Mention the symbols files. Give a hint where to add new symbols.
  * splash: Use larger icon again
    https://gitlab.gnome.org/GNOME/adwaita-icon-theme/-/commit/a1c8a0f61e27e1bcda03412dec772b7a1ed5a795
    removed the spinner icon, hence GTK3 added a one in
    https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/8354
    but picks the 16x16 one which is a bit too small.
    The 16x16 icon is fine for the other places we use a spinner, like
    status pages.
    This can go away with the switch to AdwSpinner.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1222
  * build: Depend on libfeedback with sound file support
  * notify-feedback: Handle cellbroadcast events
  * app-grid: Fix missing icon
    emblem-ok-symbolic got remove in the 48 adwaita icon theme:
    See https://gitlab.gnome.org/GNOME/adwaita-icon-theme/-/commit/a00466f12bd5419d6f22c1097a16fd670431c9d4
  * data: Update list of adaptive apps.
    TextEditor announces this via the desktop file now while calendar
    doesn't
  * notify-feedback: Fix inverted logic for cell broadcasts.
    Also guard against `NULL` category
    Fixes af35ea749 ("notify-feedback: Handle cellbroadcast events")
  * notify-feedback: Check basic events.
    The logic is going more complex and we had subtle errors so lets
    add some checks.
  * notify-feedback: Use "notification-missed-generic"
    This is available since feedbackd 0.6.0 and we require 0.7.0 nowadays.
  * notify-feedback: Check for NULL upfront.
    Allows us to use `g_str_equal`.
  * tests: Add options to get core dump on asserts under ASAN.
    Without these ASAN just aborts without a coredump. As it is not useful
    in CI just leave as a comment for now.
  * app-list-model: Fix type of debounce it
    g_timeout_add_* return `guint` not `gulong`.
  * app-list-model: Disconnect debounce on finalize.
    Otherwise we might have running timers when the application quits
  * app-list-model: Expand test.
    Assert that we finalize properly and also check the state
    when app infos got loaded.
  * app-list-model: Track StartupWMClass as well.
    Needed to betterb match toplevels to app-ids
  * util: Simplify return value
  * util: Match on StartupWMClass as well.
    This will allow more cases to work without guessing and we can drop
    some heuristics
  * util: Drop applications that have a proper StartupWMClass.
    No need to track them manually anymore, they all use `StartupWMClass`.
    This makes the expected case the first one so things get a little
    faster too.
  * util: Drop match by last component.
    These apps should have a proper StartupWMClass.
  * lockscreen: Check for info widgets upfront.
    This ensures we have a small clock e.g. when locking the screen with an
    ongoing call. This will also be needed with the following commits as the
    media widget will be visible initially and hence there won't be a
    changed signal.
    We hence move from counting invocations to checking the individual
    widgets.
  * media-player: Don't focus on click.
    We want to avoid the cursor frame when touching the widget as it has no
    use.
  * lockscreen: Set initial focus widget.
    Otherwise we end up with the focus on the first focusable widget which
    is the media player's detail button and that doesn't look nice.
    By setting it to `submit` we ensure that a signal tab gets it to the
    first info widget.
  * mpris-manager: Manager object that tracks MPRIS players.
    This will be used by the media-player widget so we don't have multiple
    places tracking the DBus name owner changes.
  * media-player: Use MPRIS manager.
    This avoids the media widget appearing on the lock screen slightly after
    lock as we don't have to wait for the DBus calls anymore.
  * monitor: Don't track make and model
    wlroots will stop sending these in
      https://gitlab.freedesktop.org/wlroots/wlroots/-/merge_requests/5045
    and we don't use them anyway.
  * treewide: Add missing G_PARAM_STATIC_STRINGS.
    Avoids a bunch of allocations on startup.
  * status-pages: Drop signal_emit_by_name argument.
    The `done` signal does not have any parameters. For consistency with
    other `g_signal_emit_by_name` in our codebase we pass `NULL` as the
    return value location (although it could be omitted).
  * notify-manager: Move show-banners to header.
    We want to use it in a status page
  * data: Add chat icons from GNOME's icon library
  * util: Add helper to open mobile settings panels.
    We add a separate function as the parameters are slightly different.
  * settings: Add action to open mobile settings.
    We add a separate action as that makes it more obvious what we're
    opening.
  * feedback-status-page: Add new status page for feedback settings.
    This will allow to enable/disable do-not-disturb mode
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1183
  * quick-settings: Add feedback status page
  * feedback-status-page: Keep feedback in sync with dnd.
    We want to switch to silent when dnd is enabled and back to the old
    profile when disabled.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1095
  * polkit-auth-prompt: Don't set icon pass by polkit.
    Applications usually pass in the app name which we don't have an icon
    for so we usually show the missing icon which is not great.
    Ideally we'd show the user avatar there along with more user details.
  * notifcation-banner: Unref animation on dispose.
    This ensures we run it on gtk_widget_destroy already.
  * shell: Clean up banner correctly.
    The banner is a toplevel so we want to use gtk_widget_destroy on it. We
    connect to the `destroy` signal so in case the layer surface invokes
    `gtk_widget_destroy` we don't do it twice.
    This avoids a sporadic segfault in the tests when the banner was still
    being animated and also avoids a weak pointer where it is not needed.
    Fixes 5d4f590b9 ("notification-banner: Add slide-up animation to banner")
    (which wasn't the cause but exposed the bug).
    Fixes c5556891f ("notifications: maintain a message list")
  * osd-window: Don't let it take all the vertical space.
    Similar in spirit to
      bd8c8c13c ("notifiction-banner: Use valign center")
    so we don't cover the space below the OSD with a transparent window
    swallowing all input.
  * osd-window: Ensure we propagate the width.
    As we don't want to allocate the full width anchor to top and set the
    width on map.
  * wifi-manager: Slightly improve debug messages.
    Use Wi-Fi spelling consistently, make messages a bit more expressive
  * wifi-network-row: Don't set active indicator visible.
    We sync it with a property in `init` so save that extra setup step.
  * wifi-network: Don't unconditionally overwrite active access point.
    We mustn't overwrite the active access point with an inactive one.
    This fixes the missing tick mark in the UI when a network has more than
    one access point.
    The network is still marked as inactive via `reset_active_wifi_network`
    -> `phosh_wifi_network_update_active`.
    Fixes 7b83747fc ("wifi-network: Create PhoshWifiNetwork class")
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1180
  * mobile-data-quick-setting: Make sure the modem is unlocked.
    If the modem's SIM is still locked there's no point in allowing to
    toggle mobile data.
    Fixes 20ac30db5 ("plugins: Add mobile data toggle")
  * app-list-model: Use app_info
    `l->data` is harder to parse and we assigned to `app_info` just above
    Fixup indent while at that.
  * app-list-model: Ignore folders for startup wm class tracking.
    Folder don't have a wm class and otherwise raise a critical
    Fixes 5b9a575c4 ("app-list-model: Track StartupWMClass as well")

  [ fossdd ]
  * calendar-server: Use a non-declared variable name for timezone
  * call-notification: Cast PhoshCallState explicitly to CuiCallState
  * testlib: Declare on_phoc_startup_timeout as noreturn
  * system-prompt: Avoid declaration of unused variable
  * ci: Add debian-trixie-clang CI.
    Fixes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1218

  [ Baxrom Raxmatov ]
  * Add Uzbek (Latin) translation

  [ Arun Mani J ]
  * status-icon: Add pixel-size
    `GtkIconSize` values are semantic in GTK 4 and no longer contain the
    various values we have in GTK 3. If we need to enforce a specific
    pixel-size, we need to use the `pixel-size` property of image. So let's
    move to it.
    Deprecates `icon-size`.
  * tree: Use pixel-size in status-icon
    `icon-size` is deprecated in status-icon.
  * quick-setting: Use pixel-size instead of icon-size
    `GtkIconSize` values are semantic in GTK 4 and no longer contain the
    various values we have in GTK 3. If we need to enforce a specific
    pixel-size, we need to use the `pixel-size` property of image. So let's
    move to it. For the functions that need an icon-size just for namesake,
    let's use `-1` so we can ensure that we have replaced its functionality
    with pixel-size.
  * quick-settings-box-standalone: Use pixel-size instead of icon-size
    `GtkIconSize` values are semantic in GTK 4 and no longer contain the
    various values we have in GTK 3. If we need to enforce a specific
    pixel-size, we need to use the `pixel-size` property of image. So let's
    move to it.
  * app-grid-button: Use pixel-size instead of icon-size
    `GtkIconSize` values are semantic in GTK 4 and no longer contain the
    various values we have in GTK 3. If we need to enforce a specific
    pixel-size, we need to use the `pixel-size` property of image. So let's
    move to it. For the functions that need an icon-size just for namesake,
    let's use `-1` so we can ensure that we have replaced its functionality
    with pixel-size.
  * app-grid-folder-button: Use pixel-size instead of icon-size
    `GtkIconSize` values are semantic in GTK 4 and no longer contain the
    various values we have in GTK 3. If we need to enforce a specific
    pixel-size, we need to use the `pixel-size` property of image. So let's
    move to it. For the functions that need an icon-size just for namesake,
    let's use `-1` so we can ensure that we have replaced its functionality
    with pixel-size.
  * app-grid: Use pixel-size instead of icon-size
    `GtkIconSize` values are semantic in GTK 4 and no longer contain the
    various values we have in GTK 3. If we need to enforce a specific
    pixel-size, we need to use the `pixel-size` property of image. So let's
    move to it. For the functions that need an icon-size just for namesake,
    let's use `-1` so we can ensure that we have replaced its functionality
    with pixel-size.
  * activity: Use pixel-size instead of icon-size
    `GtkIconSize` values are semantic in GTK 4 and no longer contain the
    various values we have in GTK 3. If we need to enforce a specific
    pixel-size, we need to use the `pixel-size` property of image. So let's
    move to it.
  * lockscreen: Use pixel-size instead of icon-size
    `GtkIconSize` values are semantic in GTK 4 and no longer contain the
    various values we have in GTK 3. If we need to enforce a specific
    pixel-size, we need to use the `pixel-size` property of image. So let's
    move to it.
  * app-auth-prompt: Use pixel-size instead of icon-size
    `GtkIconSize` values are semantic in GTK 4 and no longer contain the
    various values we have in GTK 3. If we need to enforce a specific
    pixel-size, we need to use the `pixel-size` property of image. So let's
    move to it.
  * gtk-mount-prompt: Use pixel-size instead of icon-size
    `GtkIconSize` values are semantic in GTK 4 and no longer contain the
    various values we have in GTK 3. If we need to enforce a specific
    pixel-size, we need to use the `pixel-size` property of image. So let's
    move to it. For the functions that need an icon-size just for namesake,
    let's use `-1` so we can ensure that we have replaced its functionality
    with pixel-size.
  * polkit-auth-prompt: Use pixel-size instead of icon-size
    `GtkIconSize` values are semantic in GTK 4 and no longer contain the
    various values we have in GTK 3. If we need to enforce a specific
    pixel-size, we need to use the `pixel-size` property of image. So let's
    move to it. For the functions that need an icon-size just for namesake,
    let's use `-1` so we can ensure that we have replaced its functionality
    with pixel-size.
  * ticket-box: Use pixel-size instead of icon-size
    `GtkIconSize` values are semantic in GTK 4 and no longer contain the
    various values we have in GTK 3. If we need to enforce a specific
    pixel-size, we need to use the `pixel-size` property of image. So let's
    move to it.
  * app-grid: Set pixel-size for images.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1224
    Fixes: 2ed70a190 ("app-grid: Use pixel-size instead of icon-size")
  * subprojects: Update libfeedback revision.
    Fixes: 5bed6427dde4f3c8ca0cf3a4b8f5e2a7ff34b861
  * quick-setting: Use checked instead of active state
    `:checked` is the proper state to describe the "activeness". `:active`
    denotes whether the button is being activated by user, that is, if it is
    being pressed down.
  * audio-device-row: Use `margin-*` instead of `margin`
  * media-player: Use `margin-*` instead of `margin`
  * osd-window: Use `margin-*` instead of `margin`
  * power-menu: Use `margin-*` instead of `margin`
  * top-panel: Use `margin-*` instead of `margin`
  * wifi-status-page: Use `margin-*` instead of `margin`
  * calendar: Use `margin-*` instead of `margin`
    Also add the XML header for easier file identification.
  * emergency-info: Use `margin-*` instead of `margin`
  * launcher-box: Use `margin-*` instead of `margin`
  * ticket-box: Use `margin-*` instead of `margin`
  * upcoming-events: Use `margin-*` instead of `margin`
  * notify-blocks: Use `margin-*` instead of `margin`
  * check-deprecated-ui-props: Add `margin` to list
  * check-deprecated-ui-props: Extend to all UI files
  * app-grid: Use `{h,v}expand` instead of `expand`
  * emergency-menu: Use `{h,v}expand` instead of `expand`
  * lockscreen: Use `{h,v}expand` instead of `expand`
  * notification-content: Use `{h,v}expand` instead of `expand`
  * polkit-auth-prompt: Use `{h,v}expand` instead of `expand`
  * top-panel: Use `{h,v}expand` instead of `expand`
  * check-deprecated-ui-props: Add `expand` to list

  [ Antonio Marin ]
  * Update Romanian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Artur S0 ]
  * Update Russian translation

  [ Álvaro Burns ]
  * Update Brazilian Portuguese translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Martin ]
  * Update Slovenian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ twlvnn kraftwerk ]
  * Update Bulgarian translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Andi Chandler ]
  * Update British English translation

  [ Anders Jonsson ]
  * Update Swedish translation

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 May 2025 09:09:31 +0200

phosh (0.46.0) experimental; urgency=medium

  [ Sam Day ]
  * build: Remove nonexistent StatusPagePlaceholder symbol exports.
    These were introduces in a recent commit, but the actual symbols don't
    exist.
    This was identified by @fossdd when building 0.46~rc1 downstream in
    Alpine, where clang is being used. Seems that lld is more strict about
    this than gcc is.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1217
    Fixes: f5ca0cf4 ("status-page-placeholder: Propertify child")

  [ Guido Günther ]
  * build: Let plugins depend on generated enum headers.
    Plugins (like dark-mode) use it.
  * data: Only apply override to Phosh.
    We don't want to override the default for other environments.
    Fixes 24a255401 ("data: Disable lockscreen background by default")
  * screenshot-manager: Exit early when saving screenshot fails.
    We shouldn't try to update recent files or save a thumbnail.
    Fixes 0a2228f85 ("screenshot-manager: Create thumbnails of screenshots")
  * screenshot-manager: Move clipboard copying to separate function.
    Pure code move. We only change the g_steal_pointer() of the pixbuf to a
    g_object_ref() to keep a reference.
  * screenshot-manager: Chain copy to clipboard past saving the image.
    The code assumed that saving was faster than the clipboard copy opaque
    timer. If things are I/O is slow the frames would be freed before the
    on_save_to_pixbuf_read would complete and we'd assert.
    To avoid this save to disk first and then to clipboard for the case
    where both is wanted (e.g. power button long press).
    Fixes ca42c89b2 ("screenshot-manager: Allow to save internal screenshots")
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1220

  [ Sicelo A. Mhlongo ]
  * rotation-manager: Do not delay marking accelerometer as released.
    As soon as a request to release the claim on accelerometer is dispatched, mark
    it as released in Phosh, even if a response from iio-sensor-proxy may only be
    received much later.
    This avoids the state inside Phosh getting out of sync with iio-sensor-proxy
    after a suspend-resume cycle, for which the ReleaseAccelerometer response may
    only be received after the system has resumed.
    Closes #1214

  [ Bruce Cowan ]
  * Update British English translation

  [ Sebastian Krzyszkowiak ]
  * stylesheet: Improve legibility of app grid and top bar.
    Add subtle shadows when translucent.
  * stylesheet: Improve legibility of the lockscreen on arbitrary backgrounds
  * stylesheet: Improve legibility of call view on arbitrary backgrounds

  [ Vincent Chatelain ]
  * Update French translation

  [ Vasil Pupkin ]
  * Update Belarusian translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Mar 2025 09:19:21 +0200

phosh (0.46~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * media-player: Bind playable property to player's can-play.
    That way we also show the player when e.g. media play is stopped (rather
    than paused). Let's see if players implement that property properly.
  * overview: Insert app to the right if no parent is found.
    We didn't mean to change the position of new apps, just that of
    children.
    Fixes 6b0a4d539 ("overview: Insert new children right of their parents")
  * media-player: Fetch cover art via http.
    Do that using an async method to not block the UI should the download
    hang.
    We avoided that so far but e.g. shortwave provides http URLs to radio
    stations so lets do it and rather switch to glycene at some point.
  * build: Swap old and new in abi compliance check.
    The symbols we have checked into version control are the ones from the
    old version (at least when you're not a tachyon).
  * package: Update from Debian. This makes sure our packages don't file
    conflict with those in downstreams and also takes the new library
    versioning into account.
  * packaging: Don't build gir package when not building a lib
  * home: Reset overview when folded.
    Resetting the overview's app grid when unfolding introduces flicker when
    clearing the search (when a search term is present). This is very
    visible when there are running apps.
    Avoid the flicker by clearing the search when the app grid isn't
    visible.
    As the former `reset` now mostly refreshes the thumbnails we rename it
    accordingly.
  * top-panel: Set padding via css.
    So far we set the margins on the top panel itself which was fine as long
    as those were symmetric. If we set different margins this would shift
    the clock out of center but setting the margins on the network and
    indicator boxes doesn't work either as the case where we move the clock
    off center needs the margins applied to the clock.`
    So instead of worrying about all those cases use `:first-child` and
    `last-child` css which handles this for us (at the expense of style
    calculations on layout changes).
    This also has the advantage that we don't need to worry about start and
    end in RTL locales.
  * top-panel: Introduce padding towards cutouts.
    If there's a cutout in the indicator areas we use a smaller margin than
    towards the screen edge.
  * layout-manager: Make rectangles const.
    These are the references that should stay the constant.
  * layout-manager: Round float values.
    We want the cutouts bounding box to be at least as large as the physical
    notch.
  * layout-manager: Handle cutouts in the indicator areas.
    Shift elements towards the center unless that would result in massive
    movement.
    For smaller cutouts within the indicator boxes we'll insert stub
    elements at some point in the future.
  * data: Select less noisy default background
  * data: Select accent color matching the back ground
  * background-manager: Remove background when it goes away.
    When we unplug a monitor the widget goes away due to the layer surface
    being destroyed, make sure we remove it from the list of known
    backgrounds as we otherwise might access stale data.
    Instead of dropping on_monitor_removed completely we keep it as
    consistency check.
    That way it doesn't matter if the widget gets destroyed before the
    output or the other way around.
  * treewide: Systemd unit is for development purposes only.
    Clarify that the systemd unit shouldn't be used in production.
  * issue-template: Mention display manager.
    Update some other parts while at that
  * ci: No need to fetch phoc from sid
  * build: Specify the public headers. This ensures abi-dumper doesn't
    care about non public structs. It needs universal-ctags for that.
  * build: Regenrate the ABI dump
  * docs: Add phosh.gsettings manpage.
    We'll document used gsettings here. This makes it easier to contribute
    to than the wiki as everyone can make pull requests and also ensures the
    shipped documentation matches the running shell.
  * feedback-manager: Add emission hook for clicked and row-activated signals.
    This ensures consistent feedback for all "press" related events.
  * treewide: Remove most "button-pressed" emissions.
    Remove those that were triggered by button presses anyway.
  * packaging: Install new manpage.
    This fixes the nightly build. We run with nodoc in CI so we didn't
    notice.
  * style: Close block.
    GTK4's CSS parser catches this
  * wifi-manager: Track whether a WiFi scan is going on.
    Consumers can track the `scanning` property
  * wifi-status-page: Show spinner when a network scan is ongoing.
    This provides better feedback to the user about the ongoing
    operation.
    We use a callback rather than property binding as we'd need transform
    functions for the stack page and related code in this class uses
    callbacks too.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1138
  * wifi-status-page: Reindent UI file.
    No functional change
  * tests/integration: Close stdin and stdout.
    This prevents to prevent the buffers to being filled and phoc entering a
    blocking state.
    I've been able to trigger this locally and could see phoc hanging on
    writing to stdout and thus `wlr-randr` blocking as can be seen in the
    failed tests:
    https://gitlab.gnome.org/World/Phosh/phosh/-/jobs/4884009
  * tests: Make unit tests depend on schema.
    This allows them to run without invoking any extra targets.
    We rename the target as the plugins use `compile_schemas` to locate
    `glib-compile-schemas`.
  * ci: Drop extra step to build schema.
    We fixed the dependencies in the previous commit
    Fixes 3f328c7d6 ("gitlab-ci: Run unit tests under ASAN too")
  * home: Fix indent
  * lockscreen-manager: Modernize indent and property definitions
  * lockscreen-manager: Adjust callback names according to style.
    Also remove unneeded casts.
  * background: Avoid paint when not rendering pixbuf.
    No need to do so.
  * background-cache: Allow to remove cached backgrounds selectively
  * background-manager: Remove backgrounds selectively.
    This will allow us to cache different backgrounds (e.g. overview
    and lockscreen)
  * background-cache: Make loading an async function.
    Make it an async function instead of a signal so it is clear which
    background got loaded.
  * background: Move scale-to-min pixbuf scaling to utils.
    This allows it to be used from other classes.
  * lockscreen: Allow to set background image.
    Make lockscreen transparent and add a layer surface carrying the
    background beneath it. This ensures GTK won't be bothered at all when UI
    elements move over the background.
    Images are always loaded using cover style to make sure the whole
    background is covered.
    We only load images on the lockscreen, ignoring shields.
  * lockscreen-manager: Handle picture-uri.
    Setting a background image will triggering an image load using the
    background-cache. If successful we set the image on the primary
    lockscreen.
    Background can be set via
        gsettings set org.gnome.desktop.screensaver picture-uri 'file:///file/to/background.jpg'
  * shell: Move updating top panel transparency to its own function.
    This will become more complex
  * shell: Make top bar transparent when locked.
    We need to check if the top bar exists as this can be invoked early when
    phosh is started locked (`-L`).
  * docs: Document new settings key
  * data: Add default lockscreen background
  * data: Disable lockscreen background by default.
    This ensures we don't pick up any accidental configuration users might
    have.
  * top-panel: Use icon's pixel size. Actually use the icon's pixel
    size. We accidentally used the enum value.
    Fixes 79808a34b ("top-panel: Provide default icon size and min padding")
  * layout-manager: Assume icons don't fill the full height.
    Status icons usually don't fill the full box so assuem we have 20% of
    padding.

  [ Arun Mani J ]
  * event-list: Simplify using `gtk-builder-tool`
  * upcoming-event: Simplify using `gtk-builder-tool`
  * emergency-info-prefs: Simplify using `gtk4-builder-tool`
  * emergency-info-prefs: Simplify derived and `Adw` widgets
  * emergency-info: Simplify using `gtk-builder-tool`
  * emergency-info: Simplify derived and `Hdy` widgets
  * dark-mode-quick-setting: Simplify derived and `Hdy` widgets
  * home: Simplify using `gtk-builder-tool`
  * lockscreen: Simplify derived and `Hdy` widgets
  * notification-frame: Simplify derived and `Hdy` widgets
  * polkit-auth-prompt: Simplify derived and `Hdy` widgets
  * notification-frame: Simplify using `gtk-builder-tool`
  * ci: Check UI files for simplification
  * gvc-channel-bar: Do not hijack scroll event
    `GtkScale` handles it natively, so no need for us to override.
  * gvc-channel-bar: Include GTK headers.
    Removes linter warnings.
  * gvc-channel-bar: Simplify
  * timestamp-label: Wrap under `GtkBin`
    `GtkLabel` is a final class in GTK 4, so let's wrap it under `GtkBin`
    which will become `AdwBin` or something similar in GTK 4.
  * timestamp-label: Uncrustify
  * revealer: Propertify child
  * revealer: Wrap under `GtkBin`
    `GtkRevealer` is a final class in GTK 4, so wrap it under a bin.
  * revealer: Move UI logic to UI file
  * revealer: Simplify and reformat
  * top-panel: Drop assigning default values
  * status-page: Allow NULL for header and footer
  * status-page: Propertify child.
    Makes code more readable and ready for GTK 4 as we expose methods to
    directly add and remove the child (like in GTK 4 style of "child as
    property"). At the same time, simplify destroy implementation by
    worrying only about the widgets we get and set, the remaining will be
    cleaned by GTK as they are owned by the template API.
  * status-page-placeholder: Propertify child.
    Makes code more readable and ready for GTK 4 as we expose methods to
    directly add and remove the child (like in GTK 4 style of "child as
    property"). At the same time, simplify destroy implementation by
    worrying only about the widgets we get and set, the remaining will be
    cleaned by GTK as they are owned by the template API.
  * status-page-placeholder: Simplify.
    Reorder the virtual method implementations like elsewhere.
  * quick-setting: Propertify child.
    Makes code more readable and ready for GTK 4 as we expose methods to
    directly add and remove the child (like in GTK 4 style of "child as property").
  * quick-setting: Cleanup and reformat.
    Use most specific type where sensible.
  * quick-settings-box: Expose methods to add and remove.
    Makes code more readable and ready for GTK 4 as we expose methods to
    directly add and remove the children instead of relying on
    `GtkContainer` APIs.
  * quick-settings-box: Cleanup and reformat.
    Use most specific type where sensible.
  * app-grid-base-button: Propertify child.
    Makes code more readable and ready for GTK 4 as we expose methods to
    directly add and remove the child (like in GTK 4 style of "child as property").
  * app-grid-base-button: Uncrustify
  * hacking: Add notes about derivable parent widgets
  * status-icon: Move UI logic to UI file
  * status-icon: Uncrustify
  * revealer: Check for child type
  * revealer: Use setter function in destroy
  * status-icon: NULLify `extra_widget` in destroy
  * app-grid-button: Use gesture to handle right click.
    Also remove `popup_menu` virtual method implementation as it is not
    available in GTK 4 and handled by gestures already.
  * app-grid-button: Move long-press gesture to UI file
  * app-grid-button: Prefix action name with group.
    The equivalent method in GTK 4 to bind a model to a popover takes no
    namespace parameter, so let's make the
    current code ready for it.
  * app-grid-button: Cleanup.
    Rename variables and methods to match the style guide.
  * app-grid-button: Uncrustify
  * app-grid: Force the box to align start vertically.
    Fixes the case where the box gets more-than-required allocation and so decides to
    distribute it among the children, causing odd spacing among them.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1208
  * activity: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * ambient: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * app-auth-prompt: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * app-grid: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * app-grid-standalone: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * background: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * background-manager: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * cell-broadcast-manager: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * drag-surface: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * emergency-calls-manager: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * emergency-menu: Use `gtk_widget_set_visible`
    `gtk_widget_show_all` is unavailable in GTK 4, so let us use the
    proper setter method.
  * end-session-dialog: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * fading-label: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * gnome-shell-manager: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * gtk-mount-manager: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * gtk-mount-prompt-prompt: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * keypad: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * layer-surface: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * lockshield: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * lockscreen-manager: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * lockscreen: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * media-player: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * mount-operation: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * network-auth-prompt: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * notification-content: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * osd-window: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * overview: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * polkit-auth-prompt: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * portal-access-manager: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * power-menu-manager: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * proximity: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * run-command-manager: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * screenshot-manager: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * session-manager: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * settings: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * shell: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * system-modal: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * system-modal-dialog: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * top-panel: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * widget-box: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * wwan-info: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * emergency-info: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * custom-quick-settings-standalone: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * notify-server-standalone: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * widget-box-standalone: Use `gtk_widget_set_visible`
    `gtk_widget_{show, hide}` are deprecated in GTK 4, so let us use the
    proper setter method.
  * quick-settings-box: Add method to hide status.
    Can be used to hide status externally, like by settings.
  * quick-settings: Add method to hide status.
    Can be used to hide status externally, like by settings.
  * settings: Add method to hide details.
    Hides quick-settings box status-page and audio-settings details.
  * top-panel: Hide settings' details on fold.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1136
  * settings: Use `hide_details` on panel launch.
    Hides quick-settings box status in-addition to audio-settings details.

  [ Evangelos Ribeiro Tzaras ]
  * overview: Only look up carousel position if parent is found.
    This saves a few cpu cycles.

  [ Sam Day ]
  * status-icon: Remove obsolete show_always getter+setter.
    This property was dropped back in 2020. These names managed to sneak
    their way into the symbol export map, but since the actual symbols don't
    exist this doesn't break ABI compatibility (or at least,
    abi-compliance-checker did not complain)
    Fixes: 1f9f31db ("status-icon: Drop show-always")
  * ci: Always publish ABI check artifacts.
    If there's an ABI breakage the pipeline will fail (which is good). This
    change ensures that when this happens the report containing detailed
    info is made available.

  [ Bardia Moshiri ]
  * util: Move sys/mman and fnctl out of MEMFD ifdef
    these are needed if in meson we set have_memfd_create to false.

  [ Gotam Gorabh ]
  * notification: Don't focus the notification-frame.
    Don't focus the notification-frame as it overlap the
    action buttons. However notification body still can
    focus without shadow.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1152
  * notification-frame: Add slide-down animation.
    Add slide-down animation to rest of the notifications after a new
    notification appears.
    We skip the animation when it currently isn't visible anyway.

  [ Sebastian Krzyszkowiak ]
  * activity: Fix thumbnail scaling.
    PhoshActivity is unaware of GtkButton's padding. Move it
    to GtkDrawingArea, so the thumbnail size can be calculated
    with correct aspect ratio.

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Andika Triwidada ]
  * Update Indonesian translation

 -- Guido Günther <agx@sigxcpu.org>  Fri, 21 Mar 2025 18:19:23 +0100

phosh (0.45.0) experimental; urgency=medium

  [ Guido Günther ]
  * build-symbols: Robustify. Exit on errors and add end of here file (EOF).
  * build: Simplify path to inputs a bit.
    This is easier to read but also make sure we don't get the
    directories added twice when built as a subproject.
  * phosh-session: Make phoc startup verbose. This gives us some important
    information like used renderer, backend, etc. We require phoc 0.45.0 for
    that.

  [ Sam Day ]
  * build: Bump minimum Meson version to 1.2.0.
    We need this to set override_options on both_libraries (to enable DWARF
    debug symbols when performing ABI compliance checks)
  * build: Add ABI compliance check.
    When the abi-check option is enabled, abi-dumper is run on the
    shared library, and then abi-compliance-checker compares this result to
    the baseline in src/libphosh-abi.dump
  * build: Check in initial libphosh ABI dump.
    We're starting our baseline from 0.45.beta1
  * ci: Add abi-compliance-checker job.
    This job makes use of the new abi-check build option, and saves an
    artifact with the new ABI dump and the HTML report that was generated
    comparing it to the currently checked in baseline.
    It will run automatically on tags and changes to NEWS or the libphosh
    symbol list. It can also be run manually.
    See: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1188

  [ Rafael Fontenelle ]
  * Update Brazilian Portuguese translation

  [ Anders Jonsson ]
  * Update Swedish translation

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Feb 2025 12:00:47 +0100

phosh (0.45~rc1) experimental; urgency=medium

  [ Arun Mani J ]
  * Simplify more UI files

  [ Guido Günther ]
  * phosh-session: Run through systemd-cat when available.
    This helps to get proper debug output out of phoc under display manager
    using greetd (like phog and phrog).
  * notification: Add sound-file property. Needed to play custom sounds on
    notifications
  * notify-feedback: Pass custom sound file if present.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1184
  * notification-manager: Add and handle sound capability.
    Handle `suppress-sound` by lowering the feedback level to quiet and set
    `sound-file` if present in the notification.
  * ci: Pull libfeedback from Debian unstable
  * build: Generate dynamic list. This will be useful when we generate a
    symbols file too
  * build: Build symbols file. Use the information from our dyn list to create
    a symbols file for the shared library.
  * ci: Use newer imagemagick
  * ci: Update images to v0.0.2025-02-07

  [ Sam Day ]
  * build: Manage libphosh_api_version independently from project version.
    Since we're aiming to keep the libphosh API stable, the libversion
    variable is renamed to libphosh_api_version, and its value is managed
    manually. It will only be incremented when the API changes.
    See: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1188
  * lockscreen-manager: Drop unused get/set timeout prototypes.
    These functions were dropped back in 2020 by 084d406c
  * layersurface: Add vtable padding to class.
    This type is exported by libphosh, make sure we can evolve the vtable
    later if needed.
  * layersurface: Split out private header.
    We just need the type available to API consumers, let's not make
    anything else public for now.
  * build: Remove wl protos from public API altogether.
    This was introduced recently in 68bf9792, but as it turns out, we don't
    need to leak the layer-shell-unstable wl proto header into the public
    API after all. This is because the previous commit reduced the exports
    of PhoshLayerSurface to just its type information.
  * build: Introduce libphosh symbol list.
    This list specifies every symbol that is defined in libphosh.h. It will
    be included in the libphosh symbol map in the following commit.
  * build: Combine libphosh+plugin symbol into symbol map
    libphosh.so needs to export both the public API symbols and the extra
    symbols needed by plugins (as libphosh consumers might instantiate a
    Shell that tries to load the default in-tree plugins).
  * build: Build libphosh library with symbol map.
    This significantly reduces the number of global symbols exported from
    libphosh.so from ~2000 to ~150.
  * ci: Install abi-compliance-checker in Debian image.
    A subsequent commit will introduce a CI job that uses this tool to
    generate a report on the changes to API/ABI compatibility for the
    libphosh shared library (and later, the phosh executable too).
    It introduces about a half-dozen transitive dependencies and ~8mb
    additional installed size. This seems acceptable and preferable to
    introducing a whole additional sub-image.
  * ci: Fix double line continuation token in debian.Dockerfile.
    Podman seems okay with this, but it makes Docker upset.

  [ Artur S0 ]
  * Update Russian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

 -- Guido Günther <agx@sigxcpu.org>  Fri, 07 Feb 2025 19:07:14 +0100

phosh (0.45~beta1) experimental; urgency=medium

  [ Guido Günther ]
  * fake-clock: Make WallClockMock available in regular shell
  * main: Allow to use fake clock.
    Allow to use the fake clock in the regular shell. This eases making
    demos and screenshots and it doesn't add much code.
  * docs: Document PHOSH_FAKE_CLOCK
  * screenshot-manager: Add cancellable.
    Always good to cancel async operations on shutdown
  * screenshot-manager: Separate hours, minutes and seconds by ':'
    Rather than using '-' for date and time, separate the time by ':' to
    make it easier to identify.
  * screenshot-manager: Create thumbnails of screenshots.
    Screenshots are used a lot on mobile so make sure we generate thumbnails
    for the cases where the e.g. uploading application doesn't.
    We already have all the data so write out a thumbnail per
    https://specifications.freedesktop.org/thumbnail-spec/0.8.0/
  * wwan-manager: Enable and disable autoconnect.
    When we disable a WWan connection we should also disable autoconnect as
    otherwise the connection comes back up after resume or reboot.
    Hence we need to reenable autoconnect when the connection is activated
    again.
    Closes: https://gitlab.gnome.org/guidog/meta-phosh/-/issues/16
  * wwan-mm: Use swapped signal. Our handler wants `self` first
    Fixes 51da91508 ("wwan-mm: Switch to MM objects")
  * ci: No need to fetch phoc from sid. The one in trixie is recent enough now
  * gitignore: Ignore pycache files
  * home: Use g_timeout_add_once() Simpler API
  * home: Queue draw instead of committing the surface.
    We don't know if GTK already attached a matching buffer and attaching an
    incorrectly sized one can lead to the compositor terminating the
    connection so let GTK decide when to commit.
  * top-panel: Queue draw instead of committing the surface.
    We don't know if GTK already attached a matching buffer and attaching an
    incorrectly sized one can lead to the compositor terminating the
    connection so let GTK decide when to commit.
  * packaging: Add pytest. Useful to run the tests
  * packaging: Require newer phoc. This ensures we have a recent enough
    one in the tests
  * packaging: Depend on wlr-randr. We use it in the tests
  * tests: Add simple test to check mode changes.
    We hade some crashes in that area so make that testable in CI.
    This can also be extended to check the binaries on the installed system
    at some point thus making it easier for distros to validate their
    builds.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1171
  * ci: Run integration tests
  * ci: Drop phosh startup tests.
    With the pytests we spawn a shell too. It served us well up to now.
  * layersurface: Drop protocol version check.
    We require recent enough phoc anyway.
  * treewide: Assume phoc supports alpha layer surfaces.
    This is supported by phoc since May 2023
  * layersurface: Drop now unused has_alpha()
  * layersurface: Simplify map/unmap
    map()'s and unmap()'s are impls for virtual methods so
    we can't end up with an incorrectly casted type (as e.g.
    in signal handlers). This is a left over from:
    Fixes 953894a2b ("layersurface: Use class methods instead of signals for map and realize")
  * layersurface: Allow to set alpha before the surface is mapped.
    Catch up with values set prior to mapping the surface on map.
    So far this resulted in errors but allowing it makes things more
    flexible as we don't need to bother when the surface gets mapped.
    Helps: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/940
  * layersurface: Allow to set stacking before the surface is mapped.
    Catch up with values set prior to mapping the surface on map.
    So far this resulted in errors but allowing it makes things more
    flexible as we don't need to bother when the surface gets mapped.
    We take a weak ref on the target surface so we can notice when it goes
    away. Otherwise we would try to bind a non existent target surface when
    the target surface goes away before the surface itself gets ever mapped.
  * home: Bind background visibility.
    Instead of always showing it, bind it to the visibility of home.
    This ensures they stay in sync.
    Since `visible` is false in the constructor this is a slight behavior
    change as the background will now become visible a bit later.
  * top-panel: Bind background visibility.
    Instead of always showing it, bind it to the visibility of top panel.
    This ensures they stay in sync.
    Since `visible` is false in the constructor this is a slight behavior
    change as the background will now become visible a bit later.
  * system-modal-dialog: Rename obj to object.
    We have a mix in the code base but 'object' is more prevalent.
  * system-modal-dialog: Fade in system modal dialogs.
    This is a bit less surprising and with the cleanups in the layer surface
    code we can fade in with a simple PhoshAnimation. Since the compositor
    drives the rendering this doesn't cause much CPU (as GTK based blending
    would).
  * background-manager: Update background when dark uri changes too.
    We tracked the regular background but not one for the dark theme.
  * background: Fill background with primary color.
    This makes sure we have a proper background in the overview in
    case the selected image has transparency.
    In case of a missing image it ensures we fall back to black so the
    overview always gets a non transparent background.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1173
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1169
  * background: Use background color for the primary output's background.
    The primary output's background determines the color behind the top and
    bottom bars when they are folded (since the actual bars are
    transparent). So use the @phosh_bg_color CSS value for these areas
    rather then the primary-color gsetting.
    This ensures the seamless fading from the opened overview to the black
    top and bottom panel works even for situations where the primary-color
    gsetting is not '#000000'.
  * media-player: Don't access `self` when call got cancelled.
    The memory has then been free'd already.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1176
    Tested-by: Fiona Klute <fiona.klute@gmx.de>
  * media-player: Simplify flow.
    We first handle the success then the failure path. By basing this on
    `var` we avoid `else if`.
    Tested-by: Fiona Klute <fiona.klute@gmx.de>
  * ci: Pull phoc from Debian unstable.
    Should fix the crash we're seeing on phoc shutdown in CI
  * osk-button: Drop widget. It's not used anymore.
    Fixes: fe308c2ce ("home: Shrink home-bar height and move osk activation to center")
  * shell: Allow plugins to get the primary and built-in monitor
  * monitor-manager: Allow to set a monitor's scale. This is similar to
    setting the transform.
  * head: Move scale calculation for video modes to util.
    It's not bound to the actual head we use so we can also use it e.g. for
    monitors.
  * build: Export symbols needed to set monitor scale
  * tests/integration: Honor WLR_BACKENDS from environment
  * docs: Use full line length. Matches what we do in the code
  * docs: Move callbacks one indent level up. Doesn't belong to properties
  * docs: Add signal example
  * docs: Add since annotations to examples
  * docs: Add doc string
  * docs: Add GObject introspection docstring example
  * manager: Use idle_add_once variant. A bit less code and easier to read.
  * notification: Allow for empty do_action. Shell internal notifications
    only listen to signals so they don't have `do_action` implemented
  * build: Move wifi-manager to tool sources.
    We want to add the connectivity manager there and as this will reference
    the wifi-manager we need to move things over (which is an improvement
    over all as we want to empty `libphosh_sources` in favor of
    `libphosh_tool_sources`).
  * connectivity-manager: New class to track connectivity information.
    This will be used for detecting captive portals and by
    connectivity-info.
  * connectivity-info: Use connectivity-manager
  * connectivity-manager: Only update on state changes
  * connectivity-manager: Show notification when we detect a captive portal.
    Clicking on the portal opens the portal URL in the browser
  * d/control: Recommend network-manager-config-connectivity-debian.
    This allows NMs captive portal detection to work.
  * layersurface: Fix initial alpha sync. We want to set for alpha != 1.0
    Fixes 6b2d9f6b6 ("layersurface: Allow to set alpha before the surface is mapped")
  * layersurface: Clear effects on unmap.
    This allows us to toggle visibility on and off as the effects will be
    recreated on map.
  * home: Recolor only the home bar on state changes.
    So far we added the style class to the whole home widget which means
    recalculating the style for all widgets (including the app grid). This
    way we need to calculate way less new CSS.
    In order to keep HighContrast theme working we restyle the whole Home
    widget on theme changes still.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1177
    Tested-by: Andrey Skvortsov <andrej.skvortzov@gmail.com>
  * home: Toggle background widget on/off based on visibility.
    This avoids showing the background for a split second in high contrast
    mode and also saves computation time.
  * wifi-network-row: Use property setter.
    Instead of splitting setting and binding make it look like a regular
    property setter elsewhere.
  * bt-device-row: Name async callback _ready.
    Following our usual pattern
  * quick-setting-box: Don't warn when closing "wrong" status page.
    Don't emit a warning when trying to close a status page that isn't
    currently open. This allows quick settings to emit `hide-status`
    without keeping track whether their status it the one currently shown.
  * bt-device-row: Emit signals for activation.
    Emit a signal when activation starts (and hence the row is "busy") and
    when it finishes. This allows the status page to keep track of the rows
    state.
  * status-page: Add "done" signal.
    Status pages should emit this when they want to be closed
  * bt-status-page: Emit done when last device activated successfully.
    We emit the signal when all devices finished activating and the last one
    finished successfully as the user is very likely done with the status
    page at this point.
    Helps: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1166
  * quick-setting: Hide status page on "done" signal.
    When the status page indicates it is done, close it.
    Helps: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1166
  * scaling-quick-setting: Close status page on scale changes.
    Let status page emit "done" signal when setting the scale. This closes
    the status page.
    Helps: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1166
  * wifi-status-page: Use g_connect_object() for wifi-manager.
    Less code and we'll connect more. Fix one trailing white space while at
    that.
  * wifi-network: Clarify ownership of phosh_wifi_network_get_ssid()
    It is transfer: none.
  * wifi-status-page: Fix incorrect signal handler signature.
    There's no `GParamSpec` in the "clicked" signal. Thankfully we're not
    using the button yet so this wasn't a problem so far.
  * wifi-status-page: Close status page when connection succeeds.
    Close the status page when the Wi-Fi network the user selected gets
    activated.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1166
  * dir-locals: Set indicator column.
    Makes indenting a bit simpler
  * notification: Clear expiry timeout before setting it.
    This allows to bump the timeout of an existing notification
  * tests: Stub wifi-manager with an object.
    This allows the connectivity test to retrieve it
  * shell: Create Wi-Fi manager upfront.
    This ensures we have it around when needed.
  * shell: Create connectivity manager upfront.
    This ensures correct ordering between Wi-Fi and Connectivity manager.
  * connectivity-manager: Make notification persistent.
    We keep the notification around unless the SSID of the network changes
    or we get connectivity again. Close it as soon as we get connectivity
    again or the SSID changes.
    The banner will close after 20s (rather than 10s atm) so it is a bit
    easier to catch.
  * connectivity-manager: Make notification silent.
    No need to buzz or blink when we detect a Wi-Fi portal.

  [ Cédric Bellegarde ]
  * screen-saver-manager: Connect logind prepare-for-sleep sooner

  [ Sam Day ]
  * build: Add libappstream dependency.
    This is needed by the PhoshMetainfoCache to be introduced in the
    following commit.
  * metainfo-cache: Introduce PhoshMetainfoCache.
    This was originally authored by Guido in the WIP MR !950.
    It handles initializing an AppStream cache "Pool", which is populated
    with information about available applications on the system (installed
    or otherwise).
    It will be utilized in the following commit of this series, to determine
    the correct AppStream "data id" that is used when invoking
    gnome-software --uninstallation
  * app-grid-button: Add Uninstall action
    gnome-software supports an --uninstall <id> invocation, which navigates
    directly to the details page for the app and pops the prompt to
    uninstall that app.
  * shell: Allow overview to be hidden.
    This commit introduces a PhoshShell::overview-visible property, which is
    bound to the visibility of the PhoshHome that the shell constructs.
    This property isn't used in phosh-session and probably never will be,
    it's for custom PhoshShell subtypes, such as phrog, which will use it
    when displaying a "first-run" application in the system greeter view.
  * shell: Minor uncrustification.
    A handful of tiny cleanups in the property set/get functions, since I'm
    in the area with the previous commit.
  * build: Rename most libphosh_* Meson variables to phosh_*
    libphosh API is about to be dramatically reduced. As such it's not
    really accurate to refer to any of these sources or headers as
    "libphosh", since they're meant to be internal.
  * build: Omit libphosh_headers from phosh_sources.
    The phosh_sources variable should only include .c source files. This way
    it can be safely included in the files fed into g-ir-scanner without
    causing unintended additions to introspection output.
  * build: Omit phosh_tool_headers from phosh_tool_sources.
  * build: Only add phosh_*_headers to phosh_headers.
  * build: Generate a subset of enums for libphosh
  * lockscreen-manager: Minor uncrustification
  * lockscreen-manager: Split out a private header.
    The constructor is moved to the private header so that PhoshCallsManager
    can be excluded from the public API.
  * lockscreen: Split out a private header.
    The constructor is moved to the private header so that PhoshCallsManager
    can be excluded from the public API.
    libphosh consumers don't need to use this constructor directly, since
    they can control what Lockscreen subclass is constructed via
    PhoshShell's get_lockscreen_type vfunc.
  * shell: Split a public header out from plugin-shell.
    In the case of PhoshShell, we have two kinds of "public" - stuff that
    should be exported to libphosh consumers, and stuff that should be
    available to bundled plugin.so libraries.
    So the header that was formerly shell.h is now shell-priv.h, and a new
    shell.h header is introduced that splits the basic type definition and
    some initial public methods out from plugin-shell.h
    plugin-shell.h includes shell.h, and shell-priv.h includes
    plugin-shell.h. Got it? Nope? Don't worry - it'll make sense eventually.
  * plugin-shell: Make phosh_shell_new public API
    libphosh consumers should be able to construct a PhoshShell
  * plugin-shell: Make phosh_shell_fade_out public API.
    This is used by phrog to do a nice fadeout of the greeter session when a
    user has successfully logged in.
  * plugin-shell: Make phosh_shell_get_lockscreen_manager public API.
    This is useful for libphosh consumers (like phrog) to obtain a reference
    to the active Lockscreen.
  * plugin-shell: Make phosh_shell_get_usable_area public API
    phrog currently uses this in tests to center the virtual mouse pointer.
    I was going to switch that code to use Gdk but Guido indicated this
    might be useful elsewhere so might as well make/keep it public.
  * plugin-shell: Make phosh_shell_get_screenshot_manager public API.
    This is already used directly in the libphosh-rs hello-world example, so
    it seems a safe bet this should be considered public API.
  * build: Keep track of public dbus sources/headers.
    When codegenning the dbus proxies, we keep track of the files that
    should be included in the public API of libphosh.
    The newly introduced libphosh_generated_dbus_* variables are not
    being used yet, but they will be when the GIR is updated to use a much
    smaller subset of files for introspection.
  * build: Dramatically reduce the size of libphosh public API.
    The dozen or so commits prior to this one in this series were all
    working towards this point. The GIR and libphosh.h are reworked to only
    include a very small set of headers for the current minimum viable
    public API (based on existing usage in libphosh-rs examples and phrog).
    The GIR has been shrunk from ~70k lines to ~2.3k, and the number of
    files installed to /usr/include/libphosh-N.NN has reduced from ~200 down
    to ~20.
  * build: Remove many generated+supporting headers from public API.
    Now that libphosh.h is significantly smaller in scope, none of these
    headers need to be included alongside the libphosh headers.
  * build: Ensure wl protos referenced by public API are installed.
    The previous commit was a little overzealous in removing headers from
    the public API header dir. Specifically, layersurface.h is including the
    generated wlr-layer-shell-unstable-v1 header.
    So, similar to the earlier commit that distinguishes public dbus
    generated sources from internal ones, we introduce a list of generated
    wl proto headers that should be included in the public API.
  * quick-setting: Add vtable padding for future API/ABI compatibility
  * status-icon: Uncrustify _PhoshStatusIconClass
  * status-icon: Add vtable padding for future API/ABI compatibility
  * status-page: Add vtable padding for future API/ABI compatibility
  * wall-clock: Uncrustify _PhoshWallClockClass
  * wall-clock: Add vtable padding for future API/ABI compatibility
  * treewide: Remove various docstring symbol links to internal classes.
  * docs: Qualify API docs as 'public' in README

  [ Adam Honse ]
  * plugins: Screen scaling quick setting plugin.
    Allow to select the scale for the primary output. The list of scales
    is calculated the same way we do it when presenting them to Settings.
    For the moment we disable the plugin when there's more than one output
    as it's not obvious to the user if it should affect the primary or
    built-in display.
    Clicking on the button swaps back to the previously selected scale which
    looks like the best default action.

  [ Gotam Gorabh ]
  * tree: Bump gtk version in ui files.
    Bump gtk dependency to 3.24 and add libhandy
    as a requirement where it needed.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1181
  * d/control: Add libgmobile-dev dependency
  * emergency-info-prefs: Remove useless code
  * emergency-info-prefs: Switch to AdwEntryRow for add_emer_contact_dialog
  * emergency-info-prefs: Port add_emer_contact_dialog to AdwDialog.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1159
  * emergency-info-prefs: Port remaining GtkEntry to AdwEntryRow.
    As we already make `add_emer_contact_dialog` to use AdwEntryRow
    in https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/1615 ,
    this mr will port remaining ones.

  [ Evangelos Ribeiro Tzaras ]
  * calendar: Respect week number setting (Closes: #989)
  * ci: Add gsettings-desktop-schemas as build dependency for alpine

  [ Arun Mani J ]
  * status-pages: Disable vertical homogeneous.
    These pages have a lot of stack pages of different heights. With
    homogeneous, smaller pages have an awkward space at bottom. May be not
    really awkward, but at least pages now take only the height they need.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1139
  * plugins: Add missing schemas compilation steps
  * tools: Add missing plugins' schemas
  * plugins: Build schema only on dependency change
  * Simplify many UI files using `gtk-builder-tool`

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Martin ]
  * Update Slovenian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ twlvnn kraftwerk ]
  * Update Bulgarian translation

  [ Artur S0 ]
  * Update Russian translation

  [ Rafael Fontenelle ]
  * Update Brazilian Portuguese translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

 -- Guido Günther <agx@sigxcpu.org>  Sun, 02 Feb 2025 09:14:35 +0100

phosh (0.44.0) experimental; urgency=medium

  [ Guido Günther ]
  * notification: Port to PhoshAnimation.
    This simplifies the code and will make adding a slide-up animation more
    straight forward.
    We move the start of the animation to the map vfunc as PhoshAnimation
    requires the widget to be mapped.
  * app-grid-base-button: Fix indent
  * system-modal-dialog: Don't process key event directly.
    Less code and helps the GTK4 migration. Also makes sure we don't
    interfere with other event handling.
    Can be reworked to use gtk_widget_class_add_binding_action then.
  * top-panel: Don't process key event directly.
    Less code and helps the GTK4 migration. As we don't have a "closed"
    signal we'll use "activated" which is enough to make `PhoshShell` toggle
    fold.
    Can be reworked to use gtk_widget_class_add_binding_action then.
  * top-panel: Move settings upwards.
    As we don't have a dedictated "close" signal "activate" will do.
    This allows us to drop the `packaging` elements which eases the reading
    flow and eases the GTK4 transition.
  * app-grid-base-button: Make abstract.
    It can only serve as base class for other buttons
  * app-grid-base-button: Remove css name.
    We style the derived classes.
  * app-grid-button: Use alpha on activation and search too.
    Amends df0f30580 ("app-grid-button: Use alpha when focused")
  * app-grid-folder-button: Let style match the app-grid-button.
    We use a slightly darker style to make the activation visible
    Amends df0f30580 ("app-grid-button: Use alpha when focused")
  * app-grid: Add outline around selected search item.
    Makes it easier to identify when using a background
  * build: Make cell-broadcast headers private
  * shell: Drop unused header
  * packaging: Lower phoc dependency.
    0.40~rc1 is recent enough
  * ticket-box: Port prefs to GtkFileDialog.
    This gives us the portal which is adaptive.
  * splash-manager: Use GDesktop's enum.
    It has been released a while ago.
  * mode-manager: Drop unused defines
  * home: Indicate transitioning state.
    Indicate when the home is transitioning between folded and unfolded.
  * top-panel: Set background on top bar.
    This avoids showing regular windows under the top bar which can be
    confusing.
    While this is not very visible in auto-maximize mode it can be seen in
    floating mode or when e.g. revealing the shell over fullscreen windows.
    We add an outer container with background to the top bar so we can keep
    setting the margins on the top-bar itself.
    The alternatives (using padding or to setting the marign on the inner
    elements) are more complicated as we move elements around due to notch
    avoidance and the margin also changes due to that. We would thus need to
    generate style classes on the fly or determine the elements dynamically
    which is more fragile.
    We can make things slightly nicer by setting the solid
    background a bit later (when the splash closes) but let's do that with
    when zooming in the splash
    (https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/1264)
    as this will supply the necessary plumbing to phosh shell.

  [ Gotam Gorabh ]
  * notification-banner: Add slide-up animation to banner.
    Add slide-up animation to the notification-banner so that
    it will disappear with slide-up animation.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/377
  * notification-frame: Don't return bool for notify signal handler

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Alexandre Franke ]
  * Update French translation

  [ twlvnn kraftwerk ]
  * Update Bulgarian translation

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Dec 2024 09:25:07 +0100

phosh (0.44~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * po: Update app-id. No need to break all the translations
  * thumbnail: Use gpointer. We avoid "void *" in other parts of the codebase too
  * activity: Simplify UI. Drop properties at their defaults by using
    gtk-builder-tool. We also already split expand to {h,v}expand.
  * activity: Drop redundant CSS. No need to set padding and transition twice
    in the same block
  * toplevel: Allow to (un)fullscreen toplevels
  * activity: Add button to unfullscreen. We show it when the activity is
    fullscreen and emit a signal when it should be unfullscreened.
  * activity: Activate unfullscreened app. When the user unfullscreens an app
    they likely also want to activate it so do this too.
  * overview: Unfullscreen toplevel when activity requests it
  * ci: Simplify adding packages from unstable. This makes it easy to e.g.
    fetch phoc from sid when needed.
  * top-panel: Set css class at the end. This makes it match other class_init
    layouts
  * layersurface: Add check for valid alpha values
  * layersurface: Make layer property 'construct'. This allows us to get it in
    constructors.
  * protocols/layer-shell-effects: Update to latest version
  * layersurface: Add support for stacking surfaces. Use layer-shell-effects
    version 3 to allow stacking layer surfaces above/below each other.
  * layersurface: Add getters for output and layer
  * settings: Add a background. This improves readability when the top-panel
    itself is transparent.
  * background: Allow to set the layer
  * css: Ease toggling background on/off. We add a "solid" style class for
    that.
  * top-panel-bg: New widget that is the top panel's background.
    We use a separate widget so we can drive alpha blending on the
    compositor side.
  * top-panel: Use a background.
    This allows us to tweak the top-panel's transparency based on how far
    the surface is folded.
    We use that to make it fully transparent (and hence the wallpaper shine
    through) when the overview is unfolded or when on the lockscreen.
  * home: Add a background.
    Add the desktop's background to home so mobile users can enjoy it too.
    Adjust the background's transparency based on how far the home surface
    is pulled out.
  * activity: Use simpler phosh_util_toggle_style_class
  * activity: Return early if we have no surface
  * activity: Set background in drawing area.
    This ensures thumbnails don't look that cut off when the OSK is
    unfolded.
    We only do this for maximized windows to avoid the background on e.g.
    dialogs.
    We should restrict this to toplevels without a parent once
    https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/1278
    lands
  * app-grid-button: Use alpha when focused.
    This avoids a dark black square which looks out of place on colored
    backgrounds.
  * style-manager: Add theme-name property and methods to get style information.
    We want other parts of the shell to track theme changes so add a
    property for this plus the needed getters.
  * home: Handle HighContrast theme. We don't want to reduce contrast in the
    overview in this case.
  * top-panel: Handle HighContrast theme. Ensure we have a solid background
    when HighContrast is active
  * data: Prefer dark theme.
    We have a quick setting to toggle it off if needed and it better fits
    the style changes for background images.
  * packaging: Conflict with older p-m-s. Add a conflict to p-m-s that doesn't
    use AdwPreferencesDialog for plugin prefs yet.
  * overview: Insert new children right of their parents.
    So far we appended to the very end of the list which made dialogs
    belonging to a parent look out of place.
  * wwan/ofono: Avoid GAsyncReadyCallback casts.
    Rather cast the user data argument which gives us a type check and fewer
    lines of code instead.
  * data: Move schema to mobi.phosh too.
    We keep the old schema paths to not break existing setups.
  * data: Move enums into canonical namespace
  * docs: Update schema locations
  * system-modal-dialog: Allow to get dialog title.
    This makes it consistent with the setter
  * wwan-mm: Switch to MM objects.
    This frees us from creating the proxies manually and gives
    somewhat nicer function names.
  * wwan-manager: Add signal to notify about new CBMs.
    The wwan manager should able to notify other parts of the shell that a
    new cell broadcast message was received.
  * wwan-mm: Track new CBMs.
    Track new cell broadcast messages and emit 'new-cbm' when
    the received message is complete
    This needs a recent ModemManager with Cell Broadcast support
    so we compile that in conditionally based on whether we find
    the necessary API in libmm-glib. We can drop this once this
    feature made it into a released MM version.
  * data: Add setting for cell broadcast messages
  * cell-broadcast-prompt: New dialog for cell broadcast message
  * cell-broadcast-manager: New class handle display of CBM information.
    Acts on signals from the WWAN stack to show cell broadcast messages
    (CBMs) as system modal dialogs or (later on) notifications.
  * background-manager: Track background file changes.
    The portals use the same name for the background file so we
    want to track when the file content changes.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1012
  * build: Bump libsoup dep.
    Now that there's a stable release with
    https://gitlab.gnome.org/GNOME/libsoup/-/merge_requests/394/diffs
    just depend on that.
  * docs: Drop submodule init.
    We're using subproject wraps since some time
  * docs: Be less L5 specific
  * docs: Fix path to session script.
    Fixes ea33170db ("data: Rename phosh startup script to phosh-session")
  * brightness: Use automatic cleanup
  * overview: Bind template vars past signals.
    This matches the class_init layout in other classes. Sort alphabetically
    while at that and use our current indent.
  * app-grid: Use g_timeout_add_once. Simpler and less error prone
  * app-grid: Avoid expand packaging for search.
    That won't work with GTK4 and we can has hexpand just as well
  * app-grid: Prefix signal handlers.
    Make them match our `on_` style
  * app-grid: Bind template vars past signals.
    This matches the class_init layout in other classes. Also use our
    current indent.
  * notification-banner: Use minimal size for banner.
    Size the banner based on the allocation. This ensures areas around the
    notification will still remain touchable.
    We keep a min width of 360px to ensure the notification doesn't get too
    narrow.
    Fixes: c0b37ad5c ("notification-banner: Drop unused hard coded values")
  * tests/notification-frame: Don't leak actions.
    Fixes fa92b3cbd ("tests/test-notification-frame: Add testcase for
    need_separator function")
  * shell: Use consistent resource prefix.
    We could use the longer /mobi/phosh/shell but let's use the shorter
    /mobi/phosh as these don't leak outside the binary.
  * session: Move to phosh.mobi.
    Move desktop file and icons as well
  * debian: Drop unused files
  * portal: Move to consistent prefix.
    Use mobi.phosh.Shell here too
  * build: Switch app-id to mobi.phosh.
    Fix the fallout in the calendarserver and the upcoming events plugin
    triggered by that.
  * portals: Add 'shell' to portal name.
    We only provide the access portal so add 'shell' name and free the
    namespace for the actual portal so we don't have to use 'pmp' for it.
  * portals: Use phosh as portal name.
    Use the canonical name for the portal implementation
  * packaging: Conflict with older phosh portal.
    This ensures we don't run against a portal that is still
    named pmp

  [ Gotam Gorabh ]
  * plugin prefs: Switch to AdwPreferencesDialog.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/1515
  * tools/plugin-prefs-standalone: Adapt the AdwPreferencesDialog plugin prefs.
    See: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/64
  * notification-frame: Add separator for default-action notification.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/901
  * tools/check-notification: Cover more cases
  * notification-frame: Don't add separator to row at index 0
  * tests/test-notification-frame: Add testcase for need_separator function

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Tim Sabsch ]
  * Update German translation

  [ Pierre Michel Augustin ]
  * Update Haitian Creole translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Dec 2024 23:44:41 +0100

phosh (0.43.0) experimental; urgency=medium

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Evangelos Ribeiro Tzaras ]
  * end-session-dialog: Wait 60 seconds (not 61) before auto-confirming.
    This source is added via g_timeout_add(). As a second has already passed,
    decrement first and then update the dialog text.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Nov 2024 13:44:54 +0100

phosh (0.43~rc1) experimental; urgency=medium

  [ Gotam Gorabh ]
  * docs: Update commit message guidelines for bug fixes
  * notification-frame: Add slide-up animation to the notifications.
    Add slide-up animation to the rest of the notifications
    into the space that the one that was just dismissed.
    Helps: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/788

  [ Guido Günther ]
  * build: Drop the versions block.
    Not needed anymore. We require those versions anyway.
  * build: Install gir when we create the bindngs lib.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1118
  * notify-feedback: Send event for new notifications.
    The feedback theme should decide what should happen on notifications,
    not the shell.
  * notify-feedback: Make condition match maybe_trigger_feedback.
    The early exit should use the same criteria we use in
    `maybe_trigger_feedback` later on (as it's only purpose is to shortcut
    the logic early.
  * notify-feedback: Emit proper feedback when device is locked.
    So far we only picked the `*-missed-*` events and relied on the app to
    submit proper feedback. That isn't very reasonable though as the app
    e.g. won't know if the user has disabled notifications.
    So emit feedback for all notifications with reasonable categories.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/728
    Closes: https://source.puri.sm/Librem5/feedbackd/-/merge_requests/69
  * notify-feedback: Allow apps to special case SMS. This is useful for
    phones
  * notify-feedback: Clarify event purpose.  We only track the events for the
    inactive case
  * notify-feedback: Always trigger feedback when events are added.  Since we
    handle inactive and active now we shouldn't silently ignore new
    notifications.
  * notify-feedback: Handle feedback for active case separately.
    This ensures we don't forget to end feedback for long running
    feedback when the device is active (e.g. `call-unanswered`).
  * style-manager: New class to handle themes and styles.
    We move the stylesheet selection into a separate class so we can add
    properties/signals and also more style settings for the upcoming accent
    color support.
  * notify-manager: Allow `transient` hint to be int.
    There's no bool so people use
      notify-send --hint=int:transient:1 -t 3000 subject body
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/351
  * util: Handle MFD_NOEXEC_SEAL.
    This got added in 6.3. See https://lwn.net/Articles/918106/
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/928
  * libphosh: Add missing classes. This unbreaks the Rust bindings
  * plugins: Simplify schema compilation. Add a validation while at that
  * run: Add missing schema dirs
  * tools/plugin-prefs: Only load one extension point at a time.
    Quick setting plugins and lockscreen plugins use different entry points
    so loading all prefs leads to warnings. Allow to select the plugin type
    to use instead.
    Fixes b8589e6df ("tools: Add widget to test custom quick settings")
  * notify-manager: Make shell notifications more flexible.
    Allow to pass a notification object. This gives more flexible on e.g.
    the icons used.
  * build: Allow plugins to send notifications
  * plugins: Add simple pomodoro timer.
    This follow the pomodor technique
    https://en.wikipedia.org/wiki/Pomodoro_Technique although we don't
    implement the longer breaks yet.
    The `pomodoro-on.svg` is the `timer.svg` taken from
    `org.gnome.design.IconLibrary`. `pomodoro-break.svg` is the
    `tea-symbolic.svg` from the same library.
    This also adds an example on how to use notifications from plugins.
  * pomodoro-quick-setting: Add preferences dialog.
    This also gives us a demo of preferences for a quick setting plugin.
  * pomodoro-quick-setting: Mark more strings as translatable.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1127
    Thanks to Rafael Fontenelle
  * notify-manager: Try harder to find an application icon.
    Use `phosh_get_desktop_app_info_for_app_id()` so we get the correct icon
    for e.g. Firefox which sends `Firefox` as `desktop-id` although the
    desktop file is named `firefox.desktop`.
  * screenshot-manager: Use a const rectangle. This eases bindings
  * screenshot-manager: Use correct notification. If we don't copy to
    clipboard we should say so, we also shouldn't claim we took a screenshot
    when it failed.
  * portals: Sort alphabetically
  * portals: End list with semicolon
  * portals: Use phosh specific portals where necessary.
    The GTK portal doesn't support accent colors yet:
        https://github.com/flatpak/xdg-desktop-portal-gtk/issues/498
  * portals: Disable currently unimplemented ones.
    Let's not fall back to a portal implementation that might not work.
  * quick-settings: Close phosh's settings when opening the Settings application.
    Otherwise the user might be puzzled as seemingly nothing happens. We do
    that by deduplicating the "open settings panel" logic which was similar
    to what PhoshSettings does. Instead just use the action.
  * quick-setting: Improve focus styling.
    Use the selected bg color when focused. In order to keep the focus
    visible on active widgets we use alpha blended foreground color there.
  * sliders: Use selected color for outline when focused
  * lockscreen: Use @theme_selected_bg_color for focus. This matches our
    other list boxes
  * top-panel: Drop `can-focus` properties at their defaults
  * top-panel: Drop superfluous `receives-default` on a label
  * top-panel: Place initial focus on arrow.
    This avoids one button in the top panel having a focus border while the
    other one hasn't. We can still keyboard navigate as the next focused
    widget is still the lock button.
  * quick-setting: Don't focus on click. This avoids the focus border for
    quick setting but still allows for keyboard navigation.
  * audio-settings: Don't take focus when showing details
  * settings: Don't take focus when clearing all notifications
  * bt-status: Page don't focus buttons on click.
    The focus draws attention to the button while it should be on the
    content of the status page.
  * wifi-status-page: Don't focus buttons on click.
    The focus draws attention to the button while it should be
    on the content of the status page.
  * shell: Use `once` function for timeout handling. Simpler and less error
    prone
  * testlib: Use `once` functions for timeout handling. While at that use a
    more descriptive variable name
  * tests/take-screenshots: Run wait in screenshot context.
    This makes sure we don't discard the context before waits have
    finished.
  * ci: Update ci image
  * ci: Update shared scripts to 5e3667e
  * ci: Use common job for style, dist and markdown check
  * ci: Reconfigure test job with coverage information.
    The coverage json sometimes ends up completely empty. Make sure we built
    with coverage support.
  * ci: Use --gcov-ignore-errors=no_working_dir_found with gcovr
  * lockscreen: Disable RTL for the deck.
    Otherwise swipe and movement direction do not match
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1132
  * screenshot-manager: Use once timer function
  * screenshot-manager: Use automatic cleanup
  * screenshot-manager: Allow to save internal screenshots.
    We separate the file name handling and decision whether we want to copy
    to the clip board out of `phosh_screenshot_manager_do_screenshot` and
    rather have callers decide.
    In the case of internal screenshots triggered by keyboard shortcut or
    power button menu we save to disk and copy to clipboard.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/964
  * screenshot-manager: Update recent file list.
    Add screenshots to recent file list when saving screenshots not taken
    via the DBus API.
  * caffeine-quick-setting: Use a context for on/off.
    Fixes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1143
  * timestamp-label: Give translators more headroom.
    We're not that tight on space here.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1144
  * notification-banner: Drop explicit notify.
    No need to handle that for a construct-only property. While at
    that modernize the doc string and indent.
  * notification-banner: Adjust margin based on notification height.
    Make sure the banner is initially slightly visible so the frame clock
    ticks.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/221
  * notification-banner: Drop unused hard coded values

  [ Arun Mani J ]
  * util: Move `open_settings_panel` here. Move it here as it not
    quick-settings specific.
  * quick-setting: Bind separately for `active` Have a new field to track
    active binding instead of shadowing label binding.
  * quick-setting: Move to new API.
    Add support for status-pages. Previously, status-pages were separate
    from the quick-settings. But now we make them a property of the widget
    itself.
    Previously, the status-page displaying was managed externally by
    catching signals like long-pressed. But now we change the structure of
    the quick-setting to make it show arrow icons at the right. Clicking
    this arrow will emit the proper signal to show or hide status-page.
    We remove read-only property `status-icon` as it seems unused.
    We assign the widget a proper CSS name and reflect its `active` property
    through CSS state-flag.
    Since status-page source files are direct dependency of quick-setting
    now, we move the `status-page.c/h` and `status-page-placeholder.c/h` to
    `libphosh_tool` lists in `meson.build`.
  * quick-setting: Clean up and format. Fix indentation, reformat code as per
    `HACKING.md` and remove some unnecessary comments.
  * plugins: Move to new quick-setting API.
    Previously, `status-icon.h` was part of `quick-setting.h`, so plugins
    were able to use it directly. But since we removed the `status-icon`
    property from quick-setting, the corresponding header is also gone.
    So add `status-icon.h` to all the quick-setting plugins.
  * quick-settings-box: Add PhoshQuickSettingsBox
  * tools: Add PhoshQuickSettingsBoxStandalone
  * status-page: Simplify status page.
    As `PhoshQuickSettingsBox` uses a revealer to display the pages, we no
    longer need to have the status-page inherit from `GtkRevealer`.
    With `PhoshQuickSetting` showing arrow to hide and reveal the status
    pages, having a go-back button is redundant.
    Also remove some empty lines from UI file as it looks odd with them.
  * quick-settings: Add PhoshQuickSettings
  * settings: Bind directly to torch-manager.
    Drops dependency on torchinfo. Will be helpful when migrating to `PhoshQuickSettings`.
  * bt-status-page: Use callback instead of action.
    Makes bt-status-page more self-contained and helps when we simplify `PhoshSettings`.
  * settings: Port to PhoshQuickSettings
  * settings: Clean up and format.
    Remove unused headers, actions and format using Uncrustify.
  * wifi-status-page: Change switch to scan.
    With the new quick-setting, one can toggle Wi-Fi by just clicking on
    the quick-setting itself. So, let's use that space to have a button to
    scan Wi-Fi access points.
  * wifi-status-page: Remove "Scan" placeholder button.
    Redundant with the new Wi-Fi scan button at top right.
  * wifi-status-page: Remove unnecessary box.
    The box as parent to stack is unnecessary. Instead make the stack a
    direct child of status-page.
  * custom-quick-settings-standalone: Use PhoshQuickSettingsBox
  * tree: Export symbols of status-page and placeholder.
    Allows plugins to use these symbols.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1090
  * simple-custom-quick-setting: Add status-page.
    Add a status-page to demonstrate its usage in custom quick-settings.
  * quick-settings-box: Set CSS name.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1125
  * quick-settings-box: Add bottom margin to status-pages.
    Use bottom margin of status-pages instead of adding separate spacing for
    revealer. This way there is no flickering (sudden disappearance of space).
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1124
  * quick-setting: Bind long-press to primary button.
    As `GtkBox` does not have a `GdkWindow` on its own, it did not
    receive the long-press gestures. So bind the gesture to primary button.
    Also add the `long_press` object to C side to keep it alive.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1130
  * quick-setting: Handle `clicked` from button separately.
    Otherwise, there is a conflict between `button-press-event` and
    `long-press`, causing the quick-setting to emit both `clicked` and `long-press`.
  * quick-setting: Use GtkGestureMultiPress for right-clicks
  * quick-settings-box: Use most used type for variables.
    Avoids superfluous type-casting.
  * quick-setting: Use most used type for variables.
    Avoids hitting line length limits and easy to read.
  * quick-setting: Add long-press-action-{name,target}
    As many quick-settings launch an action on long-press, make these as
    properties, to handle this common usecase.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1133
  * quick-settings: Port to `long-press-action-*` properties
  * quick-settings-box: Hide status-page when child is insensitive
  * quick-setting: Unset state flags properly.
    The previous method is both wrong and left the widget in a unstable
    state.
  * quick-settings-box: Fix typo
  * quick-setting: Put property flags in a single line
  * quick-settings-box: Put property flags in a single line

  [ Eugenio Paolantonio (g7) ]
  * style-manager: Support accent colours.
    React on accent colour changes via org.gnome.desktop.interface's
    accent-color key.
    When an accent colour is defined, @theme_selected_bg_color and
    @theme_selected_fg_color in the stylesheet are overridden by
    phosh with the actual colour.
  * build: Bump gsettings-desktop-schemas dep to >= 47.
    Required by the accent colours support.
  * stylesheet: Fix accent colour on levelbars and calendar widgets.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1134

  [ Sam Day ]
  * screenshot-manager: Add nullable annotations to do_screenshot params

  [ Kenny Levinsen ]
  * phosh.service: Manually issue chvt on start
    libseat 0.9.0 no longer performs an automatic VT switch when taking
    control of a seat to allow sessions to be started in the background. As
    consequence, one must manually switch if one wants a background session
    to be immediately activated.
    Issue a chvt on ExecStartPost, when the service is deemed running.

  [ Anna (cybertailor) Vyalkova ]
  * build: Split linter tests to their own suite.
    Allow to easily opt out of code style tests, which provide little to no
    value for end users.

  [ Teemu Ikonen ]
  * lockscreen: Add 'require-unlock' setting.
    Allows disabling lockscreen authentication by setting it to false.

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Martin ]
  * Update Slovenian translation

  [ Rafael Fontenelle ]
  * Update Brazilian Portuguese translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Artur S0 ]
  * Update Russian translation

  [ Nathan Follens ]
  * Update Dutch translation

  [ Andi Chandler ]
  * Update British English translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Vincent Chatelain ]
  * Update French translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 11 Nov 2024 12:07:45 +0100

phosh (0.42.0) experimental; urgency=medium

  [ Guido Günther ]
  * subprojects: Switch to libcall-ui 0.1.4.
    This allows us to drop the patch we apply to the subproject.
  * panels: Queue draw instead of committing the surface.
    If we commit too early and GTK hasn't updated the buffer the compositor
    will terminate us due to the buffer size not matching the scale.
    A draw will eventually commit the surface. This makes sure we don't
    commit without giving GTK a chance to update e.g. the buffer size.
    This is not ideal as we invalidate the complete surface causing a full
    redraw.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1050
  * notify-manager: Hold a ref on the activated lockscreen notification.
    Otherwise it might get disposed before we could action on it and we need
    it around to emit the signal in `invoke_action`.
    Tested-by: Teemu Ikonen <tpikonen@mailbox.org>
  * build: Version the library name instead of the soname.
    Now with a real consumer (phrog) let's rather version the API and use a
    fixed soname. This unconfuses some packaging tools and also avoids file
    conflicts between different API versions.
  * packaging: Build bindings lib by default.
    This ensures the build is tested. In contrast to any distro builds we
    keep a fixed package name as the packages are meant for testing purposes
    only anyway.
  * overview: Ignore page changes when overview is not open.
    Otherwise we might end up focusing the wrong app when another
    adds a new toplevel on startup (like e.g. calls).
  * wwan-mm: Don't warn when operation got cancelled
  * shell: Avoid critical when there's no builtin monitor.
    There might not always be a builtin monitor so check for that when
    handling primary monitor changes.
  * data: Drop feedbackd override.
    Feedbackd sets this as default now.
  * status-page-placeholder: Center align horizontally.
    Otherwise the empty state ends up left aligned when there's
    horizontal space.
  * packaging: Let changelog hook handle rc versions.
    This allows our release pre script to work for RCs and actual releases.

  [ Gotam Gorabh ]
  * notification-content: Set action-area border to none.
    Remove the line that is under the notification frame.
    Fixes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1027
  * notification-frame: Add separator to separate notification content.
    Fix the visual separation between notifications from the same app.
    Fixes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/901
  * notification-content: Add background color to action-area button.
    Improve visual separation between notification body and actions, this
    allows us to drop the border which would otherwise look odd with the
    added separator.
  * locksreen: Add border color to the notification separator.
    Use phosh-borders-color for the notification separator otherwise it has
    the same color as the notification background.

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Sep 2024 19:23:48 +0200

phosh (0.42~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * build: Specify minimum versions for plugin pref libs.
    We're requiring a minimum libadwaita version to not hit deprecations so
    we should specify that as version requirement. While at that do the same
    for GTK4.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1104
    Tested-by: Anna Vyalkova <cyber@sysrq.in>
  * wwan-mm: Handle access-tec bitmasks better.
    The switch statement missed things like
      MM_MODEM_ACCESS_TECHNOLOGY_GPRS | MM_MODEM_ACCESS_TECHNOLOGY_GSM
    so instead of adding all possible combinations to the switch use if /
    else instead and check from newest generation to oldest ones.
    This makes the mobile network generation show in more cases.
  * lockscreen: Improve documentation.
    This shows up in the
  * shell: Document ready signal
  * wall-clock: Fix parameter names in declarations.
    Make them match the ones used in the definition
  * wall-clock: Document class and properties.
    This makes the Rust docs look more complete
  * lockscreen: Improve enum doc.
    Use backticks to they work better in markdown and separate summary from
    the details.
  * docs: Add phosh-config.h to example
  * build: Disable feedbackd tests.
    They just take time and the test options confuse ASAN
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1108
    Tested-by: Arun Mani J <j.arunmani@proton.me>
  * wifi-hotspot-quick-setting: Make sure 'state' signal gets disconnected.
    The WifiManager outlives the quick setting (which might get added /
    removed at runtime when enabling disabling quick settings) we hence need
    to make sure we disconnect the signal when the quick setting goes away.
    Do so by using `g_signal_connect_object`.
    This fixes that looks like
      #0  0x00005652da08fc4f in PHOSH_IS_STATUS_ICON (ptr=0x21) at ../src/status-icon.h:15
      #1  phosh_status_icon_set_info (self=0x21, info=0x7f5429c09061 "Hotspot Off") at ../src/status-icon.c:377
      #2  0x00007f5429c0851f in update_info (self=0x565300804880) at ../plugins/wifi-hotspot-quick-setting/wifi-hotspot-quick-setting.c:80
      #7  0x00007f542c0fffc3 in <emit signal 'notify:state' on instance 0x5652fd787d90 [PhoshWifiManager]>
  * wifi-hotspot-quick-settings: Use `_cb` suffix.
    If we don't use the `on_` pattern because we want to describe what
    happens rather then on what event the callback is triggered we append
    `_cb` to indicate a callback.
  * shell: Make get_locked() available to plugins.
    Useful to determine their lockscreen state
  * wifi-hotspot-quick-setting: Disable on lock screen.
    We don't allow changing Wi-Fi networks so we shouldn't allow enabling
    hotspot either.
  * treewide: Use margin-{start,end} instead of margin-{left,right}
    The later are deprecated
  * tools: Add check so that deprecated tags don't creep back in
  * packaging: Add dependency on desktop schemas.
    They're a dependency of the pkg-config file so we need to add them here
    too.
  * docs: Drop superfluous 0 initializer
  * docs: Clarify callback naming.
    Add more details on how we name the different handlers.
  * build: Bump polkit dependency.
    The needed versions are in Debian stable. This allows us to drop some
    `ifdef`s.
  * wwan-iface: Fix base class.
    Implementers must derive from PhoshWwanManager. Both the MM and Ofono
    implementation do this, this just marked it explicit.
  * wwan-mm: Simplify modem cold plug.
    This ensures we do the same things as in the hotplug path.
  * wwan-mm: Disconnect by data.
    Easier than storing the ids
  * build: Depend on mm-glib.
    Used for cell broadcast and will be used for more modem integration
  * wwan-mm: Use MMManger instead of our generated object manager.
    We'll use more things from mm-glib so use this to interface with
    ModemManager.
    This also allows us to drop enums copied over from mm-glib
  * wwan-mm: Use our generic dbus_client_protos.
    Since we dropped the object manager there's no need to open code it
    anymore.
  * wwan-mm: Switch to MM proxies for modem and modem3gpp.
    This allows us to drop the gdbus-codegen generated bits.
    Add cancellable while at that.
  * wwan-mm: Move manager object creation to init.
    No need to postpone it until constructed
  * wwan-mm: Simplify modem destroy.
    We want to guard the signal removal in case the modem didn't acquire the
    proxy but there's no need to guard the `g_clear_object`.
  * wwan-mm: Rename proxy to proxy_modem.
    We have a bunch of DBus proxies to distinguish so add a suffix here too.
  * wwan-mm: Disconnect signal handlers by data.
    We want to disconnect all signal handlers for the proxy so no need to
    track them by id.
  * dispose: No need to clear data twice.
    We free all the modem bits in phosh_wwan_mm_destroy_modem
    and invoke that from dispose so no need to do it in dispose
    explicitly too.
  * docs: Cleanup markdown
  * ci: Fix indent.
    Let's make yamllint happy
  * ci: Lint markdown.
    Lint markdown files when they change in a merge request
  * ci: Drop `except:`s.
    They're not used much nowadays and complicate the logic
  * ci: Drop submodule updates.
    Not needed as we use meson subprojects
  * ci: Build library.
    Make sure this works as expected
  * ci: Verify libphosh install.
    Compile a small stub to ensure the pkgconf file works
  * upcoming-events: Add missing plugin prefs variable.
    Otherwise the `Plugin=` path is broken in the generated .plugin file
    Fixes e1a1ae1a8 ("upcoming-events: Add preferences widget")
  * libphosh: Drop generated header.
    This got removed in
       db3925449 ("wwan-mm: Switch to MM proxies for modem and modem3gpp")
  * ci: Use gmobile-dev on alpine.
    This avoids the subproject clone which fails ever so often
  * treewide: Drop `v` from since versions.
    This trips up `GirXml` as it inserts `doc-version`s into the generated
    Gir.
  * wwan: Modernize property docs.
    There was a typo so while at that clean up all of them
  * wwan: Add getter for has-data property.
    While at that we group the interface methods and the ones
    we proxy from WWanManager.
  * mobile-data-quick-setting: Make insensitive when modem is disabled.
    It's confusing when it stays enabled as toggling it would do nothing
    when the modem is disabled.
  * symbols: Export phosh_status_icon_get_type.
    We use the type so should allow users to check it.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1115
  * dbus: Add Backlight property to DisplayConfig.
    This ensures GNOME 47's gsd-power can read it and doesn't crash.
    Having it empty is fine for the moment.
  * build: Use schema headers var.
    No need to track it in two places
    Fixes bdcb925c6 ("enums: Introduce single header file to gather all enums")
  * build: Ensure the enum header end up in the docs.
    Fixes bdcb925c6 ("enums: Introduce single header file to gather all enums")
  * overview: Simplify activity creation a bit
  * protocols: Update wlr-foreign-toplevel-management
  * toplevel-manager: Track parents.
    For that we require version 3 of the protocol which is available in
    all phoc's that use wlroot 0.15.0 or later.
  * activity: Update app-id if an activity's toplevel has a parent.
    The app-id is often incorrect on dialogs so use the parent's
    app-id in that case.
  * lockscreen: Swap horizontal deck and vertical carousel.
    This avoids accidentally switching to the plugins widget when entering
    the pin without complicating the logic further.
    This is the minimal UI reshuffle. We'll reindent in a separate commit.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/899
  * lockscreen: Vexpand the deck.
    Otherwise we might not take enough vertical space and parts of the
    keypad screen leak into the info box (e.g. with 1920x1080).
  * libcall-ui: Drop CuiCalldisplay margins.
    This allows us to work on smaller displays, see
    https://gitlab.gnome.org/World/Phosh/libcall-ui/-/merge_requests/92
    Helps: https://gitlab.gnome.org/World/Phosh/phoc/-/issues/371
  * notify-manager: Handle per app 'enable' toggle.
    If we get a notification for an app that has notifications enabled
    ignore it. This ensures that new notifications for apps that have them
    disabled don't end up in any notification sources at all.
    Note that we still allow existing notifications to be updated by the app.
    Helps: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/168

  [ Jared Toomey ]
  * notification-feedback: Add feedback responses for new call categories.
    See https://gitlab.freedesktop.org/xdg/xdg-specs/-/merge_requests/50

  [ Evangelos Ribeiro Tzaras ]
  * doc: Fix URL in configuration. And add a newline while we're at it.

  [ Arun Mani J ]
  * wifi-manager: Ensure Wi-Fi network stays alive.
    Ensure Wi-Fi network stays alive for the duration of callback. This
    prevents cases where the callback is called for a destroyed network object.
  * wifi-manager: Clean up Wi-Fi network from signal after usage.
    We need to watch the connection only till it crosses the "activating"
    state. So disconnect once it happens to cross it.
    Then we unref the connection that was made available at the
    `wifi_connection_*_activated` functions.
  * wifi-manager: Remove unused header
  * upcoming-events: Set stack page on setting model.
    By default, the stack is on "no-events" page. We want to set the
    appropriate page whenever one assigns a new model.
  * upcoming-events: Allow day-offset up to maximum integer
  * upcoming-events: Change day-offset to unsigned int
  * upcoming-events: Allow configuring number of days.
    Instead of showing a fixed number of 7 days, users can now set the
    number of days shown to any positive integer.
  * upcoming-events: Add preferences widget
  * upcoming-events: Remove unnecessary empty line
  * upcoming-events: Remove unused header
  * upcoming-events: Add XML header to schema
  * upcoming-events: Fix a few typos.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/970
  * torch-manager: Add `can-scale` property.
    This property indicates if the torch brightness can be scaled.
  * settings: Show revealer only if torch can scale
  * torch-manager: Move to modern property description.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/858

  [ Sam Day ]
  * shell: Register plugin extension points in constructor.
    This makes it possible for PhoshShell subclasses to register lockscreen
    and quick-settings custom widgets.
    It introduces an implicit dependency that extension points will not be
    looked up until the shell setup_idle callback.
  * shell: Minor formatting fix in phosh_shell_init
  * shell: Move cui init/de-init to Shell object lifecycle.
    This makes sure that embedding contexts don't need to concern themselves
    directly with linking to and initializing libcall-ui.

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Bruce Cowan ]
  * Update British English translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Artur S0 ]
  * Update Russian translation

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Martin ]
  * Update Slovenian translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Vasil Pupkin ]
  * Update Belarusian translation

  [ Andi Chandler ]
  * Update British English translation

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Sep 2024 17:26:38 +0200

phosh (0.41.0) experimental; urgency=medium

  [ Guido Günther ]
  * media-player: Use G_GINT64_FORMAT to print gint64.
    Otherwise we'll break i386
  * lockscreen: Delay clock update past the animation.
    The visible child changes at the start of the animation hence the clock
    can still be outdated.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/922
  * plugins: Avoid adw deprecation warning

  [ Sam Day ]
  * lockscreen: Rename PHOSH_LOCKSCREEN_PAGE_INFO.
    This better describes the purpose of this page. Further, it lays
    groundwork to introduce functionality that changes the default page
    displayed on the lockscreen.
  * lockscreen: Clean up some unused imports
  * lockscreen: Always clear idle timer in carousel_position_notified_cb.
    Even if the keypad is already visible, any swiping activity triggers
    carousel_page_changed_cb again anyway.
    This actually slightly improves UX in a somewhat edge case condition. If
    you swipe to the keypad, and then swipe up/down in the keypad region
    without any keypad input (or switching all the way back to the page
    above), the idle timer will kick in and suddenly take control of the
    carousel. With this change, *any* swiping behaviour properly resets the
    idle timer.
    This is fortunate, because the intent is to remove "PhoshLocksreenPos"
    imminently, and this change removes two usages of that enum.
  * lockscreen: Use phosh_lockscreen_set_page more.
    The logic in phosh_lockscreen_set_page was duplicated in show_info_page
    and show_unlock_page.
    Since show_info_page wasn't doing anything else, just remove it entirely
    and use phosh_lockscreen_set_page.
    In the case of show_unlock_page, it's also emitting a signal, and is
    used as a callback from the UI XML, so it remains intact.
  * lockscreen: Remove PhoshLocksreenPos enum.
    Instead, phosh_lockscreen_get_page is used. The logic of this function
    was also tweaked a bit to incorporate the rounding that was previously
    only done in key_press_event_cb.
    This means that phosh_lockscreen_get_page will report the current page
    slightly differently if queried while the carousel is animating or being
    dragged.
  * lockscreen: Support setting the default page.
    The default page will be presented when the lockscreen is shown, it is
    also the page that is scrolled to when keypad expires or the escape key
    is pressed.
  * lockscreen: Allow custom unlock submit callback.
    The callback that is fired when a passphrase is submitted from the
    keypad entry is virtualized so that subclasses can override this
    behaviour.
    This change primarily benefits Phosh-based greeters like Phrog. In this
    case, the login behaviour is entirely different from the default (the
    PAM conversation is mediated through greetd IPC, and takes place before
    there's actually any user logged in).
  * lockscreen: Provide methods to get/clear/shake PIN entry.
    This is useful for lockscreen subclasses that want to override or
    influence the behaviour of the authentication flow.
    The shake_label/finish_shake_label functions were renamed, since they
    shake the entry, not the label.
  * lockscreen: Allow an "extra" page to be inserted.
    If phosh_lockscreen_add_extra_page is called, the carousel will have an
    extra page inserted between the info page and the unlock page. This
    extra page can then be navigated via swipes, and also set as the
    current and/or default page.
    This is useful for the Phosh-based greeter use case (for example Phrog),
    which inserts a user/session selection page.
  * lockscreen: Setter for unlock status label.
    Allows subclasses to override the message displayed above the keypad
    entry.
  * lockscreen: Property for current carousel page.
    This property can be used by subclasses / observers to be notified when
    lockscreen page considered "visible" changes.
  * lockscreen: Don't set label after shaking.
    The existing usage is changed to set the label before shaking.
    This way the shaking mechanism can be used in other scenarios,
    particularly by lockscreen subclasses.
  * lockscreen-manager: Add phosh_lockscreen_manager_get_lockscreen
  * tests/lockscreen: Add test for extra page functionality
  * background: Use G_GNUC_FALLTHROUGH for consistency
  * bt-manager: Replace #include <bluetooth-device.h> with a typedef.
    This header is vendored into phosh because upstream does not want to
    make it public, so we can't leak it into libphosh headers.
    Further usage of types from these vendored headers are not anticipated
    for now, so we can get away with a typedef for the one BluetoothDevice
    type we need.
  * libphosh: Include status-page-placeholder.h.
    PhoshStatusPagePlaceholder has bled into other publicly exported types
    from libphosh, so we need to make sure this is included. Elsewise
    libphosh-rs compile-time ABI tests fail, for example.

  [ Arun Mani J ]
  * subprojects: Sync libfeedback version with packaging.
    Let's use the same version everywhere

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Scrambled 777 ]
  * Update Hindi translation

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Aug 2024 10:17:28 +0200

phosh (0.41.0~rc1) experimental; urgency=medium

  [ Teemu Ikonen ]
  * media-player: Add a label with track position and length.
    The 'Position' property is read every 1 s when the player is playing.
  * media-player: Add a ProgressBar below details button
  * media-player: Show box_pos_len only when MPRIS has Position and length

  [ Guido Günther ]
  * packaging: No need to set tests twice
  * subprojects: Use a wrap for libgnome-volume-control
  * subprojects: Update gvc.
    Update to 5f9768a2eac29c1ed56f1fbb449a77a3523683b6 to fix a crash
    with BT speakers
  * submodule: Use wrap for libcall-ui.
    This makes all subprojects consistent
  * subrojects: Update libcall-ui to 0.1.2.
    Pull in the build system improvements to avoid build warnings.
  * auth: Make async function names match the async/finish pattern.
  * audio-devices: Use gpointer instead of GvcMixerControl.
  * head: Prefix struct name.
  * build: Make gir warnings fatal
  * ci: Avoid check-doc.
    It trips onto all kinds of things and fail on both introspection and
    gi-docgen warnings no.
  * wifi-status-page: Mark more strings as translatable
  * settings: Mark "Notifications" as translatable
  * prompt: Only show when we got a request.
    So far we showed the prompt right away which led to some flicker when
    the UI elements were made visible and can also lead to an empty dialog
    when non of system_prompt_{password,confirm}_async are ever invoked.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1092
  * docs: Mention `gtk-builder-tool --simplify`
  * style: Drop unused osk-button class
  * wifi-status-page: Wrap text.
    This can easily overflow in translations
  * ci: Ensure build-deps are present when building dist tarball.
    Meson checks for available libraries so we need those.
  * check-license-header: Fail on too short header.
    We expect it to at least have one prelude, then copyright.
  * bt-info: Use g_connect_object.
    Less code.
  * bt-info: Only connect to enabled once
  * settings: Use an action to toggle Bluetooth.
    This allows us to use the same code on status page and quick setting
    and makes it available to plugins.
  * settings: Only apply margin to toplevel viewport.
    The current CSS would apply a wide margin to all viewports in settings
    but we only want it for the toplevel one that contains all the widgets
    but not for others like the ones in status pages.
  * settings: Use background color for all separators in settings.
    Otherwise they're hard to see.
  * status-page: Remove phosh-settings-list-box style class.
    This breaks the HdyPreferencesRow styles and we only want to use it for
    the sound list boxes not the status pages in quick settings.
  * bluetooth: Depend on gnome-bluetooth.
    We need to add the headers as they're currently not shipped upstream.
    We might bundle the library instead.
    This is from cccaaa7928c2b9195295d8c7dae80665b4b62c4d
  * bt-manager: Track connectable Bluetooth devices.
    We track connectable Bluetooth devices and add some properties based on
    that like the number of currently connected devices.
  * bt-info: Improve available information.
    If at least two devices are connected we print the number of connected
    devices. If a single device is connected we print it's info.
  * status-page: Add placeholder / empty state widget.
    Add a placeholder widget for the displaying the empty/disabled state in
    settings status pages. This is very similar to `HdyStatusPage` but we
    add a custom widget as we can't scale down the icons in GTK3 via CSS as
    -gtk-icon-size doesn't exist yet and -gtk-icon-scale scales the icon but
    doesn't shring the size allocations.
    This also helps to ease displaying empty states for list boxes as the
    `placeholder` there doesn't work well with advanced styling. See
    libhandy#468.
    This can be replaced with AdwStatusPage once we switch to GTK4.
  * status-page: Introduce page header bar and a footer.
    This avoids leaking parent widget details into the derived classes (like
    requiring a `packaging` `end`).
    The optional footer usually holds a button to open Settings. We use a
    `GtkBox` to place a single child. We'd use `GtkBin` but that is
    abstract, in GTK4 we'll use `AdwBin`.
    The header contains the back button and has a user defined title. One
    also get a user defined child widget.
  * wifi-status-page: Use page header.
    This uses the page header introduced in the previous commit.
  * wifi-status-page: Use StatusPagePlaceholder.
    We also remove the superfluous position packing.
  * wifi-status-page: Use wireless-disabled symbolic for disabled state.
    It's the icon meant for this state
  * settings: Add a Bluetooth status page.
    The status page lists the currently connected devices in a list box and
    allows to connect / disconnect them by activating the list box row.
  * bt-status-page: Hide enable button when there aren't any devices.
    While at that streamline the logic a bit by avoiding putting the `TRUE`
    branch first and using minimum scope for variables.
  * settings: Fix id of Bluetooth status page.
    Fixes: 5807fa273 ("settings: Add a Bluetooth status page")
  * settings: Return `NULL` when we return a pointer
  * settings: Drop nested stack.
    No need to have a separate stack for status pages. This just adds
    more size calculations when GTK lays out the widgets.
  * settings: Use g_timeout_add_once
  * status-page: Make a revealer.
    This allows us to use more vertical space
  * settings: Add handler for quick setting stack page changes.
    We will add more logic here soon.
  * settings: Do not reveal status pages when not shown.
    Don't reveal the status pages when the quick settings are
    visible. This ensures they don't take any vertical space ensuring
    we don't push down other elements in settings (like the media player
    or notifications) when there's e.g. a lot of Wi-Fi networks.
    We reveal the children individually as they might have different
    heights so we move down the other UI elements as little as possible
    when a status page is shown.
  * status-pages: Remove scrolled windows.
    They're not needed as the whole settings panel is scrollable
    and interact badly with the revealer.
    We could swap revealer and scrolled window but that's actually not
    necessary.
  * status-pages: Reindent ui files.
    Do this in a separate commit to ease review
  * settings: Use less top margin for notification empty state.
    This avoids the scroll bar even when we add more quick settings. To keep
    the empty state centered with fewer quick settings we valign centered.
  * settings: Move top margin from quick settings to the stack.
    This ensures the status page's top aligns with the top of the quick
    setting and we get a bit more "visual distance" between the sound
    slider and the status page.
  * feedback-manager: Ack libfeeback unstable API in meson.
    This avoids cluttering the code with multiple defines
  * main: Init libfeedback early.
    This moves all library inits to single place and avoids a
       end_notify_feedback: assertion 'lfb_is_initted ()' failed
    warning on startup. We can ignore all error handling as the feedback
    manager will try reinitialization later on anyway.
  * keyboard-events: Drop fallback for ancient phoc
  * feedback-manager: Allow to set profile
  * keyboard-events: Emit signal on keybinding press.
    Emit a signal when a subscribed keybinding is pressed. This allows other
    parts of the shell to perform additional activities on global
    keybindings (that possibly aren't even subscribed by Phosh itself).
  * calls-manager: Track incoming state.
    This allows to check if the active call is in incoming state.
    As with the rest of calls manager this will need some tweaking once
    calls handles multiple active calls.
  * build: Bump feedbackd dependency.
    We want 0.4.0 as only this does end running events on profile changes.
  * shell: Allow to silence the device on incoming calls.
    When the shell is locked and there's an incoming call pressing the
    button to lower the volume will put the device into silent mode.
    Bump copyright while at that as this didn't happen since some time.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/780
  * app-tracker: Log success at `debug` priority.
    Fixes: 1226ae949 ("app-tracker: Move launched processes to transient systemd scope")
  * screen-saver-manager: Send locked hint.
  * settings/brightness: Fix indent
  * settings/brightness: Make globals static.
    These are only meant for the current compilation module

  [ Arun Mani J ]
  * wifi-manager: Decouple hotspot check from icon.
    Since b3c8142a ("wifimanager: Track whether we're an active wifi
    hotspot") `update_icon` checked the value of `is-hotspot-master` as a side
    effect. This leads to the state not being updated when there was no
    active connection as in this case the check is never run.
    Fix this by moving the hotspot check before any icon updates making
    `update_icon` side effect free again.
  * wifi-manager: Clear SSID when connection is cleaned.
    We clean the `ssid` when the AP changes but we also need to clear it
    when our network device tracking the connection goes away.
  * wifi-network-row: Port to HdyActionRow
  * wifi-status-page: Add content style class
  * wifi-status-page: Set scrolling related properties
  * wifi-status-page: Merge placeholders to one
  * wifi-network-row: Simplify UI via gtk-builder-tool
  * wifi-status-page: Clean up code and simplify UI
    - Move headers to `wifi-status-page.c`.
    - Fix formatting in `wifi-status-page.c`.
    - Simplify UI via `gtk-builder-tool`.
  * mobile-data-quick-setting: Drop unused variables
  * wifi-manager: Rename connection callbacks.
    We rename connection activated and added-activated methods to prevent
    conflict with similar methods for hotspot.
  * wifi-manager: Extract hotspot check method.
    This will be used in further commits, so extract it out to avoid duplication.
  * wifi-manager: Add method to toggle hotspot
  * wifi-manager: Create hotspot connection if one doesn't exist
  * wifi-manager: Rename update methods
  * wifi-manager: Fix typo
  * wifi-manager: Add property `state`
  * wifi-status-page: Add turn off hotspot button
  * plugin-shell: Export Wi-Fi manager
  * build: Export Wi-Fi manager symbols
  * plugins: Add Wi-Fi hotspot quick setting

  [ Evangelos Ribeiro Tzaras ]
  * run: Export XDG_CURRENT_DESKTOP.
    Otherwise .desktop files with OnlyShowIn= might end up ignored.
  * keypad: Force left-to-right button layout.
    Real life keypads are the same for in RTL and LTR locales.
    Closes https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1086
    Modelled after similar change in libcall-ui
    https://gitlab.gnome.org/World/Phosh/libcall-ui/-/merge_requests/89
  * libcall-ui: Update to 0.1.3.
    Forces LTR text direction for keypad in the call display
  * polkit-auth-agent: Init autocleaned variable to NULL.
    While it isn't technically necessary here because of the assignment
    that always takes place a couple lines below, it deviates from the pattern
    established throughout the codebase and requires closer inspection
    increasing mental load.
  * polkit-auth-agent: Register asynchronously

  [ Cédric Bellegarde ]
  * settings: Block value changed handler id.
    When brightness is updated by gnome-settings-daemon DBus API, ignore value-changed signal.
    Otherwise, we will send value back to GSD.
    Fix #1093

  [ Xiao Pan ]
  * docs: Update URL to GTK inspector documentation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Martin ]
  * Update Slovenian translation

  [ Artur S0 ]
  * Update Russian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Scrambled 777 ]
  * Update Hindi translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Aug 2024 10:58:30 +0200

phosh (0.40.0) experimental; urgency=medium

  [ Guido Günther ]
  * build: Install headers and shared lib for Rust binding generation.
    This allows to install headers, pkgconfig file and shared library to
    create Rust bindings.
    We create a unified header pulling in (almost) all headers so they can
    be consumed by just including libphosh.h freeing binding generators from
    having to keep up with added/removed headers.
    As installing these files is used for binding generation only atm we
    make it depend on a new 'binding-lib' meson options.
    These files are not (yet) meant as public interface so if using these
    make sure to bundle libphosh with your project.
  * ci: Trigger libphosh-rs build.
    We only do this on commits to RUST_BINDINGS_BRANCH (default main) and if
    src/ changes.
    The branch triggered downstream is also RUST_BINDINGS_BRANCH. This makes
    it simple to work on pipeline changes.
  * resources: Sort ui files alphabetically
  * wwan-mm: Add present and enabled properties to get_property.
    Fixes 1a75bcb48 ("wwan-mm: Handle 'enabled' property")
    Fixes 3a0e8eab6 ("wwan: Report modem presence")
  * wwan-mm: Modernize property change emission.
    Use the faster by_pspec variant. Shorten property names while at that.
  * settings: Drop superfluous wifi_status_page
  * settings: Use property binding for wifi's has-status
  * settings: Use explicit notify for on-lockscreen.
    This toggles multiple things so let's reduce the work done here.
  * settings: Drop on_shell_locked.
    We can do the work when setting the property.
  * wifi-manager: Use automatic cleanup.
    This way we don't need to cast away `const` either.
  * wifi-manager: Drop len variable.
    Using ap_cnx->len directly make it a tiny bit more obvious which
    length were' looking at.
  * main: Instantiate shell after the needed objects.
    The shells object construction needs the Wayland object and the
    background manager.
    Fixes: 1bb5c8c63 ("shell: Allow shell singleton to be overridden")
  * service: Adjust oom score.
    This avoids the shell getting killed early in tight memory scenarios.
    While at that tweak the restart behavior.
  * session: Drop rootston.ini fallback.
    This is from long gone times
  * treewide: Drop support for --builtin session fallback.
    Always use systemd as gnome 46's gnome-session doesn't support anything
    else. Thanks dhjg2000 for figuring this out
  * build: Remove thumbnail from tool sources.
    We stub it so it should be in the classes not available to tools.
  * tests: Move stubs into their own lib.
    Preventing the rebuild of the stub sources for all tools and unit
    tests brings down the number of targets to build by another 25%
    (1184 before vs 885 now).
  * tests: Test command line options.
    We can test the options that exit early making sure they don't break
    accidentally.
  * wwan-manager: Split out wwan connection type comparison.
    Will be used in a follow up commit
  * wwan-manager: Add helper to (de)activate a data connection.
    For that we add a helper to track the last active connection. This
    allows us to check if there is a data connection available at all and
    which one is the last active.
  * data: Add mobile data icons.
    Self sketeched and optimized with svgo.
  * plugins: Add mobile data toggle.
    This allows to toggle mobile data on/off. The plugin is marked inactive
    if thre's no mobile data connection configured.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/691
  * data: Use mobi domain for override file
  * data: Make all overrides phosh specific
  * data: Unlock SIM by default
  * data: Disable ambient light adjustments by default.
    The current algorithm confuses people on phones. We want to tweak that
    in g-s-d before enabling it by default.
  * data: Let g-s-d do nothing on power button press.
    Phosh handles it.
  * data: Add Firefox ESR and TextEditor to adaptive apps.
    We assume that FF uses mobileconfig and TextEditor adapts nicely
  * data: Set default idle-delay to 60 seconds.
    It's more suitable than the default 5 minutes.
  * background-manager: Don't try to get background for zero size.
    Otherwise we crash on gnome_bg_slide_show_get_slide on e.g. 0 width or
    height.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1069
  * background: Avoid update when the layer surface isn't configured yet.
    Otherwise we might feed bogus values to GnomeBg.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1069
    Tested-by: Boud Roukema
  * power-menu-manager: Sort actions alphabetically
  * power-menu-manager: Listen for locked instead of shell state changes.
    This triggers less often.
  * power-menu: Add a property to show a suspend button.
    If `TRUE` the suspend button is used. Otherwise the `power off` button
    is shown.
  * power-menu-manager: Allow to suspend from power menu.
    If suspend is allowed we show the suspend action rather then disabling
    the power off button.
    This makes the power button menu more useful on the lock screen. And
    since it's a non-destructive action there's no issue with allowing it.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/990
  * top-panel: Don't show lock and menu button when locked.
    They have no purpose and are hence thus confusing.
  * screen-saver-manager: Half the long press timeout.
    This should still be long enough to not trigger it accidentally.
  * screen-saver-manager: Emit button-pressed feedback on long press.
    This gives some haptic feedback when the even triggers
  * screenshot-manager: Wire up screenshot keybinding.
    Defaults to <shift><printscreen>
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/931
  * shell-manager: Simplify version setting.
    No need to override the r/o property. We just need to set it once.
  * shell-manager: Implement OverviewActive property.
    This implements another property from that interface and helps
    https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1068
  * main: Use G_NORETURN. Makes clang happy
  * main: Use automatic cleanup for err
  * tools/custom-quick-setting: Accept list of plugins to show.
    This allows to skip plugins the e.g. need the shell singleton
  * tools/custom-quick-setting: Use newline when printing plugin name
  * tools/custom-quick-setting: Top align flowbox.
    This avoids vexpanding the quick settings itself.
  * plugins/dark-mode: Add and use dark-mode-disabled icon
  * app-tracker: Always extract pid
  * app-tracker: Add cancellable.
    We do this with other DBus calls, so do the same here too.
  * app-tracker: Move launched processes to transient systemd scope.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/963
  * launcher-item: Add has-data property.
    This is TRUE when count or progress should be shown. It will be used to
    toggle the visibility of the box displaying the data.
  * launcher-row: Use width-request for status information.
    With that we can align to the row's end as otherwise the items
    look out of place.
    In order to not truncate longer descriptions we only make the status
    information box visible when needed.
  * docs: Add note about DBus helpers in the tools/ directory
  * tests: Add mock for ModemManager and NetworkManager.
    This is helpful to test mobile data and other features on devices
    without a modem
    Helps: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1051
  * tests: Add checks for python helpers.
    This will be reused when we use python based tests that run the mocks.
    We use black and ruff or flake8 so devs have some leeway (e.g. ruff
    isn't in Debian testing atm).
  * doc: Mention NetworkManager and ModemManager DBus mock.
    This way it's hopefully found.
  * settings: Set default sound theme.
    When installed this gives us improved sounds for incoming messages and
    calls.
  * plugins/dark-mode: Update icons.
    The moon is overloaded and dark mode isn't only for the night.
    This dark mode icon was suggested by Sam Hewitt.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1071
  * media-player: Don't dim unsensitive button.
    Fixes: 042c0f464 ("Add media-player widget") which got broken by
           d79a379d5 ("style: Unified the button styles")
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1073
  * libphosh: Drop wwan-backend.h.
    Fixes: bdcb925c6 ("enums: Introduce single header file to gather all enums")
  * build: Prefix library include dir.
    Use a lib_ prefix to distinguish this form paths we use for headers used
    by plugins and tools that supplement the actual shell.
  * build: Add dependency on phosh-settings.
    We want the header (and don't want to duplicate it)
  * build: Set a soname for the shared library.
    We use the project version underscored dropping micro revisions.
  * build: Use a relative path to the enum headers.
  * ci: Check 'meson dist'
    We've been hitting tiny nits before release ever so often. Avoid these.

  [ Sam Day ]
  * shell: Make PhoshShell a derivable type.
    Since this type is meant to be consumed by downstream libphosh
    consumers, a bunch of vtable space is reserved for future expansion.
  * shell: Allow shell singleton to be overridden.
    This follows the pattern first established with
    phosh_wall_clock_set_default.
    This allows libphosh consumers to override the default shell singleton
    with a custom subclass.
  * lockscreen: Make PhoshLockscreen a derivable type.
    Since this type is meant to be consumed by downstream libphosh
    consumers, a bunch of vtable space is reserved for future expansion.
  * lockscreen: Support construction of custom type
    phosh_lockscreen_new now requires a GType parameter that should be a
    type that derives from PhoshLockscreen (or is PhoshLockscreen itself).
    This functionality is not fully exposed yet. PhoshLockscreenManager is
    just passing a hardcoded PHOSH_TYPE_LOCKSCREEN to phosh_lockscreen_new.
  * shell: Allow lockscreen type to be customized.
    A virtual function is added to PhoshShell to determine which lockscreen
    type should be constructed. PhoshLockscreenManager consumes this vfunc
    via phosh_shell_get_lockscreen_type.
    This change makes it possible for libphosh consumers to use a custom
    lockscreen, exposed through their custom shell type.
  * ci: Add "startup test" job.
    This job runs the main app entry point, and confirms that the shell
    startup signal handler is reached.

  [ Artur S0 ]
  * Update Russian translation

  [ Scrambled 777 ]
  * Update Hindi translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Martin ]
  * Update Slovenian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Teemu Ikonen ]
  * plugins: Add dark mode toggle.
    Toggles the "org.gnome.desktop.interface.color-scheme" enum between
    'default' and 'prefer-dark' with a quick setting button.

  [ Antonio Marin ]
  * Update Romanian translation

  [ Arun Mani J ]
  * app-grid-folder-button: Force 16px as icon size.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1072
  * app-grid-folder-button: Force pixel size of 24px.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1081

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Gotam Gorabh ]
  * enums: Introduce single header file to gather all enums.
    The aim is to allow phosh-mobile-settings to use these to map GSettngs values.
    This will bring all the enums into a single header file to tackle duplicacy as well.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1036

 -- Guido Günther <agx@sigxcpu.org>  Mon, 24 Jun 2024 13:38:32 +0200

phosh (0.39.0) experimental; urgency=medium

  [ Guido Günther ]
  * power-menu-manager: Remove unused settings variable.
    Fixes: 988240d3a ("Add power-dialog and manager")
  * build: Drop `lib` when looking for libsoup via find_library()
    Silences a meson warning
  * build: Sort dependencies alphabetically.
    Sort by meson variable name.
  * packaging: Allow to fetch meson wraps.
    This is needed as long as gmobile isn't in Debian
  * build: Allow to use shared gmobile
  * upcoming-events: Adjust to gmobile API change
  * build: Use wrap for gmobile.
    We prefer the shared gmobile so no need to ship as submodule
  * animation: Remove trailing whitespace
  * shell-manager: Prefix action mode enum
  * wifi-info: Fix property description
  * folder-info: Fix property description.
    We ought to end with a ':'
  * util: Fix parameter name.
    Let it match the doc string
  * monitor-manager: Add docstrings.
    This gets rid of the missing transfer annotation warnings
  * notify-manager: Make defines private or prefix properly
  * shell-manager: Prefix keybinding flags
  * app-auth-prompt: Properly namespace CHOICES_FORMAT
  * build: Drop contrib/shell-network-agent.h from list of sources.
    This makes sure it isn't exposed to gir generation and we don't need
    it's doc as it's in contrib/ anyway.
  * build: Add gcr-3 to list of gir includes.
    Helps to resolve GcrSystemPrompter
  * plugin-loader: Add missing transfer annotations
  * audio-device-row: Add missing transfer annotation
  * system-prompter: Add transfer annotations
  * treewide: Mark some functions as not introspectable.
    They still show up in the docs.
  * ci: Update shared files.
    Use files from meta-phosh as of 240dfc8825640041f5b47a207e9339b9c6365a53
  * folder-info: Test locating and parsing .directory files too
  * folder-info: Test app-info interface
  * folder-info: Test app-infos property getter
  * notifications: Don't glue timestamp label together.
    Rather use full translatable strings that allow translators to e.g.
    handle different plural forms.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/785
  * timestamp-label: Fix translator comment for hours.
    Fixes: a09453126 ("notifications: Don't glue timestamp label together")
    Thanks to Anders Jonsson
  * util: Drop support for glib < 2.76.
    We bumped the minimal requirement in
       decc80c13 ("build: Bump glib to 2.76")
    Glib 2.78 is in Debian stable.
  * audio-device: Remove pulseaudio.h from header.
    This trips up the gir scanner and isn't needed
  * build: Acknowledge that gmobile is unstable API.
    No need to do it in every source file using it.
  * treewide: Use gm_str_is_null_or_empty
  * util: Drop STR_IS_NULL_OR_EMPTY.
    We have it in gmobile.h now
  * check-doc: Tighten expression and modernize.
    Get this in sync with phoc and reduce the number of allowed patterns
  * data: Allow gnome-clocks to override the feedback level.
    This allows alarms to trigger even in silent mode
  * util: Test the uri_to_pixbuf for broken URLs too
  * tests: Add some metadata to the mpris test.
    This way we validate long titles and image URLs
  * treewide: Drop config.h usage.
    We dropped them a while back but they creep back in when polishing
    ancient MRs.
    Fixes: 59d415626 ("Drop remaining users of config.h")
  * tests/screenshots: Use tab navigation to trigger the emergency calls menu.
    The key combinations break with locale (and also when we use fading
    labels which currently don't support use_underline)
  * power-menu: Don't apply style from the emergency menu.
    There are two emergency menu buttons. One in the power menu and one to
    initiate the call in the emergency call menu. We only want the small
    font size applied to the later one.
    Fixes: dee478524 ("Add emergency menu system modal dialog")
  * power-menu: Use fading label.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1042
  * ci: Drop 'gtk' from doc build. We're using gi-docgen since some time
  * ci: Speed up doc build. No need for tests or tools here
  * ci: Run doc-check
  * ci: Use updated images
  * wwan-info: Use correct base class as parent.
    Fixes: ca1e70a95 ("Wwaninfo: Use StatusIcon base class")
  * plugins/quicksettings: Set default icon-size.
    This makes it match the other quick settings.
  * monitor-manager: Add getter for night-light-supported property.
    This makes is simpler for plugins to get the value independent
    of future class hierarchy changes.
  * shell: Make monitor manager available to plugins.
    The night light plugin wants to know if night light support is
    available. Other plugins might e.g. want to track the number of outputs
    or similar in the future.
  * plugins: Add night light toggle.
    This quick settings enabled/disabled automatic night light. The setting
    is disabled when no monitor is night light capable.
  * build: Only override libsoup dependency when needed.
    The next libsoup version will ship our fix as
    https://gitlab.gnome.org/GNOME/libsoup/-/merge_requests/394
    got applied.
  * top-panel: Don't init state twice
  * build: Expand include path.
    We add the subdirectories to the include path as we want e.g.
    mkenums_simple to work out of the box (which uses the header's base
    name) and we don't want clashing file names in subdirectories anyway.
  * build: Simplify enum type generation.
    Let's do away with the double accounting of headers.
  * top-panel: Export state as property.
    We have the enum and the getter already so let's make it
    simple to track changes.
  * shell: Track settings shell state too
    `PhoshShellState` has a `Settings` flag but so far we never set it.
    Augments: 59c8074c9 ("home: Update PhoshShellState")
  * top-panel: Set initial shell state to unfolded.
    This is an artifact of the fact that the drag surface code needs some
    time to wiggle the surface into place (which we want to fix on the
    compositor side). Once that is fixed we can then revert this patch.
  * layout-manager: Return min padding in non-device mode.
    If we don't want automatic layout based on device information we should
    return the minimal padding rather than 0 as otherwise elements will be
    too close to the screen edge.
    While at that make it simpler to debug such situations.
    Fixes: 474b07f90 ("layout-manager: Allow to query rounded corner information")
  * layout-manager: Use min padding with zero radius.
    A radius of zero means that there's no value present in the data.
    This affect devices that have a panel information but no border radius
    specified (like e.g. the Librem 5).
    Fixes: 474b07f90 ("layout-manager: Allow to query rounded corner information")
  * check-doc: Allow more files to raise DBus related gir warnings.
    It's not a new warning but depending on compilation order different files
    raise it.
  * build: Split Wayland headers and sources
  * build: Ensure plugins see the generated Wayland protocols.
  * build: Separate generated sources and headers.
    This avoids generating the C files multiple times reducing the number of
    compilation units significantly.
    This brings down the number of steps during the ci build from 3439 to
    1227 which build >60% less now.
  * wall-clock: Make it a derivable class
  * wall-clock: Allow to override wall clock.
    Instead of having the mocked time within the production class allow to
    override the relevant methods. The clock always returning a faked time
    will uses this and will be added back in a follow up commit.
    This will allow us to use another implementation in the tests
  * wall-clock: Allow to format GDateTimes.
    We simply wrap GnomeWallClocks functionality.
  * tests: Add back a mocked clock that always returns constant time
  * tests: Honor clock-format and clock-show-date GSettings.
    These are relevant for screenshots.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1056
  * emergency-calls-manager: Don't leak name owner
    g_dbus_proxy_get_name_owner() is transfer: full
  * shell-manager: Don't leak the variant dict
  * portal-access-manager: Don't leak icon
  * ci: Update images.
    We need to adjust some package names to the recent t64 transition in
    Debian.
    We fetch gcovr from Debian sid to work around the broken gcovr in
    trixie. This can be reverted once gcovr migrated.
  * ci: Use GNOME mirror for ci-fairy.
    This reduces dependencies to external systems.
    The mirror is slightly behind so we use an older commit but the ci-fairy
    template is identical.
  * monitor: Don't use anonymous structs. They confuse Rusts gir
  * treewide: Add paths to dbus includes.
    Most of the files did this but not all. This simplifies the pkgconfig
    file as we don't need to add extra include paths.
  * treewide: Split sources and headers.
    We did this for the auto generated headers recently, let the rest
    follow now.
  * build: Fold in layer-surface sources.
    We had those split out to make it more obvious what to grab for e.g.
    squeekboard, phosh-osk-stub, etc but that's not needed anymore nowadays.
  * build: Introduce private headers that aren't visible in gir.
    This will allow us to split public and private headers more clearly in
    the future.
    We add files from contrib/ as don't have a matching prefix. We also add
    it's users to avoid unknown type warnings in gir. This also drops the
    classes from the docs.
  * meson: Update libsoup dependency version.
    There's now a libsoup release (3.5.1) containing or fix

  [ Arun Mani J ]
  * util: Add phosh_util_matches_app_info.
    Extracted from `app-grid.c` to be reused in folders.
  * folder-info: Add `PhoshFolderInfo`
    `PhoshFolderInfo` tracks the applications in a folder.
    It implements some minimal `GAppInfo` virtual methods as per requirement.
  * app-list-model: Group apps by folder.
    We use `PhoshFolderInfo` to group apps by folders. To do this, we
    prepend the folder item and remove all the apps belonging to the folder
    from the `GList`.
    We also monitor the folders available.
  * favorite-list-model: Ignore `PhoshFolderInfo` in favorite check
    `phosh_favorite_list_model_is_favorite` is used in the app grid to check
    if the app must be displayed.
    We return `FALSE` for `PhoshFolderInfo`.
  * app-grid-base-button: Add `PhoshAppGridBaseButton`
    The base class to share UI between `PhoshAppGridFolderButton` and
    `PhoshAppGridButton`.
  * app-grid-button: Port to PhoshAppGridBaseButton
  * app-grid-folder-button: Add `PhoshAppGridFolderButton`
    `PhoshAppGridFolderButton` is used to display the apps in
    `PhoshFolderInfo`. We display them as images of size `DND` in a 2x2 grid.
  * app-grid: Add support for folders.
    We add a stack page which is shown when a folder needs to be shown.
    Currently the folder is insensitive to searching.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/868
  * app-grid: Reindent `app-grid.ui`
    Fix up indentation in a separate commit to help reviewing the previous
    bits.
  * app-grid: Use `STR_IS_NULL_OR_EMPTY` macro.
    Replace empty or null string checks with the macro.
  * app-grid: Use `phosh_util_matches_app_info`
    We replace the search logic with the function from utilities to avoid
    duplication.
  * app-grid: Clean up `app-grid.ui`
    By this commit we:
    - Normalize property names to use hyphen instead of underscore.
    - Remove setting property values to their defaults.
  * folder-info: Add folders schema-id to the header
  * app-list-model: Remove def of folders-schema-id
  * folder-info: Reload apps when settings changes.
    Previously, whenever GSettings' `app` key changes, we emit
    `apps-changed` signal, so that app-grid and other dependents can regroup
    apps if needed.
    This had one issue. Since we don't reflect the changes inside
    folder-info, if the folder is open, then the user doesn't see the new
    apps. They had to close and reopen the folder, to see new apps.
    In this commit, we reload the apps whenever the key changes in-addition
    to signal emission.
  * app-grid-folder-button: Set height to 64.
    This is the height used by app-grid-button's image. Without this, if the
    folders are the only buttons in grid, then they appear "shrunken".
  * app-grid: Find the valid button to focus by loop.
    Previously we focused either the last button or the second last button.
    But this resulted in issues when multiple apps are removed. So to be on
    safer side, find the valid button to focus by looping in
    reverse. (Assuming that when main grid is shown again, it has at least
    one button.)
  * app-grid: Fix key-press stealing on open folder
  * app-grid: Align the back button to center
  * app-grid: Rename folder label to folder_name_label.
    Keeps the name consistent with its purpose.
  * app-grid-button: Add folder-info property.
    This property can used to indicate that the app-grid-button is part of a
    folder. Currently keeping it `write-only` to keep API simple.
  * app-grid: Bind folder-info to buttons in folder
  * folder-info: Add ability to set folder name.
    This method acts as a proxy to the GSettings interface.
  * app-grid: Add ability to edit folder names.
    We add an entry that is shown when the edit button is toggled to active. When user
    toggles the button again, the entry's contents are set as folder name.
    Pressing Enter (or any activation) with the entry focused is same as
    toggling button again.
    Closing the folder (by pressing Escape or back-button or gesture) or
    setting the entry to empty string doesn't do any changes, that is,
    cancels the edit.
  * util: Add methods to modify string array
  * folder-info: Add ability to remove apps
  * folder-info: Add ability to add apps
  * app-grid-button: Add action to remove from folder.
    This action is enabled only when the button has `folder-info` property
    set. It is currently shown in the context-menu alongside other actions.
  * app-grid-button: Add action to add to folder
  * app-grid-button: Remove a folder when empty.
    Remove a folder from `folder-children` if it is empty.
  * settings: Request Wi-Fi scan on status page reveal.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1058

  [ Sam Day ]
  * build: Add option to build introspection libs
  * build: Add NM-1.0 to phosh GIR includes
  * build: Include plugin-shell.h in libphosh_sources.
    This fixes many "Unresolved type: *PhoshShell" GIR errors.
    Fixes: 505a5c8cb ("shell: Split out methods available to plugins")
  * shell: Fix/add docstrings for all manager getters.
    This fixes the various "Missing (transfer) annotation" complaints from
    g-ir-scanner.
  * ci: Add screenshot-diff requirements to image
  * app-grid: Collapse favorites on init.
    If there's no favorites, the favorites_changed callback is never fired,
    which means there's an empty revealer (and separator) that will suddenly
    collapse when a search is performed.
  * wall-clock: Introduce PhoshWallClock.
    This class wraps around two different GnomeWallClocks, one that provides
    the time-only view of wall-clock time, and one that provides the full
    (locale-specific) view of the time (including date).
    Both the lockscreen and top-panel are updated to use this new class.
  * wall-clock: Absorb phoc_util_local_date.
    It is now phosh_wall_clock_local_date and requires a ref to a
    PhoshWallClock.
    Conveniently, the only places this method is being called is in signal
    handlers that already have a ref to PWC.
  * tests/screenshots: CSS override for animations
  * ci: Output testlog artifact from screenshots job
  * ci: Set G_MESSAGES_DEBUG=all for screenshots job
  * feedback-manager: Warn about missing DBus svc once
  * tests/screenshots: Robust waits on shell state.
    Instead of relying solely on arbitrary sleep()s to ensure that the shell
    is in the state we want before taking a screenshot, watch for changes to
    PhoshShellStateFlags.

  [ Artur S0 ]
  * Update Russian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Martin ]
  * Update Slovenian translation

  [ Andika Triwidada ]
  * Update Indonesian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Andi Chandler ]
  * Update British English translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Quentin PAGÈS ]
  * Update Occitan translation

  [ Scrambled 777 ]
  * Update Hindi translation

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 May 2024 13:41:38 +0200

phosh (0.38.0) experimental; urgency=medium


  [ Guido Günther ]
  * ci: Use consistent image version
  * build: Update base image version in Dockerfile
  * ci: Update images
  * osd-window: Use G_PARAM_STATIC_STRINGS.
    Fixes: 12983abe1 ("Add PhoshOsdWindow")
  * osd-window: Hide level bar when level is < 0.0.
    There's osd messages that don't need a bar (e.g. "Not available")
  * shell-manager: Check if we got a level
  * ui: Move width request to level-bar.
    If we just have an icon we don't want to allocate the
    space for the level bar.
  * osd: Only show box if one of it's elements is present.
    This makes sure the icon centers properly if only an icon is shown.
  * osd-window: Use a larger icon when it's the only OSD element.
    Otherwise it can be hard to spot.
  * monitor: Only use wl_output_done.
    Since xdg-output version 3 this is possible.
    See wayland-protocols 962dd535372c8e4681374c23d2603cbe06cd7031
  * background: Use getters.
    Easier to read and avoids g_object_get() round trip
  * background-manager: Refresh the background on monitor configuration changes.
    Otherwise we keep using the old pixmap which likely doesn't fit the
    current scale or screen orientation.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1035
  * background: Exit early if layer surface isn't fully configured yet.
    We can't query width or height if configuration isn't done.
  * session: Only append session manager if supported by gnome-session
    gnome-session dropped support for --builtin and --systemd. So don't
    append that argument if it doesn't show up in gnome-session's help
    output.
  * build: Use systemd session manager by default
    gnome-session dropped support for the builtin manager in 46.
  * suspend-manger: No need to print error message twice
    phosh_dbus_service_error_warn handles that for us.
  * launcher-entry-manager: New object to handle launcher-entry protocol.
    Listens for property updates.
  * shell: Spawn launcher-entry-manager.
    Spawn the manager from the shell and add accessors so other
    parts can use it.
  * launcher-box: Introduce launcher-item.
    This will allow us to track an entries state
  * launcher-box: Use launcher-item.
    No new functionality for now
  * launcher-item: Add properties to track progress and count
  * launcher-box: Display progress and count.
    We get the values from the launcher manager.
  * top-panel: Properly name top bar height.
    The height is the one of the bar not the panel (which is the bar plus
    the settings)
  * top-panel: Provide default icon size and min padding
  * layout-manager: Allow to query rounded corner information.
    Based on the panel height and the icon size provide the shift in pixels
    from the screen edge to not occlude an icon.
  * top-panel: Take rounded corners into account.
    Shift icons more to the center if the rounded corners would occlude UI
    elements.
    We currently don't take into account that the area for the clock
    placement gets slightly smaller due to this too.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1018
  * build: Add custom dependency for libsoup
    libsoup sets `--export-dynamic` unconditionally (See
    https://gitlab.gnome.org/GNOME/libsoup/-/merge_requests/394).
    Since the dependencies are added past link_args we can't override it
    with `--no-export-dynamic` so rather work around this by using a custom
    dependency.

  [ Jesús Higueras ]
  * build: Add dependency on libsoup. This will be used to decode base64 URIs.
  * util: Add helper to decode data: image URIs
  * media-player: Use phosh_util_data_uri_to_pixbuf helper for cover art decoding

  [ Daniel Rusek ]
  * plugins: Add missing dot to the Comment field of launcher box lockscreen
    plugin & switch to imperative form
  * Update Czech translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Artur S0 ]
  * Update Russian translation

  [ Vittorio Monti ]
  * Update Italian translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Martin ]
  * Update Slovenian translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Artur S0 ]
  * Update Russian translation

 -- Guido Günther <agx@sigxcpu.org>  Wed, 03 Apr 2024 20:27:49 +0200

phosh (0.37.0) experimental; urgency=medium

  [ Arun Mani J ]
  * wifi-network: Create PhoshWifiNetwork class.
    This object is used to group access points based on their SSID,
    encryption type and mode.
  * util: Add function to get Wi-Fi icon name.
    We add a new function `phosh_util_get_icon_by_wifi_strength` which can
    be used to get the name of the icon corresponding to the strength and
    connection status.
  * wifi-manager: Track Wi-Fi networks.
    We track the Wi-Fi networks in the Wi-Fi Manager. Only the access points
    with a valid SSID is tracked. Also we define two new functions to
    connect to an access point and request scan.
  * wifi-network-row: Create PhoshWifiNetworkRow class.
    A Wi-Fi network row represents a `PhoshWifiNetwork`. It tracks the
    strength as well as SSID and displays them as an icon and label respectively.
  * status-page: Create PhoshStatusPage class.
    A status page is used in the quick settings to display more information
    about a setting. For example, Wi-Fi quick setting can use it to show
    available networks.
    It must be subclassed accordingly and the header widget must be set as needed.
  * wifi-status-page: Create PhoshWifiStatusPage class.
    The status page for Wi-Fi displays Wi-Fi network rows.
  * quick-setting: Allow to show status page
    `has-status` is a boolean property that displays a `go-next` image
    when true. This is used to indicate that long pressing the quick setting
    opens up a status page.
  * settings: Show Wi-Fi status page on long pressing Wi-Fi quick setting.
    By this commit we add WifiStatusPage as a child to a stack. The flowbox
    of PhoshQuickSettings is now a child of this stack. When a quick setting
    is long pressed, the status page can be shown.
    We also add a new action to close the status page.
  * quick-setting: Add `present` property.
    The `present` property is used to indicate if the quick setting is
    available. Useful for hardware or mode dependent toggles.
  * build: Export symbols for quick setting plugins
  * build: Add option to build quick setting plugins
  * plugins: Add support for quick setting plugins.
    We add new extension points for quick setting and quick setting
    preferences.
    Then we adjust the build files to account for quick setting plugins.
  * plugin: Add extension point for quick setting
  * schema: Add quick-settings key to plugins schema
  * settings: Add support for custom quick settings
  * plugins: Add a simple custom quick setting
  * tools: Add widget to test custom quick settings
  * plugins: Drop G_LOG_DOMAIN in Calendar plugin
  * tests: Load quick-setting plugins

  [ Guido Günther ]
  * test-take-screenshots: Take the display out of power save mode.
    When locking the screen the output is put into power saving mode. To
    wake it up again the ScreenSaverManager sends "WakeupScreen" which is
    caught by g-s-d.  However we can't assume g-s-d to be available in the
    tests so make sure the screen is powered as we can otherwise not take
    any screenshots.
  * wifi-manager: Use consistent filename.
    PhoshWifiManager was one of phosh's first classes and hence lacks the '-'
    where methods have a '_'. Fix this up for consistency reasons.
  * wifi-manager: Rename cleanup_device.
    We have a device tracking wifi networks and one tracking the active
    connection. Make it obvious which one is being cleaned up from the
    function name.
  * wifi-manager: Rename check_device.
    We have a device tracking wifi networks and one tracking the active
    connection. Make it obvious which one is being cleaned up from the
    function name.
  * wifi-manager: Use Wi-Fi consistently.
    Use the spelling introduced in
       9e39af9f7 ("wifi-manager: Track Wi-Fi networks")
    consistently.
  * treewide: Use consistent Wi-Fi spelling.
    Use the official spelling. See previous commit for details.
  * wifi-manager: Take a reference in dev.
    We take a reference the Wi-Fi device as we otherwise race
    with nmclient on shutdown.
    This fixes the CI tests that otherwise occasionally hit
    a critical on shutdown.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1025
  * wifi-manager: Fix indent.
    This fixes some old heritage and makes the style check mostly happy.
  * wifi-info: Use consistent file names.
    We separate words with '-' in the filename since ages.
  * wifi-status-page: Avoid underscore in property names.
    We prefer dash ('-')
  * wifi-status-page: Drop superfluous can-focus properties
  * wifi-status-page: Disable selection.
    We don't want to select the listbox row but merely activate it. This
    avoids the blue highlighting of the activated row.
  * status-page: Add a style class.
    This allows styling status pages individually. Currently unused but
    better to introduce it now as adding these later might break other
    selectors.
  * audio-settings: Disable listbox selection.
    Otherwise we only want activation. This went unnoticed as we had
    audio-device-row style class set which papered over it accidentally
    style wise.
  * audio-device-row: Drop css class name.
    Otherwise the default style from listbox rows doesn't apply
  * settings: Style list boxes more consistently.
    Use a blue border for focus and make all icons symbolic. Eventually we
    want to apply this to more of phosh's list boxes but as e.g.
    notifications are list boxes too this requires more work upfrong.
  * wifi-network-row: Drop symbolic suffix.
    Allow settings-list-box icons are symbolic per CSS
  * manager: Set name for idle callback
  * shell: Name idle callbacks
  * app-tracker: Name idle callback
  * connectivity-info: Name idle callback
  * monitor-manager: Name idle callback
  * screen-saver-manager: Name idle callback
  * status-icon: Name idle callback
  * swipe-away-bin: Name idle callback
  * lockscreen: Name timers
  * main: Namer timer
  * timestamp-label: Name timer
  * screen-saver-manager: Name timer
  * shell: Name timer
  * screen-saver-manager: Add G_{BEGIN,END}_DECLS
  * run_tools: Allow to override log domains
  * build: Simplify libs.
    We build a static lib for use with the phosh binaries, tests, etc and a
    dynamic one for the tests but don't need an extra dependency.
    Both libs use a common set of headers and if we link the main library we
    don't need to link with tools too.
  * plugins: Only use list-model headers.
    Don't build the C files too. It's not needed as we can pull them from
    phosh.
  * build: Limit symbols exported from phosh
  * build: Unify plugin header dependencies.
    Make sure the plugins have a proper dependency on the headers and know
    their paths. Since some of them are generated the build might fail
    otherwise.
    While at that make sure that all plugins use `plugin_dep` as common
    dependency.
  * tools: Add tool to verify exported symbols.
    We want to make sure we don't leak all symbols to plugins
  * tools: Make sure widget-box has listmodel
  * plugins: Use dependency variables.
    We initially used extra 'dependency()' to ease copy pasting for out of
    tree plugin but since most plugins are in tree we can simplify this.
  * testlib: Fix argument name
  * main: Indicate readiness.
    This makes it simpler to see from the logs if shell startup worked as
    expected.
  * shell: Simplify comment
  * shell: Add transfer annotation for get_primary_monitor()
  * shell: Add transfer annotation to get_builtin_monitor()
  * background-manager: No need to sink ref.
    It's a toplevel.
  * screensaver-manager: Avoid warning when op was cancelled.
    It's an async operation, not doing so might break the tests.
  * main: Instantiate background cache
  * tests/shell: Process events until idle.
    Since the background manager will move it's setup in the idle callbacks
    we need to process all pending events as otherwise it's hasn't been
    created when the tests run.
  * background-image: New object to hold a async loaded image.
    This allows us to have an object that loads fully async by moving the
    load operation into a thread.
  * background-cache: Add cache for loaded background images.
    The cache can load image async. When fetching an image the caller is
    notified via the `image-present`.
  * util: Add file equal check.
    This is identical to g_file_equal() but handles `NULL` gracefully.
  * background: Load images async.
    Instead of handling loading in the background (and potentially blocking
    drawing) load them async. For that we move the settings handling into
    the background manager (which also handles clearing the cache on
    settings changes).
    As the background now calls back into the background-manager we finish
    background-manager's setup in an idle callback to ensure the background
    -manager is fully up when the background needs it.
    This simplifies the background handling as the background-manager no
    longer needs to be concerned with the details of the layer surface.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/447
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/910
  * background: Drop unneeded scale.
    This was introduced in
    540c85c83 ("background: Scale by fractional output scale")
    to handle the lack of fractional scale handling in
    phosh_shell_get_usable_area() but that was fixed in
    1b24ca54c ("shell: Use fractional scale for phosh_shell_get_usable_area too")
    This helps to decouple PhoshBackground from PhoshBackgroundManager.
  * background-manager: Select dark wallpaper when available.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/743
  * build: Disable cast-align checks for clang.
    These just add to the noise. This is similar to what we did for phoc
    recently.
  * treewide: Drop some unused variables.
    Spotted by clang
  * build: Don't use pointer for polkit check.
    Fixes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1023
  * tests/take-screenshots: Use milli second timer.
    This allows us to use shorter waits
  * tests/take-screenshot: Shorten wait intervals.
    Most of the time we wait for a rather quick animation or keypress
    to be processed. 0.5s should be ample of time.
  * tools: Use canonical signal name for `delete-event`
  * gmobile: Update to 0.0.6
  * lockscreen: Allow to keyboard navigate to lockscreen / calls page.
    Since Phosh can't use GtkAppliction we can't use
    gtk_application_set_accels_for_action() either (might be worth adding
    this functionality at some point). Hence we process key events directly.
  * tests/take-screenshots: Use one place to set gsettings
  * tests/take-screenshots: Screenshot lockscreen plugins page.
    We load some plugins for that.
  * ci: Install plugins for screenshot tests
  * treewide: Remove TEST_INSTALLED special handling.
    CI installs into the default path now and we've never used it
    for local testing.
  * tests: Drop wl_output double accounting.
    We have it in `monitor`. No need to have it separately.
  * top-panel: Document on-lockscreen property constrains
  * top-panel: Use Monitor instead of wl_output.
    Use Phosh's types where possible (makes it consistent with e.g
    PhoshBackground and PhoshSystemModal.
  * top-panel: Set fb and bg colors in our own block.
    Don't share it with phosh-home so we can tweak it independently
  * top-panel: Use `self` correctly
    `self` is the top-panel here, not the drag-surface.
  * home: Fix 'state' property setter.
    Make setting the property equivalent to using the property setter.
    Modernize the property description while at that.
  * home: Add property getter.
    It's easier to read and faster.
  * home: Use PhoshMonitor instead of wl_output.
    Use Phosh's types where possible (makes it consistent with e.g
    PhoshBackground and PhoshSystemModal.
  * settings: Document on-lockscreen property constrains
  * lockshield: Use more type-safe constructor variables
  * lockscreen: Rename settings variable.
    We use it for different lockscreen settings
  * lockscreen: Rename notification specific settings
  * background-manager: Emit signal when backgrounds need an update.
    This allows us parts of the shell to react on these.
  * emergency-menu: Use g_signal_connect_object.
    This makes sure the signal handler gets disconnected when the menu gets
    destroyed.  Otherwise the list might call in a no longer existent menu.
  * wwan-mm: Report 5G when combined with access technologies.
    Check for 5G early as we want to report it when in use with e.g. 4G +
    Tested-by: Luca Weiss <luca@z3ntu.xyz>
  * plugins: Use new canonical resource path in examples.
    See 8ec58e355 ("plugins: Add launcher plugin")
  * build: Remove unused dbus doc targets
  * build: Use preference specific include path.
    It points to the same folder atm but we have both so use the
    correct one. This allows us to have separate header include paths
    for plugins and their preferences.
  * status-icon: Document properties.
    This hopefully makes it simpler for plugin authors.
  * docs: Add URL map.
    This allows us to link to docs in other projects
  * quick-setting: Document automatic binding of `active` property
  * quick-setting: Improve class documentation.
    Use gi-docgen style links, fix signal name.
  * suspend-manager: Use passed in values.
    This allows us to use the same function for other use cases.
  * suspend-manager: Use consistent Wi-Fi spelling.
    Fixes: f228ca6e1 ("treewide: Use consistent Wi-Fi spelling")
  * session-manager: Make inhibitor more flexible.
    Allow to inhibit other things besides suspend.
  * build: Split dbus header and source targets.
    This allows us to only use the header dependencies for the plugins as
    there's no point in generating the sources (which would then happen for
    every plugin).
    We only split the ones that already use our default namespace as we want
    to fix up the namespaces for the other ones first as this gives shorter
    names. See e.g.
       aa6c9323b ("session-manager: Use default DBus prefix")
  * quick-settings-standalone: Print which plugins are loaded.
    Makes developing a plugin a bit simpler
  * build: Introduce plugin dep.
    This allows
  * shell: Split out methods available to plugins
    shell.h pulls in about almost all object's headers. In order to not leak
    all of those to the plugins (requiring them to declare dependencies on
    other libraries used by those headers like NM, gnome-desktop, etc)
    introduce a separate header file that can be used by plugins to only get
    a basic set.
  * plugins: Add Types field to lockscreen plugins
  * plugins: Add caffeine icon.
    Icon taken form GNOME's icon library.
  * plugins: Add caffeine quick setting.
    This uses Arun's SimpleCustom quick setting as template.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/829
  * screen-saver-manager: Use g_timeout_add_seconds_once
  * screen-saver-manager: Use lock-enabled in more places.
    Except in cases where the lock is requested explicitly (like the DBus
    call) we want to take the lock-enabled setting into account.
    This fixes the case where lock-enabled is false but a lock-delay is set.
    We don't want to lock in that case either.
  * vpn-info: Ensure initial property sync.
    Make sure we sync with the manager object. Otherwise we might end up
    with stale state.
    This fixes the vpn quick setting disappearing when moving the primary
    output.
  * build: Add quick-setting-plugins to summary
  * docs: Mention .phoshdebug
  * docs: Link to more manpages
  * docs: Enable fatal warnings during doc build.
    This makes sure we no longer ignore links that became stale or
    are mistyped.
  * build: Don't install files from gmobile. We link statically
  * tools: Update symbol list
  * data: Validate desktop file
  * ci: Run tools tests too.
    If we don't give a suite we'd miss the exported symbols check
  * po: Add missing desktop files

  [ Sicelo A. Mhlongo ]
  * wwan/ofono: Fix style
  * wwan/ofono: Obtain operator name from network.
    Prefer the operator name provided by the network, in place of the name
    embedded in the SIM. This is especially important when roaming, so one
    can know which network they are actually connected to.

  [ Rodney Lorrimar ]
  * build: Declare gio-unix-2.0 dep where necessary.
    The launcher-box and ticket-box plugin meson files didn't declare a
    dependency on gio-unix-2.0.

  [ Danial Behzadi ]
  * Update Persian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Florentina Mușat ]
  * Update Romanian translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Vittorio Monti ]
  * Update Italian translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Artur S0 ]
  * Update Russian translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Pablo Barciela ]
  * Update Spanish translation

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Mar 2024 16:56:20 +0100

phosh (0.36.0) experimental; urgency=medium

  [ Sertonix ]
  * util: Update broken app_id mappings
  * util: Fix last_component lowercase

  [ Guido Günther ]
  * ci: Use common ci template.
    This removes an external reference and we want to share more common job
    config.
  * ci: Use common po check.
  * home: No need to store osk manager.
    We fetch it every time, so no need to store it.
  * home: Fix signature of on_powerbar_pressed.
    Osk manager and shell aren't passed since this is a GTK signal callback.
    Fixes: fe308c2ce ("home: Shrink home-bar height and move osk activation to center")
  * home: Allow to tweak osk long press delay
  * lockscreen-manager: Don't try to clear already gone shields.
    Uplugging a monitor can race with unlock (which discards all shields).
    Make sure we don't try to destroy a shield for an unplugged monitor when
    lockscreen_unlock_cb has just removed all shields as we crash
    otherwise..
  * lockscreen: Drop hardcoded Cantarell font.
    It was only on a single element.
  * top-bar: Drop hardcoded Cantarell font.
    Only one element on the lock screen as well as the top-bar had it
    hardcoded making the font inconsistent when changed via
        org.gnome.desktop.interface font-name
    GSetting.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1016
  * monitor-manager: Sync gamma tables for new monitors.
    This ensures newly plugged outputs get their gamma table updated and
    hence e.g. pick up night light correctly.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1019
  * wayland: Drop unused input-inhibitor protocol.
    It's unused and wlroots 0.18.x dropped support for it.
  * tools: Parse additional license headers.
  * home: Decruft a bit
  * home: Drop animated arrow.
    The overview can be closed by activating an application so there's no real
    need for the arrow.
  * home: Drop the home-bar's stack.
    We don't need it anymore since the arrow is gone
  * home: Hide power bar pill when unfolded.
    Otherwise it might look a bit out of place as it's exactly over the
    active app.
  * gmobile: Update to 0.0.5 adding notch support for the FP5.

  [ Anna “CyberTailor” ]
  * build: Allow elogind to be used on systems without SystemD

  [ Bardia Moshiri ]
  * packaging: Add libgirepository1.0-dev as a build dependency

  [ Kai Lüke ]
  * phosh-session: Drop ambient capabilities.
    Systemd 254 adds cap_wake_alarm by default in pam_systemd.
    The phosh.service makes use of it through PAMName=login.
    This causes phoc to run with this ambient capability which is passed to
    the Phosh session which then fails to spawn any .desktop files such as
    Epiphany or any Flatpak app because they depend on bwrap which has a
    restrictive check against additional capabilities:
    https://github.com/containers/bubblewrap/issues/380
    A regular GNOME session with GDM and GNOME Shell does not have this
    problem.
    Drop ambient capabilities before running the Phosh session to resolve
    the bwrap problem and align the behavior with the regular GNOME setup.
  * phosh-session: Reduce number of processes.
    The phoc -E switch uses "sh -c" to run the given commands and then in
    that shell "bash -lc" is started to run the session. Without using
    "exec CMD" this leaves the shell process around while they wait for the
    child process.
    To save memory, replace the shell process in the second invocation, but
    leave the first as is to address this in phoc.

  [ Martin ]
  * Update Slovenian translation

  [ Pierre Michel Augustin ]
  * Update Haitian Creole translation

 -- Guido Günther <agx@sigxcpu.org>  Wed, 31 Jan 2024 11:16:42 +0100

phosh (0.35.0) experimental; urgency=medium

  [ Guido Günther ]
  * osk-manager: Sync initial state.
    Fixes 43d801d9da2dfe2b90f6b38068c3517d3e658d39
    Tested-by: Jarrah Gosbell <debian@undef.tools>
  * util: Revert "Be more graceful on the app_id"
    This breaks telegram desktop with app-id org.telegram.desktop and a
    desktop file of org.telegram.desktop.desktop.
    We *only* made that change to not change the behaviour of the
    end-session-dialog. All inhibitors there do have a proper app-id though
    so let's just live without not appending '.desktop' there either.
    This reverts commit 2a3763303b4305058ee0ff5f2b76b31016e80114.
    Reported-by: Newbyte <newbie13xd@gmail.com>
    Tested-by: Newbyte <newbie13xd@gmail.com>
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1010
  * shell-manager: Drop support for XML version parsing.
    Just assume we have GNOME_DESKTOP_PLATFORM_VERSION (introduced in GNOME
    43)
  * build: Drop support for older gnome-desktop without the platform version.
    This was introduced in 43. We keep the check for recent GNOME in the
    summary() so it's obvious when things are outdated.
  * build: Encode glib version in one place only.
    We keep the check for recent glib in summary() so backports indicate
    clearly when they don't have it.
    This uses the same logic we use in phoc
  * ci: Only run ci-fairy on merge-request pipelines targeting 'main'
    Backports to older version can e.g. contain translations that don't need
    to adhere to the commit formatting.
  * build: Avoid quotes around boolean values
  * build: Use project_build_root() as plain build_root() is deprecated
  * build: Use project_source_root() as plain source_root() is deprecated
  * build: Bump meson version to 1.0.0.
    Debian stable has 1.0.1 even
  * uncrustify: Fix while() brace alignment too.
    We had it for `for` and `if` but `while` was missing
  * build: Drop meson version check.
    We require 1.0 now
  * session-manager: Allow to inhibit suspend
  * suspend-manager: Inhibit via gnome-session rather than systemd.
    The systemd inhibitor would ensure we don't suspend when e.g. another
    session is active. What we're interested about here is the user's
    session though so use gnome-session to prevent suspend instead.
    We use a sync DBus call here which should be fine and not block and we
    can't do much without gnome-session running anyway.
    For the systemd bits see https://github.com/systemd/systemd/issues/29818
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1001
  * idle-manager: Drop unused variable from struct
  * idle-manager: Drop superfluous comment.
    We explain this in the class documentation and have a comment in
    the DBusWatch.
  * screen-saver-manager: Clear long press timer in error path.
    This shouldn't happen but if we hit it then we shouldn't create another
    timer but rather clear the old one.
  * emergency-info: Suggest word-completion in text views.
    This allows the OSK to decide whether it should offer word completion
    (or not).
  * launcher-box: Fix leaks.
    Don't leak enumerator, app-info and path
  * upcoming-events: Don't leak color string from rgba conversion
  * widget-box-standalone: Don't leak plugin dirs
  * lockscreen: Add small margin to the widget box.
    If there are long filenames in the ticket box it expands the widget box
    right to the screen edge breaking the swipe back.
    By adding a small margin we always allow a fling at the screen edge to
    go back to the actual lockscreen.

  [ Bardia Moshiri ]
  * wwan-ofono: Mark access technology nr as 5G
  * wwan-mm: Mark access technology MM_MODEM_ACCESS_TECHNOLOGY_5GNR as 5G

  [ mathew-dennis ]
  * home: Shrink home-bar height and move osk activation to center.
    Reduce the home-bar size from 40px to 15px
    Replace osk button with powerbar widget and move it to the center
    Modify the on pressed function to work with long press gesture
    Use osk-manager directly
    Add an svg image to represent the new powerbar widget
    Add both powerbar and arrow into a gtk stack since both are occupying the center region
    Reuse phosh_home_update_osk_button to switch home-bar stack when dragging
    Closes: https:// gitlab.gnome.org/World/Phosh/phosh/-/issues/380
  * home: Make powerbar more interactive.
    Reduce powerbar opacity to indicate longpress recognition has started
    And revert back to original state one recognition is successful
    Add animation to indicate osk non-availability
    Add haptic feedback to indicate a successful osk interaction

  [ Daniel Rusek ]
  * Update Czech translation

  [ Artur S0 ]
  * Update Russian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

 -- Guido Günther <agx@sigxcpu.org>  Sat, 30 Dec 2023 19:28:08 +0100

phosh (0.34.0) experimental; urgency=medium

  [ Guido Günther ]
  * ci: Switch to trixie and cleanup a bit
  * d/control: Bump phoc dependency.
    Needed for ext-idle-notify-v1 support.
  * wayland: Add ext-idle-notify-v1.
    This will replace org_kde_kwin_idle
  * idle-manager: Use ext-idle-notify-v1 protocol
  * wayland: Drop kde idle protocol.
    Not supported by newer wlroots.
  * idle-manager: Recreate timers when they need to be reset.
    In contrast to KDE's idle protocol ext-idle-notify-v1 doesn't have a way to
    reset individual idle notifiers so recreate them instead.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/994
  * HACKING: Add some more details.
    Co-authored-by: Arun Mani J <j.arunmani@proton.me>
  * build: Bump glib to 2.76. We want g_autofd().
  * tools: Use G_APPLICATION_DEFAULT_FLAGS. Avoids deprecation warning.
  * monitor-manager: Drop crtc gamma
  * dbus: Add gsd color
  * monitor-manager: Connect to gsd-color for night light information.
    We set the gamma tables based on the color temperature read from gsd.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/875
  * testlib: Check for Wayland socket.
    Check if the wayland socket is available. Gives a clearer error than
    initializing GDK and hoping for the best.
  * tests: Drop unused display argument of the shell fixture.
    We run headless since some time
  * Drop some unused variables
  * tests/monitor-manager: Test more API
  * osk-manager: Make availability depend on screen-keyboard-enabled.
    The OSK is only really available when the gsetting is set (it might
    still be toggle-able via explicit DBus calls but clients shouldn't rely
    on that).
  * lockscreen: Map keyboard button sensitiviy to OSK availability.
    Only make the keyboard button on the keypad sensitive when the OSK would
    actually unfold.
  * home: Use osk-manager instead of tracking the gsetting directly.
    This makes sure we don't show the button although there is no OSK
    on the session DBus. It also ensures all parts of the shell get
    their state from the osk-manager.
  * subprojcts: Update gmobile to 0.0.4.
    Use `git submodule sync` to update URLs in your working copy.
  * subprojcts: Update libcall-ui to 0.1.1
  * call-notification: Use cui_call_format_duration
  * call-notification: Use tnum font feature.
    Keeps call duration constant width.
  * monitor-manager: Use phosh_async_error_warn.
    We don't want to print a warning when the DBus proxy creation failed.
  * util: Be more graceful on the app_id. Don't care if it ends in .desktop
    or not.
  * end-session-dialog: Use cancellable.
    As in other places properly cancel async calls during shutdown so we
    don't need to hold a ref on self (which can then again trigger invalid
    access as widgets are already disposes).
    This also avoids a leak of self in the error path.
  * end-session-dialog: Use phosh_get_desktop_app_info_for_app_id.
    This makes for better information in the end session dialog
  * end-session-dialog: Only show list box when we created inhibitors.
    This allows us to skip inhibitors that make no sense
  * end-session-dialog: Check flags before creating an entry.
    Only create a row in the listbox when the inhibitor affects logout.
  * end-session-dialog: Skip empty app-ids.
    They're either from system services or stale entries
  * end-session-dialog: Print app_id if we can't resolve the app info.
    This gives at least some idea what is holding the inhibitor. We could
    also do "Unknown application: %s" but that gets shortened too much
    on mobile.

  [ Arun Mani J ]
  * ci: Add Uncrustify to Debian image
  * ci: Add Uncrustify config and checker
  * ci: Run style checks on merge requests.
  * ci: Move `sanity` job to `style-checks` stage.

  [ Artur S0 ]
  * Update Russian translation

  [ Vittorio Monti ]
  * Update Italian translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Nov 2023 11:18:11 +0100

phosh (0.33.0) experimental; urgency=medium

  [ Guido Günther ]
  * docs: Drop phosh-docs.xml.
    It's unused since some time
  * tools: Drop layer-shell-ui-edit.
    Unused since ages
  * plugins: Add launcher plugin.
    This allows to use arbitrary desktop files as launchers on the lock
    screen. See 8ec58e3555226c3616deb854eee4dd5833a67496 for details.

  [ pseudorandom-x ]
  * password-entry: Add new widget.
    A password entry that allows users
    to toggle the visibility of typed password.
    This is based on code from PhoshNetworkAuthPrompt.
  * gtk-mount-prompt: Use password-entry.
    Replaces GtkEntry with PhoshPasswordEntry,
    as well as removes the callback and its
    connection to toggle password visibility.
  * network-auth-prompt: Use password-entry.
    Replaces GtkEntry with PhoshPasswordEntry,
    for both WiFi dialog box & VPN network
    prompt. The callback toggling the visibility
    of typed password is also removed.
  * polkit-auth-prompt: Use password-entry.
    Replaces GtkEntry with PhoshPasswordEntry.
  * system-prompt: Use password-entry.
    Replaces GtkEntry with PhoshPasswordEntry,
    in both password entry and confirmation fields.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/848

  [ Florentina Mușat ]
  * Update Romanian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Oct 2023 19:08:23 +0100

phosh (0.32.0) experimental; urgency=medium

  [ Guido Günther ]
  * session: Warn on deprecated rootston.ini.  This way we can remove it in
    the future
  * phosh-session: Allow to include a .phoshdebug.
    This allows to set e.g. G_MESSAGES_DEBUG or the path to a phoc.ini
    independent from how phoc is started (command line, display manager,
    systemd unit).
  * docs: Mention phoc configuration file
  * notification: Link to the official spec
  * notifications: Merge comments
  * notification: Add profile property.
    This will be used to store the feedback profile level for the feedback
    event associated with this notification.
  * notify-feedback: Adjust feedback profile based on notification.
    This allows the notification to lower (or skip) the event
    feedback noisiness.
  * notify-manager: Honor x-phosh-fb-profile hint.
    Allowed values are feedback profile levels from the Feedback Profile
    Spec and `none` to indicate: omit all feedback.
    This is somewhat similar to the `suppress-sound` hint of the fdo spec.
  * tools: Add category and profile to notification tool
  * docs: Add some hints for application developers.  Document some mobile
    specific extensions.
  * docs: Document additional notification hint
  * docs: Mention that we prefer a "recipe" style git commit history
  * docs: Add some more common patterns
  * docs: Add a merge request check list
  * feedback-manager: Don't access lfb if not inited.
    Otherwise libfeedback asserts.
  * feedback-manager: Add more type checks
  * notification-feedback: Guard against unitted libfeedback

  [ Keegan Sabo ]
  * app-grid: Hide separator when there are no favorites.
    Hide the favorites separator if there are no favorites.

  [ Tjipke van der Heide ]
  * Add Frisian translation

  [ Vasil Pupkin ]
  * Add Belarusian translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 Oct 2023 14:17:40 +0200

phosh (0.31.1) experimental; urgency=medium

  * build: Fix version in meson file

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Sep 2023 16:49:20 +0200

phosh (0.31.0) experimental; urgency=medium

  [ Guido Günther ]
  * data: Add portals default config.
    We keep the `UseIn` in phosh.portal for the moment to support
    older xdg-desktop-portal.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/979
    Thanks to Pablo Correa Gomez for bringing this up
  * portals: End lines with a semicolon.
    It's a desktop file like syntax
  * portals: Use wlr as fallback for screenshot portal.
    E.g. Debian has it disabled for the gtk portal.
  * portal: Disable screencast portal. No implementation yet.
  * portal: Add secrets portal.
    Provided by gnome-keyring
  * wayland: Make zwlr_output_power_manager_v1 mandatory.
    It's there since phoc 0.1.6.
  * suspend-manager: Drop unused variable
  * protocol: Add phoc-device-state-unstable-v1.
    Track the device state capabilities and merge them into the seat's caps.
    This way we only need to worry about one set of capabilities.
  * mode-manager: Set tablet or laptop mode for convertibles.
    Based on a patch by Jonathan Hall.
    Closes: https://gitlab.gnome.org/World/Phosh/phoc/-/issues/320
  * mode-manager: Switch between tablet and laptop mode.
    When the seat as the needed caps we register a listener for the
    switch and switch between tablet and laptop mode based on its state.
  * ci: Update variables. We moved to trixie

  [ Simon McVittie ]
  * data: Install phosh-portals-conf in /usr/share.
    This is supported in xdg-desktop-portal >= 0.17.1
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/982

  [ Boyuan Yang ]
  * Add Chinese (China) translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Fran Dieguez ]
  * Update Galician translation

  [ Efstathios Iosifidis ]
  * Update Greek translation

  [ Asier Sarasua Garmendia ]
  * Update Basque translation

  [ Artur S0 ]
  * Update Russian translation

  [ Nathan Follens ]
  * Update Dutch translation

  [ Martin ]
  * Update Slovenian translation

  [ Jürgen Benvenuti ]
  * Update German translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Sep 2023 13:33:50 +0200

phosh (0.30.0) experimental; urgency=medium

  [ Guido Günther ]
  * toplevel-manager: Drop set_property. It's unused
  * toplevel-manager: Fix indent
  * toplevel: Fix some indent
  * toplevel: Move _init upwards.
    We have it past _class_init. See HACKING.md.
  * toplevel: Drop initialization.
    They're inited to 0 per default.
  * app-tracker: Drop unused variable
  * data: Add icon for audio-handsfree.
    This happens when e.g. connecting to a car's audio unit. For now we just
    use the plain headset icon. See PA commit
    https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/commit/28069ef0f74089ae18cefbe7e97d2b920d7ba0cc
    Once we have one in the adwaita-icon theme we can drop the icon here.
  * call-notification: Make sure we always show a phone number when available.
    For calls that don't have an entry in the address book we want to make
    sure we *only* show the phone number and nothing else (not e.g. "Unknown
    Caller") while the reset of the logic (whether to show initials, etc)
    should stay the same.
  * Update gvc submodule.
    This fixes a crash when pa or pipewire-pulse restarts.
  * README: Mention git submodules
  * README: Use meson instead of ninja
  * ci: Give asan suite some more time.
    It passes but needs a bit longer.
  * ci: Speedup unit tests by skipping screenshots.
    We run the screenshot tests anyway so instead of running them twice
    rather merge the test data. This uses less CPU and avoids the testsuite
    sometimes failing because unit tests and screenshot tests step on each
    others toes.
  * lockscreen: Simplify clock css.
    No need to have the class twice
  * lockscreen: Move large clock down a bit.
    WIth the rework we lost a bit of vertical padding. Add this back but
    only when we use the large clock.
    Fixes 515ccf982b9acbd6bae5f97d79fb1115190303f4
  * data: Drop gsd-xsettings from required components.
    The session is very functional without.
    As newer wlroots looks for a surface and there is non it gets
    disconnected when we don't force XWayland to stick around which we don't
    want to.
  * lockscreen: Don't scroll back to clock page while auth is running.
    Going back to the clock page while the auth thread is running is
    confusing for the user. This can happen when pam wants to slow down
    entering a new password for more than 5 seconds.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/968
    Tested-by: Teemu Ikonen
  * gmobile: Update to 0.0.3 This brings support for the FF4's and Poco F1
    notches

  [ anteater ]
  * screenshot-manager: Save screenshots at full resolution.
    This has to normalize scale to join monitors, but can at least
    normalize to the largest scale present rather than 1.0.
    Screenshots of any single monitor will be saved at native scale,
    and screenshots spanning multiple monitors will scale them each up
    to the maximum scale of a monitor present in the screenshot.
    https://gitlab.gnome.org/World/Phosh/phosh/-/issues/946

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Piotr Drąg ]
  * Update Polish translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Martin ]
  * Update Slovenian translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

 -- Guido Günther <agx@sigxcpu.org>  Tue, 01 Aug 2023 12:13:54 +0200

phosh (0.29.0) experimental; urgency=medium

  [ Guido Günther ]
  * tests: Create a dummy object for PhoshShell.
  * phosh-wayland: Drop feature flags.
    Wayland defines these just fine for us from the protocol definitions.
    This makes it consistent with other places where we used the
    wayland definitions directly e.g.
    PHOSH_PRIVATE_KEYBOARD_EVENT_ACCELERATOR_RELEASED_EVENT_SINCE_VERSION
    ZPHOC_LAYER_SHELL_EFFECTS_V1_GET_ALPHA_LAYER_SURFACE_SINCE_VERSION
  * notify-feedback: Exit early when we woke up the screen.  Doing it once is
    enough.
  * notify-feedback: Use PhoshNotificationSource.
    No functional change, just make the function take a notification source
    and not assume it's part of an on_items_changed callback.
  * notify-feedback: Move event based feedback emission into a separate function.
    Iterating a notification source to look for feedback to emit will be
    used in more places.
  * notify-feedback: Don't skip feedback if we fail to get the app-id.
    Use phosh's current feedback level in that case.
  * notify-feedback: Blink leds when screen goes blank and there are notifications.
    If there are notifications present and the screen goes blank we should
    explicitly trigger event feedback for these.
  * ambient: Avoid initial theme switch
  * animation: Add enum type for the animation types.
    This allows us to use them as properties.
  * layer-surface: Move alpha handling here.
    To avoid having to pass around even more properties we use
    phosh_shell_get_default () which makes this a bit harder to use in other
    programs like phosh-osk-stub or squeekboard.
    This will allow us to use alpha blending in other parts without much
    code.
  * fader: Make fade-out configurable.
    Add properties to configure fade-out length and type
    Helps: #940
  * ambient: Use a fader to smooth the theme change.
  * timestamp-label: Don't leak datetime
  * phosh-background: Simplify. Just chain up without a parent_class variable
  * tests: Don't leak monitor.
    The tests that run against phoc leaked the created monitor object.
  * tests/stubs: Only create toplevel-manager once.
    This helps test-overview
  * leak-suppress: Drop old leak suppression.
    I fixed that in GTK via b1b9de6836a19cb6336b6a20ad652afc14f1e2b2 in
    2019.
  * leak-suppress: Add new GTK, GDK and gvfs leaks.
  * tests/end-session-dialog: Make both tests more alike.
    Drop superfluous g_object_ref_sink and use gtk_widget_destroy
    to fix resource leaks.
  * tests/notification: Fix leak
  * tests/favourite-model: Fix leak
    g_list_model_get_item returns a ref
  * tests/app-grid-button: Fix leaks
  * tests/stubs: Make shell variable static. Tests use phosh_shell_get_default()
  * ci: Use specific asan image.
    This allows us to have debugging symbols in there so the leak
    suppressions match but without making the base image larger.
  * settings: Simplify brightness slider ui bits.
  * settings: Simplify torch slider ui bits
  * settings: Drop packing from settings box.
  * lockscreen: Use G_SOURCE_REMOVE
  * lockscreen: Queue redraw for clock when deck moves back to carousel.
    Otherwise the clock might show an outdated time after phone calls or
    when swiping back from the plugins page.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/922
  * system-modal-dialog: Allow to fade out.
    This is similar to what we do with splash screens but we use
    an ease out animation to give a rapid response to the user
    interaction.
  * system-prompt: Use phosh_system_modal_dialog_close()
    This will use a fadeout animation if available
  * phosh-end-session-dialog: Use phosh_system_modal_dialog_close()
    This will use a fadeout animation if available
  * polkit-auth-agent: Use phosh_system_modal_dialog_close()
    This will use a fadeout animation if available
  * network-auth-manager: Use phosh_system_modal_dialog_close()
    This will use a fadeout animation if available
  * run-command-manager: Use phosh_system_modal_dialog_close()
    This will use a fadeout animation if available
  * emergency-calls-manager: Use phosh_system_modal_dialog_close()
    This will use a fadeout animation if available
  * gtk-mount-manager: Use phosh_system_modal_dialog_close()
    This will use a fadeout animation if available
  * app-auth-prompt: Use phosh_system_modal_dialog_close()
    This will use a fadeout animation if available
  * tests: Drop unused variables
  * ci: Switch to package test to trixie.
    Bookworm is released and we want to build against latest libraries.
  * tests/gtk-mount-manager: Disable animations.
    Otherwise it might still be running when we end the main loop.
  * Update gvc submodule first time since 2018.
    Avoid passing NULL to gvc_mixer_control_get_vol_* as this raises a
    critical in newer versions. Use PAs definitions directly instead.
  * channel-bar: Simplify and modernize
  * channel-bar: Use symbolic icons via CSS.
    This will allow us to use non symbolic icon names from gvc directly.
  * channel-bar: Load icons with default fallbacks.
    This makes sure we get a valid icon for things like
    `audio-headset-analog-usb`
  * channel-bar: Use a ui file
  * settings: Fix enum type. We're setting the RotationManagerMode here.
  * settings: Separate concerns. Move headphone detection and stream pausing
    into separate functions
  * settings: Get audio output icon from stream.
    This makes us use different icons for e.g. HDMI and USB headsets making
    it easier to figure out which output is being changed.
  * emergency-info-prefs: Fix indent.
    Use 2 space indent consistently, avoid space after `->`
  * emergency-info-prefs: Avoid gint. See CodingStyle
  * emergency-info-prefs: Use (const char * const *) consistently
  * emergency-info-prefs: Avoid saving empty values for string arrays.
    If allergies or medical conditions are empty there's no need to
    save the values.
  * emergency-info-prefs: Build keyfile path only once.
    We use a single keyfile so build it's path only once at object creation
    time.
  * emergency-info-prefs: Don't return early if there's no keyfile.
    We can just create it instead of exiting early which made things appear
    as if "add" wouldn't do anything.
    Thanks to Jonathan for the report (Closes: #955)
  * emergency-info-prefs: Move keyfile saving to a single function
  * emergency-info-prefs: Create directories when missing
  * emergency-info-prefs: Set empty string when value is missing.
    When the value is missing in the keyfile set the empty string to
    avoid warnings when loading the keyfile.
  * emergency-info-prefs: Only make "Add" sensitive with contact.
    We only make the "Add" sensitive when there is a contact
  * emergency-info-prefs: Allow for contacts without a number.
    The user can add them later so instead of silently ignoring this contact
    add it without a number.
  * emergency-info-prefs: Be more verbose when saving fails
  * Update gbmobile submodule.
    Adds cutuout information for the xiami,beryllium
  * shell: Remember the settings object. We'll use it in more places in the
    future
  * shell: Move define past includes according to coding style
  * shell: Don't make debug flags dependent on shell objects.
    This allows us to use it from other parts without
    phosh_shell_get_default().
  * monitor: Allow to fake builtin display.
    Allow the virtual displays to be treated as built-in displays via to
    `PHOSH_DEBUG=fake-builtin`. This can be useful e.g. to debug top-panel
    layouts.
  * monitor: Make preferred mode check simple.  Make it simple to check if the
    current mode of a monitor is the preferred mode.
  * tests/data: Add an overlay matching the nested wayland mode.
  * top-panel: Use height internally.  No need to have it passed in at
    construction time as we don't handle different sizes anyway.
  * Add layout manager.  The layout manager is responsible for providing
    layout information to e.g. avoid notches and rounded corners.
    We currently imply a notch in the upper screen area that mostly affects
    normal orientation hence ignoring it in landscape.
  * top-panel: Use layout manager to place clocks.
    We place the center clock to the left or right when needed and shift
    down the clock in the settings menu.
  * tests: Screenshot with notch
  * calls-manager: Avoid deprecated calls state.
    Those were dropped from calls a while ago. This made it impossible for
    the user to get back to an incoming (but not yet accepted) call on the
    lock screen.
  * packaging: Bump calls dependency.
    We want to use a calls version that matches our enum values.
  * media-player: Connect player right away.
    No need to wait for the idle callback. While at that use
    current naming.
  * media-player: Modernize property definitions
  * lockscreen: Drop gtk_widget_realize() in constructed.  This just confuses
    sizes calculations
  * lockscreen: Modernize UI file a bit
  * lockscreen: Split call settings and page changes.  Follow up commits want
    to set the call but not switch to the call ui page.
  * lockscreen: Remove superfluous titlebar element
  * lockscreen: Move style class toggling to separate function
  * lockscreen: Always toggle notification revealer.
    Instead of toggling visibility on the list and the scrolled window just
    use the revealer. This is less code and makes sure things are consistent
    between no notifications and disabled lockscreen notifications.
  * lockscreen: Use a revealer for the media-player.
    This makes it consistent with the notifications
  * lockscreen: Use small clock when media-player widget is visible too.
    So far we only used the small clock when notifications where visible
    but from the UI point of view there's no difference between those
    so use the same layout.
    This also makes it simpler to add more info elements.
  * lockscreen: Move media player and notifications into one scrolled window.
    This avoids half cut notifications at the top, etc.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/593
  * lockscreen: Drop max content height.
    Let's have the scrolled window use as much space as possible to fit the
    notifations.
  * media-player: Modernize UI file a bit
  * call: Don't lookup icon for empty string.
  * notifications: Reduce bottom padding of notification tray.  48px wastes
    lots of space.
  * lockscreen: Move deck variable.  It's not part of the call page
  * lockscreen: Use set_visible_child.  This way we don't have to check if
    we're on the right page and can't overshoot.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/890
  * lockscreen: Drop p-large style class for clock.
    We toggle p-small on and off so we don't need another one for
    the default.
  * calls-manager: Expose calls as list model.  This makes it simple to have
    them in list boxes. For now we just proxy everything from an embedded
    GListStore.
  * lockscreen: Add call notifications.
    This makes it simple to go back to an ongoing call and will allow
    us to handle multiple calls easily.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/591
  * gvc-channel-bar: Guard against NULL icon.
    Fallback to speaker if we don't have more information.
  * settings: Don't crash on NULL port.
    Can happen with new gvc when switching VTs
    Fixes: bf9d98a519fc0c4a9e3d0dffc6a4066508577b39
  * settings: Don't forget to mute stream.
    Fixes e826ea4abca36042fbd77abe4e97dcab57b7a789
  * settings: Set channel-bar via UI file
  * settings: Init parent class early in constructed
  * settings: Use '-' for property names.  Just for consistency
  * settings: Bind settings-done via ui file.
    Be consistent with notify::drag-handle-offset
  * channel-bar: Use G_PARAM_STATIC_STRINGS
  * channel-bar: Switch all props to G_PARAM_EXPLICIT_NOTIFY
  * top-panel: Move click gesture to target phase.
    This makes sure the panel is only closed when we click
    outside the widget area, not when e.g. switching sound
    devices.
  * settings: Allow to select audio devices.  This can be useful to switch
    between headsets and speaker without having to open g-c-c.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/951
  * audio-settings: Close details when we launch the g-c-c panel

  [ undef ]
  * top-panel: Allow device suspend from power menu.
    Add suspend from the top-panel power menu alongside shutdown and
    logout. This allows far quicker access than waiting for the automatic
    timeout or typing the command.

  [ Sam Hewitt ]
  * settings: Style audio device selection
  * data: Add icon for suspend

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Prasanta Hembram ]
  * Update Santali translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Martin ]
  * Update Slovenian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Piotr Drąg ]
  * Update Polish translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

 -- Guido Günther <agx@sigxcpu.org>  Wed, 07 Jun 2023 20:25:17 +0200

phosh (0.28.0) experimental; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * packaging: Remove hardcoded build directory when running tests.
    Rely on debhelper to determine the build directory, which may not be
    `_build` anymore (see also 6483f73ea9018b95cf82f69242ce9bec4690e3de).

  [ Guido Günther ]
  * libcall-ui: Switch to 0.1.0
  * app-tracker: Update flag descriptions.
    We handle xdg-activation on the compositor side since some time
  * emergency-calls-manager: Name functions consistently.
    It's the emergency-calls manager, not the emergency-contact manager
  * screen-saver-manager: Use G_SOURCE_REMOVE.
    It's easier to parse than `FALSE`.
  * end-session-dialog: Hide warning label when there are no inhibitors.
    Fixes: 381efd906f411f4f738daeea43bde4f35bf3e2a0
  * notify-feedback: Look at correct notification.
    So far we only ever looked at the first one. This is fine as
    we break the loop on the first iteration atm but will lead
    to surprises when we change this.
  * notify-feedback: Avoid critical when app-info lookup fails
  * ci: Montage screenshots via script.
    This makes it easy to reproduce things locally
  * system-modal-dialog: Improve title padding.
    Add some margin to the left and right to make the title not touch the
    border of the dialog.
  * system-modal-dialog: Add top and bottom margins.
    Otherwise the dialog can stretch to the screen edge
  * system-modal-dialogs: Reorder the right box.
    We want to reorder the button box when forcing a position. This
    is so far unused.
  * tools/check-access-portal: Simplify.
    Let getopt handle '-h' and use a here document for easier formatting
  * portal-access-manager: Don't leak grant and deny label.
    They were g_strdup'ed but never freed. Instead use a pointer
    to the gvariant's value.
  * system-modal-dialog: Add property docstring.
    Makes it show up in the docs
  * app-auth-prompt: Add bindings for construct-only properties earlier.
    Doing this in `constructed` worked by accident. When
    `system-modal-dialog` removed it's binding in `init` it started to fail.
    Fixes: 5f7d38bdf86c5f01e8cc0f1560181a875f68b34a (which didn't have a
    chance to notice)
  * system-modal-dialog: Simplify.
    If we hide the title initially we only need to make it visible when we
    set a title and can hence exit early if the title didn't change.
  * system-modal-dialog: Drop constructed.
    We can do that in init just fine
  * ambient: Don't ignore unknown units silently.
    Print at warning so support can be added when we hit that case.
  * ci: Use uppercase variable name for alpine deps.
    Fixes: 47209e49923a256432ca7e536ed7fa3eb20c7683
  * stubs: Use correct enum type for state flags
    Labels, clamps and boxes are unfocusable by default
  * lockscreen: Remove superfluous packaging.
    Just use the defaults
  * layersurface: Add noop implementation for configure.
    This frees deriving classes from checking for NULL
  * lockscreen: Drop the top margin on smaller displays.
    This allows us to keep the keypad's box center aligned.
  * test-notification: Use g_strv_equal.
    We require glib 2.66
  * data: Sort by schema path
  * screen-saver-manager: Add action to wakeup the screen
  * shell: Make activating actions a bit more failsafe.
    Make sure we log an error on inexistent actions. We remove the
    action_group iface implementation for that.
  * notify-feedback: Unblank screen on new notifications.
    We allow to filter by urgency and category. This allows to e.g. enable
    screen wakeup for all 'critical' messages and those send by alarm-clocks
    but not instant-messages via
    wakeup-screen-triggers == [ 'urgency', 'category' ]
    wakeup-screen-urgency == 'critical'
    wakeup-screen-categories == [ 'x-gnome.clock.alarm' ]
    (assuming the alarm clock sets the above category)
    To match on all instant messages too we'd do:
    wakeup-screen-categories == [ 'x-gnome.clock.alarm', 'im' ]
    This will match on all notifications with category class `im`
    independent from the specific. So we'd match on `im`, `im.received` and
    `im.error`.
    Available categories (of the form `class.specific`) can be found in the
    xdg spec:
    https://specifications.freedesktop.org/notification-spec/notification-spec-latest.html
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/934
  * Revert "top-panel: Close settings before taking screenshot"
    This reverts commit 30167a934b5b6820b583d262a386bed3d1dab141.
    Not needed as we switch away from the power-menu.
  * Revert "top-panel: Remove currently unused actions"
    This reverts commit a4d2e6d846a2ffd4f3028242ed1803563ee68d17.
    Add them back as we switch away from the power-menu.
  * Revert "top-panel: Trigger power-menu"
    This reverts commit 63fae83fa5ef42ade7fb898164fc7cb2d27c40a7.
    Bring back the old power off / logout / restart menu
    This closes https://gitlab.gnome.org/World/Phosh/phosh/-/issues/932
    although we don't add it to the power-button menu but rather bring
    back the system menu.
  * top-panel: Rename to menu to system-menu.
    This better fits designer language (see
    https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/1254)
  * system-menu: Drop lock screen.
    We have that on an extra button and it's not "power cycle" related.
  * top-panel: Drop unused power-menu action
  * system-menu: Use icons in the menu
  * layersurface: Allow to set alpha
  * splash-manager: Assume color-scheme is a known key
  * build: Require settings-schema 42.
    This allows us to drop the check for color-scheme
  * splash: Remove excessive white space
  * splash-manager: Hide splash.
    Don't just destroy the widget. Give the splash a chance to fade out.
  * animation: Add quintic ease in and out
  * splash: Add phosh_splash_hide.
    This hides and destroys the splash
  * splash: Use a fade out animation to hide the splash
  * splash: Allow to run against old phoc
  * build: Add animation slowdown option.
    For debugging it can be useful to slow down animations. Add config
    option for that
  * quicksettings: Add a bit more top and bottom padding.
    This makes the buttons a bit easier to touch
  * home: Ease application switching with super key.
    Currently the super key activates the application view (focusing the the
    search bar). Focusing the running application instead allows for direct
    window switching via cursor keys and application search as the user can
    just start typing.
  * build: Bump supported glib version to 2.72.
    We mostly do this to so we can assume `launch-started` in some
    upcoming app-tracker changes.
    This is still pretty conservative as glib 2.76 is current.

  [ Thomas Booker ]
  * emergency-calls-manager: Fix spelling

  [ Alistair Francis ]
  * home: Handle the super key.
    Since Phoc allows passing the super key (see MR) we can subscribe to it
    and use the super key to unfold the home. This is similar to how the key
    works on GNOME.
    Note that on versions of Phoc that don't expose the super key, this will
    just generate a warning as Phoc rejects the binding.
    Works-with: https://gitlab.gnome.org/World/Phosh/phoc/-/merge_requests/447
    Fixes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/563

  [ Suraj Kumar Mahto ]
  * lockscreen: Remove currently unused (and hidden) emergency call button.
    Emergency calls are reachable via long press. We'll look into adding a
    button right on the lock screen once the feature is deemded stable and
    hence enabled by default.

  [ Sam Hewitt ]
  * New close button for power menu
  * top-panel: System menu styling

  [ Evangelos Ribeiro Tzaras ]
  * gnome-shell-manager: Handle repeat for accelerators.
    Repeat action until accelerator was released unless accelerator
    was grabbed with "ignore autorepeat" set.
    Fixes: #525

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Vittorio Monti ]
  * Update Italian translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Pablo Correa Gómez ]
  * Update Spanish translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Piotr Drąg ]
  * Update Polish translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Michael Oppliger ]
  * Update German translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 May 2023 12:31:28 +0200

phosh (0.27.0) experimental; urgency=medium

  [ CoderThomasB ]
  * Add emergency calls manager.
    The emergency calls manager is respsonsible for fetching emergency
    contacts from gnome-calls as well as initiating emergency calls.
  * Add emergency menu system modal dialog.
    A new modal dialog triggered by the power-button long press menu that is
    used to dial emergency call numbers and to select emergency contacts.
  * tests/screenshot: Test emergency menu.
    Closes: https://gitlab.gnome.org/GNOME/calls/-/issues/30

  [ Guido Günther ]
  * tests: Make phosh_test_remove_tree() public.
    Useful in non-shell tests too
  * tests: Run timestamp label test without compositor.
    Not needed, plain widget.
  * tests: Add helpers to run tests against a compositor.
    This was so far open coded in the different tests. The helpers
    ensure we also get a separate DBus session.
  * testlib/compositor: Shut down compositor before DBus.
    This makes sure we can process all events
  * testlib: Drop double assignment.
    We do the same two lines above.
  * testlib: Log when we connected to the running compositor
  * tests: Use compositor helper for phoc based tests.
    Simplifies the code but also fixes tests against newer phoc (0.26.0)
    which needs to be able to spawn a DBus session.
  * tests: Use compositor helper for integration tests
  * tests: Add and use PHOSH_FULL_SHELL_TEST_ADD.
    Just to simplify the code. Similar in spirit to
    PHOSH_COMPOSITOR_TEST_ADD
  * tests: Use full-shell fixture for idle-manager.
    Less code and proper DBus isolation
  * tests: Use full-shell fixture for gtk-mount-manager.
    Less code and proper DBus isolation
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/671
  * ci: Slightly bump test timeout.
    The screenshot tests are sometimes taking a bit longer. Bump the test
    timeout a bit until we made them faster by reducing timeouts.
  * ci: Drop the i386 crossbuild.
    We could disable doc, tests, plugins and calendar-server to get away
    without any gobject-introspection libs but that wouldn't leave much.
  * ci: Update image before installing dependencies
  * ci: Install phoc from Debian experimental.
    We need it for the keyboard shortcut long press support
  * ci: Use updated images
  * tests: Run all tests in parallel.
    Now with proper test isolation we can run all the tests in parallel
    speeding up the pipeline.
  * suspend-manager: Actually cancel the async call on shutdown.
    The cancellable was NULL hence nothing happened.
  * screen-saver-manager: Check async result first.
    Check the result of the async call before accessing the screen-saver
    manager. It might have already been disposed (due to shutdown).
    Fixes another spurious test failure.
  * screen-saver-manager: Init power button fd.
    Make sure it's set < 0 as otherwise we might close it accidentally
    on shutdown when getting the inhibitor got cancelled early (e.g.
    in tests).
  * proximity: Don't access proximity before checking async call result.
    This can happen in tests when we cancel before actually connecting.
  * screen-saver-manager: Emit signal on power button long press
  * shell: Allow to fetch screenshot-manager.
    We could avoid this if we pass it in when constructing the
    power-menu-manager.
  * screenshot-manager: Don't notify completion on DBus for internal calls
  * screenshot-manager: Make do_screenshot() public.
    This allows other parts of the shell to take a screen shot.
  * shell: Implement ActionGroup and ActionMap interfaces.
    This allows us to add global actions easily thus avoiding the need
    to add proxy functions.
    Inspired by what GtkApplication does.
  * system-modal-dialog: Move the padding from title to the dialog.
    This ensures that dialogues without title get the same padding. This
    will be useful for the power-menu.
  * system-modal-dialog: Hide title if empty.
    Some dialogs don't have a title and this avoids a large empty
    bar at the top.
  * resources: Sort icons alphabetically
  * Add power-dialog and manager.
    To be shown on power button press or by activating the power button in
    settings. This is currently used for screenshots, power-off, screen lock
    and the upcoming emergency call support.
  * top-panel: Trigger power-menu.
    Instead of the somewhat fiddly power-off/reboot/... menu use
    the more phone friendly power-button menu.
  * shell: Toggle power-menu on power button long press
  * settings: Remove unused template binding
  * settings: Crossfade empty notification state.
    Addresses parts point 2 of
    https://gitlab.gnome.org/World/Phosh/phosh/-/issues/788
  * mount-notification: Drop unused variable
  * notify-manager: Make it simpler to add shell notifications.
    Make it a single call to add a notification without actions.
  * screenshot-manager: Add notification when taking a screenshot.
    When the screenshot isin't triggered via DBus show a notification
    that the result was copied to the clipboard.
  * testlib: Allow to press key with timeout
  * revealer: Fix gtk doc string
  * system-modal-dialog: Fix signal name
  * power-menu: Wire up emergency calls
  * emergency-calls: Disable by default.
    We want to make sure the code is working reliably. For that we
    need a stable gnome-calls release and testing among more providers.
    Hence toggle it off by default atm until that happened. It can
    be enabled anytime using:
      gsettings set sm.puri.phosh.emergency-calls enabled true
    Distributions that want to enable it by default can use an override.
    We do this in separate commit so that we can easily revert it
    once we want to enable by default.
  * tests: Add more items to end-session dialog.
    This allows to check overflow
  * end-session-dialog: Wrap listbox in scrolled window.
    Avoids overflow with many items
  * rotation-manager: Use consistent naming.
    We call it accelerometer in other places
  * rotation-manager: Look at blanked state for claim/unclaim.
    No need to keep the accelerometer claimed when the screen is blanked.
  * rotation-manager: Don't match orientation when screen is locked.
    Fixes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/914
  * rotation-manager: Fix orientation on unblank when locked.
    Changing the configuration when the screen is blanked doesn't do
    anything so fix it up on unblank.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/914
  * rotation-manager: Restore transformation on unlock.
    Now that we can hit the code path via blank and lock we need
    to make sure we don't overwrite the pre-lock transform.
    Simplify the code while at that.
  * emergency-menu: Improve placeholder page.
    Use a dimmed status page when the list is empty.
  * emergncy-menu: Set placeholder page to not visible.
    When the list is non-empty set the place-holder page as non-visible to
    work around https://gitlab.gnome.org/GNOME/libhandy/-/issues/468
  * testlib: Print full socket path.
    This makes is simple to spot races due to incomplete test fixtures.
  * ticket-box: Switch preferences to native dialog.
    This allows the file chooser to use the portal on slightly patched GTK.
  * gitignore: Add missing packaging dir
  * build: Use 'meson' instead of 'ninja' where suitable
  * build: Warn on outdated version.
    Warn when we detect versions that trigger less tested code paths because
    dependencies are outdated.
  * build: Add libfeedback version check.
    We want to use newer API
  * notifications: Respect per app feedback setting for notifications.
    When one changes the feedback profile for an application one expects
    notifications sent by that application to adhere to that too. Do that by
    using the applications app-id from the notification's app-info when
    available.
  * ci: Use image with feedbackd 0.2.0 and gtk 4.10
  * ci: Use feedbackd 0.2.0 for packaging build.
    We need to pull packages from experimental for that.
  * notifications: Drop fallback for older feedbackd.
    Distributions wanting to use older feedbackd can revert this commit.
  * ci: Reduce package build time.
    We're not interested in tests there.
  * packaging: Fix package name we look for
  * packaging: Don't set build-directory.
    This avoids a local package build messing with the default build dir.
  * tests: Enhance landscape config.
    Add x11 and wayland displays as well so it's ease to reuse to verify
    test failures
  * notify-manager: Allow to set a timeout on shell notifications
  * top-panel: Remove currently unused actions.
    What comes back will move to the power-menu.
  * top-panel: Close settings before taking screenshot.
    Otherwise it won't be very useful. Screenshots of the settings
    itself can be made via power-button long press.
  * rotation-manager: Simplify debug print.
    The values of orientation-lock and claim are known at this point.
  * rotation-manager: Match up orientation after unlock.
    We claim the accelerometer on unblank and make the orientation match the
    sensor readings. However when the device is locked we ignore these
    values. For these cases we want to match the orientation again after
    unlock. Thanks to Adam Plumb for the suggestion

  [ Sam Hewitt ]
  * system-modal-dialog: Add missing style for only-child dialog button.
    This avoids having only one corner rounded in dialogues with a single
    button.
  * data: Add icons for emergency call and screenshot
  * styles: Add style for emergency call related buttons
  * power-menu: Improve styling

  [ Мирослав Николић ]
  * Update Serbian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Aleksandr Melman ]
  * Update Russian translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Piotr Drąg ]
  * Update Polish translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Martin ]
  * Update Slovenian translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Fran Dieguez ]
  * Update Galician translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 May 2023 13:23:40 +0200

phosh (0.26.0) experimental; urgency=medium

  [ Guido Günther ]
  * ci: Montage all screenshot dirs
  * testlib: Prefix test env var with PHOSH_TEST_
  * testlib: Allow to override phoc.ini.
    This can be useful for testing different resolutions
  * tests: Set test type rather than locale.
    This allows us to reuse the tests for other things than
    testing different locales
  * tests: Screenshot high contrast shell too.
    This makes validation simpler.
  * tests: Copy keyfile to builddir.
    The tests modify the keyfile so in order to avoid an unclean source tree
    copy them to the builddir and use it from there.
  * tests: Run tests in landscape.
    Not all of them make sense as the device rotates to natural orientation
    for some of them but let's keep them for now as it would be nice to have
    those fixed for use cases like landscape plus keyboard.
  * tests/screenshots: Check return value too
  * tests: Make sure the keyfile is in place when the tests are run.
    Fixes: ce119310013d742762a6e6d1b56322d66a0d49e0
  * plugins/emergency-plugins-prefs: Fix deprecation
    gtk_widget_hide is deprecated in GTK 4.9
  * plugins/ticket-box-prefs: Ignore file chooser deprecation.
    As it's deprecated since 4.10 and the new GtkFileChooser is only
    available in 4.10 let's wait a bit until we move over.
  * ci: Use "meson setup"
    No functional change, just to avoid the deprecation warning
  * phosh-enums: Sort alphabetically
  * settings: Drop child properties that don't apply to HdyClamp.
    Fixes 394974f0e2fdb729f9772895c183b38dde7e5e79
  * settings: Make quick settings take enough vertical space.
    This avoids a scroll bar e.g. when opening settings on the lock screen
    when there's enough vertical space.
  * plugins/emergency-info-prefs: Mark labels as translatable.
    Thanks Piotr Drąg
  * main: Don't try to open default display when parsing gtk options.
    This makes `phosh --version` work without any compositor or with
    unconfigured XDG_RUNTIME_DIR.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/907
    Thanks to Ellie
  * rotation-manager: Don't react on power-mode changes.
    Since we split locking from blanking acting on lock is enough.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/903
  * wifimanager: Shorten property names.
    Matches HACKING.md
  * wifimanager: Add property docs.
    This makes sure they show up in the generated documentation
  * wifimanager: Track whether we're an active wifi hotspot
  * Add suspend manager.
    This gives us a place where we can put inhibitors. The first inhibitor
    prevents suspend when the wifi hotspot is active.
  * protocol: Update phosh-private to latest version.
    No functional changes
  * keyboard-events: Notify key release when using newer protocol version.
    Listeners can chose if they care by passing a boolean parameter to the
    action. If they don't pass any parameter they only get key pressed.
  * screen-saver-manager: Only blank on key release.
    This avoids unblanking the screen if the user presses the button for a
    longer period of time. It will also allow us to handle long press.
    Unblanking already happens on power button press as the activity fed by
    the compositor is enough (similar to e.g. the volume buttons).
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/911
  * d/control: Bump phoc dependency.
    Phosh will mostly work with earlier versions but 0.26.0 is required
    for the keyboard event protocol changes.

  [ Sam Hewitt ]
  * css: Fix quick-setting label in high contrast

  [ Newbyte ]
  * meson: Use proper SPDX licence identifier.
  * README: Use proper SPDX licence identifier.

  [ Aleksandr Melman ]
  * Update Russian translation

  [ Piotr Drąg ]
  * Update Polish translation

  [ Asier Sarasua Garmendia ]
  * Update Basque translation

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Martin ]
  * Update Slovenian translation

  [ Nathan Follens ]
  * Update Dutch translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Mar 2023 11:48:28 +0200

phosh (0.25.1) experimental; urgency=medium

  [ Guido Günther ]
  * lockscreen-manager: Avoid multiple lockscreens.
    When bringing up the lockscreen and shields we might get more events
    from the compositor that can trigger locking, which might result in
    multiple lock screens. In order to avoid this, guard the locking sequence
    and only add more lock screens when done.
    This happens during suspend but can also happen when pressing the power
    button quickly without any lock delay. (Closes: #838)
  * lockscreen: Ref lockscreen during auth.
    This makes sure it can't go away while the auth thread is running.
  * layer-shell: Use cast.
    This gives us proper warnings if something goes wrong
  * lockscreen-manager: Improve check.
    We can check for the type too
  * layersurface: Use consistent logging.
    Always use the address of self, using the surface's address just makes
    matching harder. Also always put the namespace first.
    Doing this in gdb is easier but this makes debugging simple in case one
    doesn't have the sources around.

  [ Sam Hewitt ]
  * settings: Clamp sliders in quick settings

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Mar 2023 11:01:11 +0100

phosh (0.25.0) experimental; urgency=medium

  [ Guido Günther ]
  * build: Use gnome post-install when available.
    As this is only for dev builds we can assume recent meson so drop
    the hand crafted build-aux.
  * meson: Use version_compare.
    Easier to read
  * build: Drop phosh-config.h.in.
    This avoids this file getting out of sync with the variables set by
    meson.
  * util: Use memfd for shared memory on Linux.
    This avoids makes shm handling simpler as the compositor doesn't have to
    worry about the SIGBUS handler.
    I got reminded of this by https://lwn.net/Articles/918106/
  * ticket-box: Drop superfluous '-prefs' in log domain
  * build: Add a shared header for prefs plugins.
    This is used to pass data for i18n so that we don't have to do it for
    every plugin.
  * ticket-box: Setup text domain.
    We use phosh text domain but treat things as a library so
    it can work in e.g. phosh-mobile-settings.
  * tools/plugin-prefs-standalone: Fix locale dir in test mode.
    The plugins don't know that we're using a prefix for the installed data
    in case we're running the tests so fix that up again after the plugin is
    loaded (which invokes bindtextdomain() with the unprefixed path).
  * postinst: Trigger update notification
  * util: Wrap g_clear_fd.
    This allows us to use it on older glib too.
  * screen-saver-manager: Separate locking from blanking.
    Honor org.gnome.desktop.screen-saver lock-enabled so we don't lock the
    screen if that is disabled and handle lock-delay to not lock
    immediately.
    For that we mark screensaver as active/inactive based on the power mode
    of the primary monitor. We don't use the built-in monitor since that can
    be disabled in multi-screen setups but the primary is the last one to go
    off.
  * screen-saver-manager: Document what affects blanking and locking
  * screen-saver-manager: Handle power button.
    This moves it out of the compositor allowing us to distinguish lock
    from blank
  * gnome-shell-manager: Don't allow to bind power key.
    This allows us to do the "blank screen" handling until we fixed gsd#703.
  * shell: Track blanked state via primary monitor.
    If that is blanked all other outputs should be blanked too
  * screen-saver-manager: Unset idle source close to return.
    The return value indicates we want to remove the source so reset
    the idle_id close to that.
  * screen-saver-manager: Inhibit logind actions on power button press.
    We want to handle this ourselves. This will hopefully move to g-s-d (see
    gsd#703) once there's consensus.
  * screen-saver-manager: Disable lock delay timer on unlock
  * screen-saver-manager: Disable lock delay timer when screen becomes active
    again
  * Add a revealer.
    Similar to Gtk's revealer but toggles the transition based on the
    `present` property which also triggers it's own visibility so we don't
    use up any size when the child is hidden.
  * top-panel: Use PhoshRevealer for the top bar status icons
  * plugins/ticket-box: Exit early if we fail to list the tickets
  * plugins/emergency-info-prefs: Setup text domain.
    We use phosh text domain but treat things as a library so
    it can work in e.g. phosh-mobile-settings.
  * plugins/emergency-info-prefs: Use AdwWindowTitle.
    Uses the correct style and ellipsizes automatically.
  * plugins/emergency-info-prefs: Use a larger default size.
    A larger window avoids scrolling and makes things less fiddly to type.
  * tests: Screenshot emergency plugin prefs too
  * keypad: Drop overly eager debug message.
    Just to be on the safe side in case someone has too much
    logging enabled.
  * thumbnail: Shorten property enum names.
    See HACKING.md
  * thumbnail: Move property doc to doc string.
    We have it documented, make it show up in the docs
  * notify-feedback: Handle locked as blanked.
    When the screen is locked and something lights it up (or the user is
    using a plugin) we want to make sure there's some feedback that a new
    event arrived so handle lock as blanked for now.
    We'll revisit this when continuing the notification feedback cleanup.
  * screen-saver-manager: Split out unarming the lock delay timer.
    Move it to a separate function makes things more descriptive
    and logging consistent. We'll also get a function for arming
    the timer in the next commits.
  * screen-saver-manager: Split arming the lock delay timer into separate
    function.  There are cases where we only want to activate the timer since
    the screen is already blanked (e.g. when the compositor initiated the screen
    blank).
  * screen-saver-manager: Make sure lock timer is enabled on power mode changes.
    The compositor can initiate power save. Make sure screen locking is
    enabled in this case too.
    This can happen via 3rd party tools but also when g-s-d sets the
    PowerSaveMode DBus property on phosh's DisplayConfig dbus interface - we
    could handle this by letting the PhoshScreenSaverManager listen to
    power-save-mode changes on PhoshDisplayManager but since we need to
    react to external changes anyway let's use the same code path.
    (Closes: #894)
  * util: Indicate that get_desktop_app_info_for_app_id can return NULL
  * app-tracker: Check for NULL app info.
    Related: #865
  * overview: Handle empty carousel.
    We use an explicit cast as the signal definition uses an uint.
    https://gitlab.gnome.org/GNOME/libhandy/-/merge_requests/841
    (Closes: #865)
  * rotate-info: Adjust to current coding style
  * rotate-info: Add enabled property.
    Only on when rotation sensor is present and not rotation is not locked.
  * feedback-info: Add enabled property.
    Only off when profile is `silent`.
  * wwan-info: Add enabled property
    `TRUE` when the hw is enabled.
  * quick-setting: Fix indentation
  * quick-setting: Shorten enum names.
    Match current coding style
  * quick-setting: Use current coding style for property
  * quick-setting: Don't use underscore in property name
  * quick-setting: Add active property.
    Set when the quick setting should appear active
  * quick-setting: Toggle style class based on status icons enabled state
  * top-panel: Simplify drag handle calculation.
    Make the bottom bar draggable by default and let PhoshSettings enlarge
    it by a given amount (it's drag-handle offset).
  * settings: Update drag-handle on size allocation changes.
    The allocation changes e.g. between portrait and landscape,
    thus we need to update the handle size.
    This, together with the previous commit
    Fixes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/802
  * settings: Reindent ui file.
    This was skipped in 66642424a370890430702d65ea8d23be0f258e3b to ease
    rebasing.
  * settings: Swap clamp and scrolled window.
    This makes sure the whole width is scrollable which eases scrolling in
    landscape mode as there's no dead area to the left and right.
  * util: Detect multi finger touches too.
    When checking for a gesture type we need to handle multi finger presses
    as otherwise a 2 finger touch will open the panel. (Closes: #853)

  [ Chris Talbot ]
  * emerg-info: Factor out common enumerations
  * lockscreen-plugins: Add emergency info Preferences

  [ Cédric Bellegarde ]
  * screen-saver-manager: Add a suspend delay inhibitor.
    We need to be sure ActiveChanged D-Bus signal is emitted before going to
    suspend as we'd otherwise blank right after resume.

  [ Sam Hewitt ]
  * quick settings: Rework layout and stylesheets for new design
    - rework flowbox buttons to appear as toggles
    - shuffle around things to wrap entire pulldown with GtkScrolledWindow
    - update stylesheet
    - change how QS focus

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Martin ]
  * Update Slovenian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Hemish ]
  * Update Hindi translation

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Feb 2023 13:03:17 +0100

phosh (0.24.0) experimental; urgency=medium

  [ Guido Günther ]
  * Drop pandoc.
    We don't need to convert from markdown anymore
    Fixes e29a16ff3e6fb3fcc46ceec4fe44f94b38006063
  * Drop deps on doc packages.
    Not needed for gi-docgen
    Fixes 89f58c9596950047ce83c5d6ced95d93a484e715
  * docs: Add GTK and Libhandy deps
  * notification-content: Check for `NULL`
  * notification-content: Check for NULL lookup
    g_desktop_app_info_get_string_list can return NULL, check for that.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/874
  * bt-info: Add translation context for "On"
    Add a context so "On" can have a context specific translations.
  * rotateinfo: Add translation context for "On" and "Off"
    Add contexts so "On" and "Off" can have context specific translations.
  * feedbackinfo: Add translation context for "On"
    Add a context so "On" can have context specific translation.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/880
  * ci: Avoid artifact download for ASAN job.
    It's not needed and just wastes bandwitch
  * ci: Update images to 2023-01-05.
    Update the amd64 images to not waste resources by
    package updates.
  * feedback-manager: Don't try to register signal if we can't get a DBus proxy.
    Otherwise we might crash on startup when feedbackd gave up due to a
    broken theme.
  * feedback-manager: Shorten property enums.
    Consistent with HACKING.md
  * feedback-manager: Update prop descriptions.
    Use doc strings before adding a new property
  * feedback-manager: Init icon_name.
    This make sure we always display an icon.
  * feedback-manager: Allow to track inited state via present property.
    If we fail to init libfeedback there's no point to allow the user to
    change feedback settings, etc. Hence export this state via a `present`
    property similar to other managers that map to quick settings.
  * feedback-info: Init parent class first
  * feedback-info: Update indentation.
    This is the common style nowadays
  * feedback-info: Track feedback-manager's parent property
  * settings: Set feedback quick setting sensitive conditionally.
    It only makes sense to display the icon when feedback manager is
    available.
  * dbus/login1: Improve argument name
  * util: Add a log domain
  * util: Make phosh_find_systemd_session more robust.
    Don't rely on the display manager to set the desktop environment as this
    currently isn't set by e.g. GDM on Bookworm. Rather use our current pid
    or let logind make the pick.
    Without this we fail to lock the screen when e.g. suspending on a
    laptop's lid close.
  * screen-saver-manager: Log if we can't get a session from logind
  * screen-saver-manager: Improve debug message.
    Let's debug both cases
  * ci: Make it simple to just run visual tests.
    The screen shot tests take screen shots of the running
    shell. Make it easy to just run those.
  * shell: Fix typo in comment
  * thumbnail: Improve class doc
    set_thumbnail must chain up to get the property changed
    signal emitted.
  * system-modal-dialog: Bind title property in init.
    Binding in constructed is too late if we want to set the title
    via ui file (as happened for the run command dialog)
  * testlib: Add ALT keys to modifiers
  * gnome-shell-manager: Use default dbus prefix.
    This makes names significantly shorter
  * dbus: Drop docbook generation.
    We'll switch to markdown once that is in a released glib
    version and meson supports it too.
  * tests: Screenshot run-command dialog too
  * tests: Screenshot the OSD too
  * ci: Fetch phoc with working pixman renderer from CI
  * tests: Reenable overview screenshots.
    With the pixman renderer fixed we can reenable these
  * po: Mark wayland session file as translatable.
    The "Comment" field can be translated
  * wayland-session: Improve comment
  * wayland-session: Split list by semicolon.
    It's a desktop entry files so separate entries should be semicolon not
    colon separated. This shouldn't have any practical consequences.
  * packaging: Drop superfluous override
  * data: Rename phosh startup script to phosh-session.
    This hopefully helps to avoid confusion.
  * docs: Add a manpage
  * docs: Add a manpage for phosh-session
  * Build and install manpages.
    This can be toggled via -Dman=false
  * tools: Enable flash in screenshot check
  * screenshot-manager: Invoke complete area functions.
    In case of failure complete the correct functions
  * screenshot-manager: Move code to capture all outputs into a separate function.
    This will make allow to merge it with the
    area capture code.
  * screenshot-manager: Use do_screenshot for area capture too
    handle_screenshot_area and handle_screenshot were doing
    mostly the same thing so let them use the same function.
  * screenshot-manager: Use automatic cleanup for frames.
    Otherwise we'd leak the frames when we fail to create the
    file name.
  * screenshot-manager: Emit screen-capture event.
    This allows us to trigger proper feedback.
  * lockscreen: Strip "figure-space" from am/pm time.
    Newer glib uses that instead of ' ' to pad the time.
    We can drop the whole `g_strv_length (parts) == 3` part once we require
    glib 2.74 at runtime.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/883
    Thanks to Nicholas High for the detailed report and testing
  * tests/take-screenshots: Remove unused variable
  * tools/plugin-prefs: Don't take all available space.
    Let the flowbox expand with it's members
  * tools/plugin-prefs: Init gettext
  * tools/plugin-prefs: Use actions to activate plugins.
    This allows us to add keybindings easily which in turn
    allows us to add keyboard shortcuts that can then be used
    in the screenshot tests.
  * tools: Build plugin-prefs too when building tests.
    The screenshot tests will use it
  * plugins: Keep plugins in a list.
    While phosh itself should never bother about the actual plugins
    but infer it automatically at run time it can be useful for
    tests and tools to have a static list.
  * tools: Don't hardcode plugin list
  * tests: Add prefs plugins schema paths.
    This is needed if we want to either load the lock screen plugins
    or their prefs
  * tests/take-screenshots: Run ticket box prefs.
    We'll toggle individual pref dialogs in follow up commits
  * tests/take-screenshots: Take screenshot of ticket box plugin prefs
  * ci: Drop needless fixup.
    Fixes 3312583e ("gitlab-ci: No need to forcibly remove lcov anymore")
  * lockscreen-manager: Remove unused variable
  * polkit: Detect cleanup functions.
    Rather than using versions to see if we have cleanup for the polkit
    related objects rather check for them.
  * rotateinfo: Fix typo in debug message
  * head: Fix typo
  * build: Avoid relative paths for enums
  * Update to gmobile 0.0.1.
    This is 0.0.1 plus a few patches to build with older glib and to build
    json-glib as a fallback when not present.
    We adjust to the new API in the same commit as it's a minor change
    and keeps things bisectable.
  * layersurface: Update copyright years
  * layersurface: Make sure we destroy the layer surface before the wl_surface.
    Newer wlroots otherwise treats this as a protocol violation.
    Thanks to David Leppla-Weber for proposing a fix and testing.
  * layersurface: Use class methods instead of signals for map and realize.
    This makes it consistent with how we handle "unmap" now so we don't have
    parts using the signal and parts using the class method.
  * wl-buffer: Move crucial check out of g_return_val_if_fail()
    This can be compiled out and although it's unlikely phosh is built that
    way, let's be cautious.
  * toplevel-thumbnail: Switch to PhoshWlBuffer.
    Avoids some redundancies
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/545
  * overview: Don't leak list
    gtk_container_get_children is `transfer container` so we need to free
    the list.
  * widget-box: Don't leak list
    gtk_container_get_children is `transfer container` so we need to free
    the list. Prompted by checking all call sites due the previous commit.
  * overview: Simplify list handling.
    Use automatic cleanup and a local variable. This makes it match other
    sites that use gtk_container_get_children.
  * network-auth-agent: Be move careful on cancel.
    When the request got canceled in dispose we must not access the object
    anymore so avoid access to self in that case.
  * d/control: Bump dependency on phoc.
    This is needed for the screenshot tests
  * Revert "ci: Fetch phoc with working pixman renderer from CI"
    We can rely on a packaged phoc now
    This reverts commit 9830a0c76658733d40e6c9d8c55d72e1f57d77e5.
  * ci: Switch package build to Debian bookworm.
    PureOS is lagging behind.
  * session-manager: Use default DBus prefix.
    This makes names significantly shorter
  * tests/screenshot: Wait a bit longer for prefs app.
    This helps on busy systems. Ideally we'd wait for the toplevel to show
    up.
  * tests/screenshots: Screenshot more dialogs
    See
  * build: Use summary()
  * tests/screenshots: Clarify comment
  * tools/plugin-prefs: Adjust setup when run in the test-suite.
    The test-suite installs the locale files in a local directory,
    make sure we pick those up.
  * tools/app-buttons: Hide close button. Looks odd in screenshots of the running
    shell as it has shell styling.
  * tests: Don't emit warning when org.a11y.Bus can't be bound.
    Otherwise tools like plugin-prefs might emit it, abort and
    make tests using them fail.
  * app-buttons: Use desktop files with fewer dependencies.
    We have these almost installed anyway for the build so use these so we
    don't have to pull in additional dependencies just for the icons.
    This improves the running-app and overview screenshots in the testsuite.
  * build: Avoid wayland protocols and gtk listmodels in docs.
    The wayland protocol headers trip up the gir-scanner as the format isn't
    compatible. The gtk list models have the wrong prefix. This reduces the
    amount of warnings when building docs a whole lot.
  * notification: Add some missing transfer annotations

  [ Andrey Skvortsov ]
  * lockscreen: Make plugins to use more screen width if available.
    It's especially very useful for plugins that display a lot of
    information on lockscreen like 'upcoming events' and 'emergency information'.

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Goran Vidović ]
  * Update Croatian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Martin ]
  * Update Slovenian translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Aleksandr Melman ]
  * Update Russian translation

  [ Hemish ]
  * Add Hindi translation

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Jan 2023 13:06:29 +0100

phosh (0.23.0) experimental; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * call: Only stop time when call is ended.
    We want the timer to continue ticking when on hold to be consistent with
    calls. Now we also need to guard against starting the GTimer multiple times.
    Originally filed as
    https://gitlab.gnome.org/GNOME/calls/-/issues/502
  * plugins/ticket-box: Remove duplicated text.
    One warning is good enough

  [ Guido Günther ]
  * call: Document class.
    This makes it show up properly in the documentation
  * sm.puri.OSK0: Document DBus interface.
    As other projects sync from here document the interface implemented
    by squeekboard, virtboard and phosh-osk-stub better.
  * docs: Include the sm.puri.OSK0 DBus interface in the documentation.
    This allows us to link to the rendered docs.
  * widget-box-standalone: Initialize libhandy.
    This makes sure the styles get loaded.
  * dir-locals: Prevent tabs in meson mode
  * Drop remaining users of config.h.
    It was renamed to phosh-config.h a while back
    Fixes: b5b03b0c0123e8533896cddbfff19f1648f77d61
  * widget-box-standalone: Improve comment
  * widget-box: Add missing quote
  * build: Add a pkgconfig file with plugin information.
    This allows other tools and external plugins to figure out
    the file system locations.
  * build: Allow to disable the plugin build.
    This allows to disable all plugins (e.g. to reduce compilation time
    or dependencies).
  * build: Add and install plugin header file.
    This simplifies external plugins.
  * plugins/calendar: Use plugin header
  * plugins/calendar: Pass plugin name to compilation units.
    This makes sure they don't get out of sync
  * plugins/ticket-box: Use plugin header
  * plugins/ticket-box: Pass plugin name to compilation units.
    This makes sure they don't get out of sync
  * plugins/upcoming-events: Use plugin header
  * plugins/upcoming-events: Pass plugin name to compilation units.
    This makes sure they don't get out of sync
  * Add a phosh-dev package.
    This includes pkg config files and headers. Currently this affects
    plugins and is useful for locating the plugins (e.g. to load them or
    parse related information) or to build plugins outside of phosh's source
    tree.
  * shell: Allow to query blanked state easily
  * notifications: Use silent feedback when blanked, not locked.
    Now that these two states will become different.
  * shell: Disconnect the right monitor in phosh_shell_set_primary_monitor.
    Fixes 817ac486 ("shell: Update top panel height on primary monitor resize")
  * shell: Simply on_monitor_removed logic
  * build: Add include directory for dbus sources too
  * Switch to gi-docgen (Closes: #589)
  * src: Fix doc headers.
    Drop short_description and title so gi-docgen can pick them up.
  * debian: Adjust packaging for gi-docgen switch
  * ci: Adjust to new doc location.
    We also skip the doc check until we fixed more warnings.
  * tools: Update doc check.
    Drop warnings/errors from wayland protocols and contrib source code.  We
    always exit with success for the moment until we cleaned up more bits.
  * wwan/ofono: Fix comment.
    Don't start with `**` if not meant for gtk-doc/gi-docgen
  * wwan/mm: Fix comment.
    Don't start with `**` if not meant for gtk-doc/gi-docgen
  * vpn-info: Fix property name
  * docs: Mention sm.puri.OSK0.
    The docs are generated via our patch to gdbus-codegen. Should these land
    we can create it during build time with the next glib release.
  * docs: Remove now unused files
  * network-auth-prompt: Document signal arguments
  * polkit-auth-promopt: Document signal arguments
  * ci: Skip pages job with PKG_ONLY

  [ Chris Talbot ]
  * lockscreen-plugins-calendar: Encapsulate calendar to include ui file
  * lockscreen-plugins-calendar: Encapsulate in GtkBox
  * lockscreen-plugins-calendar: Add CSS
  * lockscreen-plugins: Create Emergency Info and Contact Plugin

  [ Aleksandr Melman ]
  * Update Russian translation

  [ Zurab Kargareteli ]
  * Update Georgian translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Martin ]
  * Update Slovenian translation

 -- Guido Günther <agx@sigxcpu.org>  Tue, 20 Dec 2022 16:23:55 +0100

phosh (0.22.0) experimental; urgency=medium

  [ Guido Günther ]
  * build: Use glib_ver consistently
  * build: Bump required glib version to 2.66.
    This is the version in Debian stable so we can safely
    use this as baseline.
  * Allow for notifications to have actions on the lockscreen.
    Related: https://gitlab.freedesktop.org/xdg/xdg-specs/-/issues/103
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/620
  * Add libgmobile subproject.
    We'll use it for timers in follow up commits
  * upcoming-events: Use a suspend robust timer.
    We need a timer source that takes system suspend into account.
    Use gmobile's gm_timeout_add_seconds_once() that is there for
    that purpose. (Closes: #826)
  * lockscreen: Use G_SOURCE_{REMOVE,CONTINUE}
    Easier to read than TRUE/FALSE.
  * lockscreen: Use g_clear_handle_id()
    Less code, less chance to break things on refactor.
  * lockscreen: Don't use two independent if clauses.
    It's all based on index so use `if/else` instead.
  * lockscreen: Set entry sensitive when focused.
    Focusing will fail otherwise so let's keep these together
  * lockscreen: Mark entry as initially sensitive.
    This avoids the letter one on the keypad being focused initially
    fixing a visual glitch that was triggered by unifying button styles:
    https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/1154 Tested
    with both phosh-osk-stub and squeekboard.

  [ codewood ]
  * batteryinfo: Use percentage instead of icon-name to determine icon.
    Icon themes like adwaita provide icons for 10% steps, use these based on
    the current battery level rather than just the 3 levels provided by
    upower via the icon-name property.

  [ Sam Hewitt ]
  * overview: Close button improvements
    - new more proportional close icon
    - remove redundant css from close button and activity widget
  * style: Unified the button styles
    - cleans up a lot of duplication of button css
    - makes a single style for all buttons

  [ Zurab Kargareteli ]
  * Update Georgian translation

  [ Nathan Follens ]
  * Update Dutch translation

  [ Vojtěch Vengrin ]
  * Update Czech translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Vittorio Monti ]
  * Update Italian translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Danial Behzadi ]
  * Update Persian translation

 -- Guido Günther <agx@sigxcpu.org>  Wed, 26 Oct 2022 16:26:10 +0200

phosh (0.21.1) experimental; urgency=medium

  [ Guido Günther ]
  * screen-saver-manager: Shorten DBus names.
    Make it match the PhoshDBusLoginSession proxy.
  * screensaver-manager: Use cancellable.
    This makes sure we cancel pending calls on shutdown and allows
    us to drop some refs/unrefs.
  * packaging: Ship NEWS.
    It's a short summary of upstream changes.
  * packaging: Update copyright.
    This got improved quite a bit so lets fetch this upstream too
    to minimize the delta.
  * packaging: Fix postinst interpreter
  * event-list: Use plain week day.
    This matches the designs and helps languages that would otherwise
    need a more complex pattern.
  * upcoming-events: Use ngettext for different plural forms
  * Update libcall-ui to 0.0.5.
    There aren't any breaking changes but the style refresh
    makes longer strings fit way better.
  * log: Track log domains instead of passing it to the handler as user data.
  * ci: Update cross image. This allows the i386 build to pass again
  * screen-saver-manager: Shorten DBus names.
  * shell: Avoid screen-saver singleton.
  * monitor-manager: Add method to set power-save mode of all monitors
  * Move blank on presence status change to screen-saver.
    This was on the LockscreenManager before but for blanking
    only we want it on the screensaver.

  [ Evangelos Ribeiro Tzaras ]
  * packaging: Mark phosh-doc as Multi-Arch:foreign (was all)
  * log: Guard against setting g_log_set_writer_func() multiple times.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/841
  * shell: Tweak phosh_shell_set_state() debug message

  [ Fiona Klute ]
  * util: Don't use G_REGEX_JAVASCRIPT_COMPAT.
    G_REGEX_JAVASCRIPT_COMPAT is unsupported as of glib 2.74 and
    not needed for the regex at hand.
    This works around a crash triggered by glib's switch to pcre2.
    See https://gitlab.gnome.org/GNOME/glib/-/merge_requests/2920

  [ Sam Hewitt ]
  * style: Overview & appgrid fixes for high contrast

  [ Zurab Kargareteli ]
  * Update Georgian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Piotr Drąg ]
  * Update Polish translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Goran Vidović ]
  * Update Croatian translation

  [ Aleksandr Melman ]
  * Update Russian translation

  [ Vittorio Monti ]
  * Update Italian translation

  [ Марко Костић ]
  * Update Serbian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Rūdolfs Mazurs ]
  * Add Latvian translation

  [ Martin ]
  * Update Slovenian translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 Sep 2022 11:19:53 +0200

phosh (0.21.0) experimental; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * Update libcall-ui.
    This brings some UX improvements for the call display and updated
    translations.

  [ Guido Günther ]
  * shell-manager: Simplify include
  * shell-manager: Report version over DBus.
    Use GNOME_PLATFORM_VERSION and phosh's version on recent GNOME and
    fall back to gnome-desktop XML for older versions.
    Thanks to Jeremy Bicha for bringing this up.
  * gitlab-ci: Update container.
    Drop several workarounds to fetch recent phoc and just get it from
    unstable until it migrates to testing.
  * ambient: Set array size to 0.
    A bit simpler than removing elements
  * ambient: Clear array when we unclaim the sensor.
    This makes sure we don't start with a partially filled array
    claiming it again
  * ambient: Make sure to stop callback and unref array.
    Otherwise we leak on shell shutdown.
  * ambient: Claim / unclaim the sensor on shell unblank / blank.
    This makes sure the sensor chip can sleep when the screen is off
    (and hence any theme switching is useless)
  * screenshot-manager: Capture all outputs.
    So far we only grabbed the primary one.
  * sceenshot-manager: Handle grabbing a screen area.
    This allows the "Selection" button in gnome-screenshot to work.
    We use the slurp tool for that.
  * d/control: Recommend slurp.
    Used for marking the screenshot area
  * tools: Add helper to take screenshots
  * screencopy-manager: Avoid stdout.
    This trips up alpine's compiler
  * screenshot-manager: Fall back to g_memdup for older glib.
    Can be removed once we can assume 2.68.
  * libcall-ui: Update libcall-ui.
    This unbreaks the lock screen by moving to a commit
    that includes
    https://gitlab.gnome.org/World/Phosh/libcall-ui/-/merge_requests/55
  * gitignore: Ignore packaging directories
  * build: Drop -DHAVE_CONFIG.H.
    Fixes b5b03b0c0 ("build: Rename config.h to phosh-config.h")
  * build/gtk-list-models: Make them available in other dirs.
    Use file() rather than relative paths and introduce variable
    for include directories.
  * build: Move app id to phosh-config.h.
    This makes it available for other services as well
  * ci: Update build-deps.
    Update the build deps for Debian builds so we catch new ones added in
    MRs.
    Things got a bit simpler now that recent phoc is in bookworm.
  * ci: Add eds-dev to alpine build-deps
  * Add gnome-shell's calendar server.
    Import the whole folder as of 2c89b62247cf65a806173c901334e18671f67440
    before making any changes.
  * calendar-server: Drop unused files
  * calendar-server: Fix build
  * calendar-server: Don't shadow local variable
  * calendar-server: Don't hardcode either phosh nor gnome-shell.
    Will hopefully allow to share the code in the future.
  * calendar-server: Handle NULL zone
  * calendar-server: Use SPDX-License-Identifier
  * calendar-server: Add color to events.
    We add them as additional hint to each event. Tracking color
    changes will be a follow up.
  * debian: Install calendar-server and it's dependencies
  * plugins: Add an upcoming events plugin.
    The upcoming-events plugin implements the phosh-lockscreen-widget
    extension point so it can be displayed on the lock screen. It shows the
    upcoming events during the next 7 days.  Includes style fixes by Sam
    Hewitt
  * tools: Enable upcoming-events plugin
  * tools: Don't use magic constant gtk style priority
  * main: Drop unused variable
  * ci: Exclude autogenerated and imported sources
  * plugin-loader: Add and use property getters.
    Eases adding tests
  * tests: Test plugin loader.
    We skip that under ASAN as plugins aren't found in the ASAN build.
  * ci: Drop Needs: for po and license checks.
    They don't need to wait for a build. This gives gitlab-ci more
    room to schedule jobs as it sees fit.
  * ci: Avoid artifact downloads for jobs that don't need it.
    This saves ci resources.
    Fixes: f4b8daec ("ci: Drop Needs: for po and license checks")
  * calendar: Add plugin information.
    This allows us to provide description, etc. Since we use keyfiles we can
    use the same keys as in desktop files to leverage the translation
    system.
  * debian: Install plugin info
  * upcoming-events: Drop underscore from plugin path.
    This makes it match the name.
  * upcoming-events: Add plugin information
  * widget-box: Don't load widgets twice
    phosh_widget_box_set_plugins() already loads them.
  * widget-box: Add a placeholder page when a plugin could not be found
  * widget-box: Drop define from printf
  * tools: Add a nonexistent plugin.
    This allows to easily check the missing plugin page

  [ Sebastian Krzyszkowiak ]
  * overview: Only focus an activity on page change if it's not focused.
    Fixes #818

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Goran Vidović ]
  * Update Croatian translation

 -- Guido Günther <agx@sigxcpu.org>  Wed, 31 Aug 2022 11:33:08 +0200

phosh (0.20.0) experimental; urgency=medium

  [ Guido Günther ]
  * media-player: Don't forget to clear cancellable.
    We did cancel it but didn't dispose it yet.
  * Switch to HighContrast based on ambient sensor readings.
    Add an automatic high contrast toggle that allows to switch
    to HC automatically based on the current light level.
  * settings: Drop superfluous can-focus properties
  * shell: Move style sheet getter to separate function.
  * tests: Add simple test to load stylesheet.
    Stylesheet changes trigger warnings ever so often, add a test
    to catch these early.
  * d/control: Bump phoc dependency.
    Needed for
    https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/1115
    (Handle draggable-layer sizing on monitor mode changes)
  * home: Focus app search on application-view action.
    The application-view action (triggered by
    KEYBINDING_KEY_TOGGLE_APPLICATION_VIEW (super-a)) is supposed to focus
    the app search. This got broken when moving to draggable layer surfaces.
    Fixes: 22b03f7f2 ("home: Make it a draggable layer surface")

  [ Sebastian Krzyszkowiak ]
  * lockscreen: Use page-changed signal when appropriate
    notify::position sometimes ends up sending starting event with position
    of the page that's being switched away from, which made us execute handlers
    that should only be called when switching into a new page. Fix that by
    using page-changed signal when appropriate - timer handling still uses
    notify::position since it needs to react to scrolling just being started.
    Fixes #664
  * lockscreen: Allow show_unlock_page to execute mid-transition.
    Otherwise it feels like the key event is missed when the user starts typing
    while page switch is still being animated.
  * lockscreen: Clear input right away when pressing ESC.
    It gets cleared by page-changed handler, but that happens only at the end
    of the scroll animation. If the user presses ESC and then quickly starts
    to type again, we would counter-intuitively end up appending to already
    filled up entry.

  [ Sam Hewitt ]
  * style: Fix osd using hardcoded colors
  * style: Fix notifications in high contrast

 -- Guido Günther <agx@sigxcpu.org>  Wed, 03 Aug 2022 12:32:34 +0200

phosh (0.20.0~beta3) experimental; urgency=medium

  [ Guido Günther ]
  * lockscreen: Drop am/pm from time formats (Closes: #103)
  * data: Install and add icon to desktop file.
    This will allow us to use it in e.g. phosh-mobile-settings panels.
  * tests: Allow for phosh's icon.
  * build: Adjust to polkit version changes.
  * build: Rename config.h to phosh-config.h.
    Otherwise we end up including config.h from elsewhere e.g. gvc.
  * testlib: Kill compositor on SIG{ABRT,SEGV,TRAP}
  * drag-surface: Add threshold getter. For symmetrie with the setter.
  * drag-surface: Remove drag_surface_new (). The created object is not very
    useful as we need to setup layer-surface too.
  * drag-surface: Fix argument type. Fold margins are integers.
  * tests: Add drag surface test.
    This way we at test the setters and getters.
    Fixes: 578a666f7fb69553bdf82ff8ab390467ab25165f
  * tests: Don't change signal handlers when ASAN is in use.
    ASAN wants to tweak these so don't touch them in these cases.
  * build: Abort post-install on missing arguments.
  * gitignore: Ignore i18n related generated files
  * lockscreen: Avoid some keyboard filtering when not on unlock page.
    This allows for keyboard navigation with the upcoming lockscreen plugins
    and emergency call support.
  * Add widget box to lock screen.
    The widget box loads plugins that implement the phosh-lockscreen-widget
    extension point and puts them on the lock screen.
    Swiping to the left switches to the plugins if at least one is enabled.
  * build: Generate module cache on install
  * tools: Add standalone widget-box.
    This allows to test the lock screen plugins without
    running phosh itself.
  * plugins: Add minimalistic calendar plugin.
    It implements the phosh-lockscreen-widget extension point. It's
    main purpose is to have a minimalistic example.
  * debian: Install plugins.
    We use an extra binary package so people can easily get rid of
    plugins and their dependencies. It will also help splitting things
    into a separate repo later.
  * debian: Add trigger for plugin directory.
    Run gio-querymodules to build the cache. Most of this copied
    from Debian's glib package.
  * monitor-manager: Drop useless ref.
    We unref right away anyway (by automatic cleanup) at the end of the
    function
  * monitor-manager: Make different enum types explicit.
    PhoshMonitorTransform and wl_output_transform have the same values
    but don't convert implicitly.
  * monitor: Add helper to detect "tilted" transforms.
    We consider a transform to tilt the display if it changes the
    display orientation from portrait to landscape or vice versa.
  * head: Make header private.
    PhoshHead should only be used by PhoshMonitorManager (and tests).  We
    had it in the comments, reflect it in the file name too.
  * monitor-manager: Move transform setting to PhoshHead.
    It only affects the heads which will ease testing.
  * monitor-manager: Adjust layout when rotating an output.
    When rotating an output we need to adjust outputs left and below the
    rotated output to avoids gaps or overlaps in the layout.
    We shift all these heads whether they're currently enabled or not.

  [ Sam Hewitt ]
  * icons: Add symbolic icon for Phosh

  [ Sebastian Krzyszkowiak ]
  * tests/stubs: Add phosh_shell_get_docked
  * overview: Raise toplevels on activity scrolling.
  * shell: Don't fold the top panel and keyboard on unfolding home screen.
    This isn't necessary anymore.
  * ui/lockscreen: Set the PIN entry to be initially insensitive.
    We change sensitivity based on carousel page in C code, but
    the initial state stayed out of sync, which could cause
    the keyboard to pop up right after locking the screen.
    Fixes: 5300ba2ce ("lockscreen: Use entry focus to request OSK")
  * stylesheet: Remove background from keypad's focused buttons.
    Focus doesn't do much there as the lockscreen intercepts keyboard
    input by itself, so don't display any visible focus indication
    to not confuse users.
  * lockscreen: Focus PIN entry on carousel page change when OSK is on.
  * lockscreen: Focus PIN entry regardless of OSK status.
    Won't hurt, but seems like a good idea that may help accessibility tools.
  * stylesheet: Apply lockscreen PIN entry styles also to disabled state.
    Otherwise caret-color may end up being animated when toggling sensitivity.
  * home: Remove duplicated "unfold on no activities" handling.
    It's already taken care of by PhoshShell.
  * shell: Only fold the home screen when the first toplevel is added.
    Folding when any window appears can get annoying if the user unfolds
    the home screen while waiting for an app to launch (for example to launch
    another app simultaneously).
  * home: Don't (un)fold while being dragged.
    Don't forcefully pull the surface out from under the user's finger.
  * overview: Focus the activity on carousel page change.
    Without this, we may end up scrolling back to some previously
    focused activity on carousel focus if the active activity has
    changed while the carousel wasn't focused.
  * overview: Focus the activity right away when scrolling to it.
    This fixes the same issue as the previous commit, but in cases
    where scrolling has been invoked programmatically by phosh and
    the animation hasn't finished before PhoshHome gained focus.

  [ Alexander Mikhaylenko ]
  * docked-manager: Update gtk4 is-phone setting too.
    Since gtk4 needs to be parallel-installable with gtk3, it ships its own
    schema. Change it as well.

  [ Efstathios Iosifidis ]
  * Update Greek translation

  [ Vittorio Monti ]
  * Update Italian translation

  [ Мирослав Николић ]
  * Update Serbian translation

  [ Zurab Kargareteli ]
  * Update Georgian translation

 -- Guido Günther <agx@sigxcpu.org>  Tue, 19 Jul 2022 09:52:36 +0200

phosh (0.20.0~beta2) experimental; urgency=medium

  [ Guido Günther ]
  * screen-saver-manager: Lock screen when suspending.
    This avoids seeing the unlocked screen for a moment on resume.
  * run: Add --args when using gdb.
    This makes sure `-U` isn't parsed by gdb.
    Thanks to Adrien Plazas for pointing this out.
  * shell: Honor modal dialogs and full screen when raising top-bar.
    Just handling the fader isn't enough as we want full screen windows and
    modal dialogs to stretch over the top bar as well.
    We have some more cases like screenshost screen flash but that needs
    proper z-level which we can introduce once the layer-shell-effects is
    in. Same if we want system modal dialogs on the lock screen.
    Fixes: 55bbe5758ba947a1d77c4b75d4424ea8cf4ebac6
    Closes: https://gitlab.gnome.org/World/Phosh/phoc/-/merge_requests/370
  * shell: Don't try to close top-panel when not yet created.
    On start up there's no top-panel so don't try to close it
  * shell: Select top-panel layer based on lock state.
    When the panel gets created we want the overlay layer in case the screen
    is locked, otherwise top layer.
  * idle-manager: Drop primary monitor.
    We don't need it there and just hold a ref that we (so far) never gave
    up again.
  * tools: Add helper to submit a notification.
    Makes it simpler to test notifications style from the command line.
  * data: Indicate that we provide user feedback via audio, led and haptic.
    This will help setting apps to configure this.

  [ Evangelos Ribeiro Tzaras ]
  * Update libcall-ui to v0.0.3.
    Brings some UI tweaks, encryption indicator that is bound to calls
    `encrypted` property, fixes a small issue with libcallaudio usage and
    lots of updated or added translations.

  [ Linus Walleij ]
  * shell: Set monitor when creating rotation manager.
    I had an annoying bug on Samsung phones such as GT-I9070,
    GT-I8160 and GT-I8530 all using DPI displays that did not
    properly instantiate the rotation manager, while
    phones on the same platform using DSI would work fine.
    If the primary monitor has already arrived when the rotation
    manager is instantiated, the monitor does not get assigned to
    the rotation manager.
    This happens of phones such as Samsung GT-I9070 which use
    DPI displays on MCDE that arrive apparently very quickly.
    The same U8500 platforms with DSI displays does not have this
    problem, presumably because the primary monitor arrives
    later.
    This fix was developed working entirely on the target,
    compiling Phoc and Phosh natively on the GT-I9070 dual Cortex-A9
    and iteratively editing, recompiling and testing modifications
    to Phosh on the target itself.

  [ Sebastian Krzyszkowiak ]
  * activity: Emit "resized" signal
    size-allocate can fire despite of allocation not changing at all,
    so add our own signal that checks forchanges to get rid of
    extraneous thumbnail refreshes.
  * util: Add phosh_util_toggle_style_class
  * activity: Add "fullscreen" property
  * toplevel: Add "fullscreen" property
  * overview: Don't draw grey background around fullscreen window's thumbnail
  * top-panel: Crossfade between fold states
  * lockscreen: Use entry focus to request OSK.
    This allows the compositor to make informed decisions about
    when to elevate the keyboard surface above shell.
  * home: Reset overview at the beginning of unfolding.
    This prevents flicker at the end of unfolding animation.
  * overview: Request a thumbnail for foreground activity on reset.
    This reduces the amount of flickering when the thumbnail gets
    updated, especially when OSK hiding is involved.
  * overview: Don't update thumbnails when overview is unfolded.
    We don't do live updates of thumbnails yet, so having them update out of
    sudden but only in some situations makes it look unpolished. We still want
    to update when overview is folded in order to keep cache of thumbnails
    in state that was seen by the user the last time when windows change focus.
  * home: Update keyboard interactivity right away when user starts folding.
    This gets rid of keyboard flicker when folding animation finishes and
    an application that requested input method gets focus back.
  * home: Use a revealer to fade in/out the keyboard button
  * home: Hide the keyboard button right away when starting dragging
  * home: Don't hide the arrow when the surface is being dragged.
    Without this check, the arrow stays hidden during folding with
    no activities until the end of that animation.
  * top-panel: Disable keyboard interactivity while dragged.
    This allows OSK to pop back up earlier when folding, and makes it stay
    visible during unfolding animation or drag.

  [ Pablo Barciela ]
  * app-auth-prompt: Drop unused code
    add_choice_to_gvariant looks at the switch state not at data
    we store on the GObject so this code can go.

  [ Gerben Jan Dijkman ]
  * polkit-auth-agent: Scope cleanup function for PolkitAgentListener.
    Newer polkit defines a cleanup function so avoid it for polkit >= 0.121

  [ Sam Hewitt ]
  * notifications: Layout adjustments
    * put buttons in a horizontal alignment
    * update some label style classes

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Piotr Drąg ]
  * Update Polish translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Nathan Follens ]
  * Update Dutch translation

  [ Aleksandr Melman ]
  * Update Russian translation

 -- Guido Günther <agx@sigxcpu.org>  Wed, 15 Jun 2022 14:10:41 +0200

phosh (0.20.0~beta1) experimental; urgency=medium

  [ Guido Günther ]
  * This is a beta release
  * portal-access-manager Sync dialog visibility with locked state.
    Otherwise we can have the dialog pop up on the lock screen.
  * settings: Make ui file match the class name.
    Another ancient inconsistency cleaned up.
  * Add no-notifications icon
  * settings: Mark button label as translatable
  * settings: Add indication when there are no notifications
    (Closes: #744)
  * lockscreen: Fix typo
  * lockscreen: Remove unneeded packaging
  * lockscreen: Name clock and date labels.
    Rather than using a style class name this single instance.
    This allows us to attach style classes in less confusing ways.
  * lockscreen: Move call-ui down by top-panel's height.
    Since the top-bar now takes up space we don't want the back
    button to overlap the top-bar.
    We chose that approach instead of changing the lockscreens exclusive
    zone so that it keeps to extend below the top bar. This will make e.g. a
    transparent top bar work as the background can shine through and also
    make the "centered" property of GtkBoxes on the lock screen still center
    on the screen without having to care for additional padding.
  * top-panel: Move top-panel to overlay layer.
    This allows to show the indicators on the lock screen.
  * top-panel: Prevent unfold when locked.
    We'll enable quick settings access in a separate MR. This will be a bit
    more involved as we need to disable long press, hide notifications, etc.
  * top-panel: Hide clock when shell is locked.
    We have a clock on the lock screen already
  * lockscreen: Drop indicators
  * lockscreen: Adjust clock and data size based on notifications.
    If notifications are present use a smaller clock. (Closes: #640)
  * lockscreen: Add bottom margin to center clock and date
  * lockscreen: Use revealer to show/hide notifications
  * shell: Move lock setting to function.
    This way we can avoid setting it multiple times
  * shell: Use explicit notify for locked property.
    Avoids rerunning code when there aren't any changes.
  * proximity: Add property to track fader status.
    This allows other parts of the shell to perform actions based on
    that.
    We want to move the whole fader handling out of the proximity sensor at
    some point.
  * shell: Hide top-panel when proximity fader is on.
    Since the top-panel uses an exclusive zone and the fader doesn't, the
    top-panel is arranged on top of the fader. Due to this the top-panel
    would still accept input e.g. during phone calls which leads to odd
    results when typing with the ear.
    So hide the top-panel for the moment when the fader is active. Later on
    we can move it one layer down which is a bit nicer but needs the
    corresponding phoc patches to support that.
  * shell: Mirror docked property.
    Easier to access (read) in other places of the shell
  * shell: Document `locked` property
  * shell: Use getter for locked property.
    For consistency.
  * top-panel: Disconnect seat signals.
    Otherwise we might get called after dispose (e.g. after moving
    primary to a new output)
  * top-panel: Show keyboard indicator only in docked mode (Closes: #206)
  * top-panel: Remove packed from indicators box.
    Not needed there.
  * top-panel: Remove can-focus from indicators box.
    Not needed there.
  * batteryinfo: Fix indentation
  * feedbackinfo: Add muted property.
    This allows to hide the icon when 'full' profile is in effect.
  * top-panel: Show feedback indicator (Closes: #284)
  * util: Use GCC diagnostic push.
    This makes sure we restore the old value
  * settings: Add on-lockscreen property.
    Indicates whether settings are currently displayed on the lock screen
    or in the unlocked shell.
    This eases binding bindings in templates.
  * settings: Add a box for the elements not visible on the lock screen.
    Toggle these by the "on-lockscreen" property.
  * settings: Consolidate all g-c-c panel opening in a single location
  * settings: Ignore long press that leads to g-c-c.
    This won't work on lock screen. We can keep the long press on
    the rotation button as this doesn't spawn anything else.
  * settings: Reindent ui file.
    Do this as a separate commit to ease review and rebase
  * top-panel: Hide power button on lock screen.
    We might support that later on but just hide it for now. This will
    change anyway with gestures.
  * Revert "top-panel: Prevent unfold when locked"
    Let's allow for quick settings on the lock screen
    This reverts commit a5beb47745a8632ec3bab3377005a68b009ef2b4.
    (Closes: #603)
  * top-panel: Move power button.
    Move the power button out of the stack that has the size
    of the top-bar. This will allow us to style it properly.
  * top-panel: Style power button.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/331
  * top-panel: Add larger clock when panel is unfolded.
    See e.g. https://gitlab.gnome.org/World/Phosh/phosh/-/issues/331
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/717
  * top-panel: Use property binding for the clock.
    Less code.
  * top-panel: Add lock-screen button.
    See https://gitlab.gnome.org/World/Phosh/phosh/-/issues/331
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/331
  * top-panel: Add arrow.
    This makes it match the mockups more
  * top-panel: Disable power/user button when on lockscreen.
    We do this by introducing a "on-lockscreen" property.
  * top-panel: Remove <packing> from network box.
    Just use the defaults.
    We don't have outstanding changes there so it doesn't create any merge
    conflicts.
  * d/control: Add libxml-utils. This allows to strip blanks.
  * d/control: Add xwayland to test dependencies
  * d/control: Add librsvg2-common.
    This helps to load SVG icons in the tests
  * tests: Disable thumbnail related test.
    Phoc currently doesn't support this with the headless backend.
    See https://gitlab.gnome.org/World/Phosh/phoc/-/issues/262
  * gitlab-ci: Only run unit test suite on alpine.
    This is more future proof than just skipping the screenshot tests
  * gitlab-ci: Build container without cache.
    This makes sure the container is rebuilt instead of just refreshed.
  * gitlab-ci: Use more caps when running docker container.
    This allows us to run gdb, etc. and we mostly want it for debugging.
  * gitlab-ci: Use newer docker file for builds and tests.
    This makes sure we build against GNOME 42.
  * layer-surface: Use namespace in debug messages.
    This greatly simplifies figuring out which surface this is about.
  * shell: Document phosh_get_usable_area ()
  * shell: Add helper to get whole screen area
  * top-panel: Fix namespace
  * top-panel: Use the full screen height for the top panel.
    For that we reduce the notification's scrolled window minimum height a
    bit as it will expand by itself.
    This prevents the settings menu from expanding beyond the lower screen
    edge in portrait mode (which happened so far when media player and
    notifications were shown).
    Using the fulls screen height is also in line with the designs -
    although it will be a bit black heavy in docked mode. We will need to
    compensate for that e.g. by using less black (and e.g. just blur the
    underlying screen space).
    This is in preparation for the gesture code as the draggable surface also
    uses the full screen height.
  * settings: Set vexpand on the notifications list box.
    Otherwise the initial notification might get cut off if it has multiple
    lines and an action.
  * top-panel: Ease UI file navigation.
    Add some comments
  * top-panel: Fix box_clock indentation.
    When moving elements around we wanted to have as little diff noise as
    possible, fix that up now.
  * proximity: Move fader handling to separate functions.
    Unclutters the code but also makes sure we always emit the notify
    signal. This wasn't the case in on_proximity_claimed before which
    resulted in the top-bar not showing up again.
  * meson: Add default prefix
  * dbus: Use default prefix for org.freedesktop.hostname1
  * dbus: Use default prefix for org.freedesktop.login1
  * top-panel: Fix inverted on-lockscreen logic
  * top-panel: Hide lock on lock-screen
  * gitlab-ci: Pull phoc 0.13.1 from Debian sid.
    We need that for the tests to pass
  * d/control: Require recent enough phoc.
    We want one that has layer-surface v2 support
  * protocol: Update layer-surface protocol to version 4.
    This is from phoc as of commit e86771e1ffccf216b2c016cf93226cc77e5caab5
  * wayland: Require layer-shell protocol version 2.
    We want to use set_layer.
  * layersurface: Allow to set layer
  * shell: Lower top-panel when proximity fader is on.
    Since the top-panel uses an exclusive zone and the fader doesn't the
    top-panel is arranged on top of the fader. Due to this the top-panel
    would still accept input e.g. during phone calls which leads to odd
    results when typing with the ear.
    Moving the top-panel to another layer is a bit nicer than just hiding
    it since we still have the layer around on the unlocked shell in
    case something goes wrong.
  * gitlab-ci: Deduplicate locale generation
  * home: Fix typo
  * settings: Fix typo
  * top-panel: Update doc string
  * shell: Drop outdated comment
  * build: Untabify tests meson build file
  * overview: Drop properties at their default values
  * layer-surface: Drop constructed()
    We can do all the work in init() which is there anyway.
  * layer-surface: Only emit configured when s.th. changed
  * Add draggable layer surfaces.
    They use the layer-shell-effects protocol to mark themselves draggable in
    one direction.
    Implementation is similar to layer-surface:
      - configure on mapped
      - guard all property setters so they don't fail with a NULL drag_surface
        which is the case during object creation
  * phosh-wayland: Require layer-shell-effects.
    We can't do anything useful without it.
  * phosh-wayland: Make it more clear what's missing
  * util: Add helper to distinguish touch from non touch press/release
  * top-panel: Remove superfluous can-focus properties from network box
  * top-panel: Make it a draggable layer-surface.
    Turn the top-panel into a draggable layer surface. This changes the
    behaviour from hiding/showing certain elements based on folded/unfoleded
    state to having all elements visible all the time having the DragSurface
    determine which bits are currently on screen.
    Since the DragSurfaces has folded and unfolded states by itself we can
    use that instead of keeping track of it on our own.
  * top-panel: Use full screen height.
  * top-panel: Don't trigger feedback.
    We don't want haptic feedback on swipe start and not on click either
    as that will be mouse only.
  * top-panel: Animate arrow
  * top-panel: Handle mouse click via gesture.
    We don't want to trigger fold/unfold on touch events as they'll
    be used for drag.
    This allows us to drop the button completely.
  * settings: Allow to retrieve a suitable drag handle offset.
    Based on the UI elements calculate a suitable draggable area.
    In follow ups we can take the notifications scroll position
    into account as well.
  * top-panel: Update drag-handle based on settings.
    Respect the drag area for touches settings informs us about.
  * home: Make it a draggable layer surface.
    Disable click related handling for now. Will be added
    back in a later commit.
  * home: Don't trigger feedback.
    We don't want haptic feedback on swipe start and not on click either
    as that will be mouse only.
  * home: Drop some unneeded properties.
    Eases GTK4 migration
  * home: Handle mouse click via gesture.
    We don't want to trigger fold/unfold on touch events as they'll
    be used for drag.
    Similar to what we do for the top-bar.
  * settings: Don't close when clearing all notifications.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/760
  * tests: Disable parallel tests with compositor.
    They currently fail when run in parallel. We'll investigate when phoc
    side is merged. Tests don't run much longer as those are quick.
  * gitlab-ci: Use a compositor that can handle gestures.
    Workaround the fact that the phoc side isn't merged yet by grabbing
    a suitable package from CI.
  * top-panel: Reindent ui file.
    Mechanical change now that
    https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/934 is
    merged.
  * home: Reindent ui file.
    Mechanical change now that
    https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/934 is
    merged.
  * bars: Add back 1px border in high contrast.
    Fixes 0ea0cccfd ("home: Handle mouse click via gesture")
  * top-panel: Drop phosh-top-bar style class.
    We have CSS by widget class and name already , we don't need styling per
    class too.
  * top-panel: Emit activated signal instead of folding/unfolding.
    Don't frees the top-panel from managing it's own state again.
    While at that make the signal and method names match our top-panel
    naming.
    Fixes 0ea0cccfd ("home: Handle mouse click via gesture")
  * top-panel: Fix comment
  * shell: Rename panel to top_panel.
    The "panel" term is from the times when we only had a single
    panel at the top but no home panel.
  * notify-manager: Move source layout closer to guidelines.
    We want the signals above the definition and the forward declaration
    for interface right above G_DEFINE_TYPE_WITH_CODE().
  * notify-manager: Drop SIGNAL_ from signal names.
    Consistent with other source files.
  * notify-manager: Emit "notification-activated"
    Emit a signal when a notification gets activated. This allows other
    parts of the shell to react on this.
  * shell: Fold top-panel on screen lock.
    This avoids that the user doesn't look at the (almost empty) settings
    when unblanking the screen.
  * shell: Fold top-panel when a notification gets activated.
    Otherwise we still cover the whole screen
  * util: Add helper to check if gnome-software is available
  * app-grid-button: Add "View Details" entry.
    Helps https://gitlab.gnome.org/World/Phosh/phosh/-/issues/549 as
    gnome-software offers an uninstall button there.
  * d/control: Bump phoc dependency.
    We require at least 0.20.0 due to phoc-layer-shell-effects
  * gitlab-ci: Use phoc 0.20.0.
    We'll update the base images once it migrated

  [ Sebastian Krzyszkowiak ]
  * hks-manager: Set rfkill IOChannel to non-buffered.
    Part of the kernel API is that the messages are delivered as
    separate reads. Buffering can mess it up, so disable it.
    This has been made apparent by kernel commit
    54f586a9153201c6cff55e1f561990c78bd99aa7,
    which makes the reads not exceed RFKILL_EVENT_SIZE_V1 by default.
    We are asking for more, so buffering was doing additional
    read calls on our behalf.
  * top-panel: Set drag threshold to 0.3 for consistency with PhoshHome
  * top-panel: Update PhoshArrow progress during surface drag
  * home: Update PhoshArrow progress during surface drag

  [ Arnaud Ferraris ]
  * phoc.ini: Drop no longer needed scale config.
    As `phoc` is now able to automatically compute the scaling factor based
    on the output's physical size, we no longer need to set this value in
    the default config: `DSI` output should return a correct physical size,
    while `X11` and `WL` outputs advertise a 0x0 mm size, leading phoc to
    fall back to the default scale value (`1`).

  [ Thomas ]
  * Rename call-inbound to call-added.
    Rename the call-inbound signal to call-added and remove the check to see
    whether a call is inbound and display the call independent from its call
    state. This is required for emergency calls to work in #615 and !904.

  [ Sam Hewitt ]
  * osd-window: Update to match new design
    - changes osd window from fullscreen to top-aligned bubble
  * settings: Polish layout when there are not notifications
  * lockscreen: Tweak clock animations
  * lockscreen: Tweak wwan and battery indicator style.
    Close: #272
  * top-panel: Style tweaks.
    Improve clock and button styling

  [ InsanePrawn ]
  * gitlab-ci: Add networkmanager to alpine deps

  [ Pablo Correa Gómez ]
  * monitor-manager: Mark SetOutputCTM call as unimplemented
  * monitor-manager: Implement ApplyMonitorsConfigAllowed property.
    Otherwise the monitor configuration will be locked and not editable
    by the user.
  * monitor: Add "n-gamma-entries" property.
    The gamma-size handling in wlr is inherintly asynchronous. Therefore,
    track the value of "n_gamma_entries" in a property, so consumers
    can be notified of changes
  * monitor-manager: Implement NightLightSupported property.
    Will be needed for GNOME Settings to avoid letting users modify
    Night Light when that is not available.
  * dbus: Pull latest org.gnome.Mutter.DisplayConfig interface

  [ Nathan Sherwood ]
  * build: Use libhandy 1.2 if used as a subproject

  [ Nathan Follens ]
  * Update Dutch translation

  [ Pablo Barciela ]
  * Update Spanish translation

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Luna Jernberg ]
  * Update Swedish translation

  [ Vittorio Monti ]
  * Update Italian translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Piotr Drąg ]
  * Update Polish translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Quentin PAGÈS ]
  * Add and update Occitan translation

  [ Zurab Kargareteli ]
  * Add Georgian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 23 May 2022 11:11:56 +0200

phosh (0.17.0) experimental; urgency=medium

  [ Pablo Barciela ]
  * head: Variable 'float' instead 'int' for 'base_scaled_w'
    'floorf' returns 'float'
  * Fix [-Wignored-qualifiers] warnings.
  * meson: Avoid deprecated 'Dependency.get_pkgconfig_variable'
  * Update Spanish translation
  * wwan-info: Drop unused macro

  [ Guido Günther ]
  * layer-surface: Allow to fetch margins.
    This is a bit simpler than using g_object_get() directly.
  * layer-surface: Allow to fetch configured width and height.
    Avoid g_object_get() roundtrip
  * util: Move local_date() from lockscreen.
    It's useful in the top-panel too
  * arrow: Add doc string
  * home: Simplify osk button visibility setting
  * tests: Fix typo
  * wwan: Make source file name match PhoshWwanManager.
    We separate words by '-'.
  * vpn-manager: Drop property name prefix.
    Use the style from HACKING.md
  * settings: Include the abstract WWAN header.
    We don't use any backend specific code here.
  * docs: Add PhoshWwanManager
  * wwan-manager: Add data-enabled property.
    This allows to indicate whether mobile data is enabled
  * wwan-info: Make source file name match PhoshWWanInfo.
    We separate words by '-'.
  * wwan-info: Indicate status of mobile data.
    We use two arrays with icon names so we can still avoid allocations.
    (Closes: #721)
  * quick-settings: Follow g-c-c to Settings rename.
    We have another mention of org.gnome.ControlCenter in
    phosh_get_desktop_app_info_for_app_id() but let's keep that for one more
    iteration to ease upgrades. Settings now reports a sane app-id
    `org.gnome.Settings`.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/742
  * po: Drop es_ES.po. We have es.po
  * build: Document libphosh_{,tool_} sources
  * testlib: Clear heads and modes only when used.
  * debian: Install portal
  * ci: Simplify docker file for i386 builds.
    We don't need any packages from experimental anymore
  * ci: Use bookworm for i386 build too

  [ Sam Hewitt ]
  * data: Add no-data variant of cellular icons

  [ Kai Lüke ]
  * Emit WakeUpScreen signal and reset idle timers on resume.
    When the device resumes from suspend and there is no user input,
    gsd-power remains in the "sleep" state because there is no WakeUpScreen
    signal such that even when the new idle timer that gsd-power registered
    after resume triggers, the transition from "sleep" to "sleep" is
    ignored and the system does not suspend. A second difference to the
    behavior of Mutter/GNOME Shell is that on resume there is no reset of
    the registered idle timers which should also be fixed to ensure that
    Phosh behaves the same.
    Act on the logind PrepareForSleep signal (the resume case) to emit the
    WakeUpScreen signal and reset the idle timers.
    Fixes https://gitlab.gnome.org/World/Phosh/phosh/-/issues/686

  [ Florian Loers ]
  * portal: Add access api.
    Implements org.freedesktop.impl.portal
    Closes #49
  * data: Install phosh.portal.
    This makes xdg-desktop-portal use our access implementation.

  [ free software ]
  * po: Update Spanish translation

  [ Martin ]
  * Update Slovenian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Мирослав Николић ]
  * Update Serbian translation

  [ Prasanta Hembram ]
  * Add Santali translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Piotr Drąg ]
  * Update Polish translation
  * po: Remove .pot file.
    Damned Lies automatically generates one for us.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 22 Mar 2022 15:53:19 +0100

phosh (0.16.0) experimental; urgency=medium

  [ Guido Günther ]
  * Doc updates
  * tools: Add helper to check OSD
  * osd: Drop superfluous packaging. Eases the GTK4 port.
  * osd: Rely on GTK focus defaults. Smaller UI file and eases GTK4 port.
  * gnome-shell-manager: Simplify AcceleratorInfo handling.
    It was allocated outside of grab_single_accelerator() but
    the details weren't ever needed by the callers so keep things
    local so we don't end up leaking again.
  * keypad: Drop superfluous receives-default properties
  * keypad: Drop superfluous can-focus properties
  * doap: Update description
  * sm.puri.OSK0: Name method argument.
    This generates slightly nicer bindings and documents the
    argument in one go.
  * Drop osk-stub.
    Since this grew more and more features and people accidentally installed
    it (#720) move it to a separate repo:
    https://gitlab.gnome.org/guidog/phosh-osk-stub/
  * tools: Build app-buttons when tests are enabled.
    The screenshot tests use it and abort with a timeout if not
    present.
  * editorconfig: Bump line length to 100.
    This is what we've been using for some time
  * background: Don't unref NULL pixbuf.
    If no background was ever set we'd generate a critical otherwise.
  * phosh-wayland: Make sure to destroy all globals.
    Doesn't matter much in practice as they only get created once
  * phosh-wayland: Destroy output globals.
    Otherwise we leak on output hotplug too.
    Since we destroy the output when removing from the hash table
    we no longer need to do so explicitly.
  * layer-surface: Use g_clear_pointer.  Less code and easier to read.
  * tests/timestamp-label: Don't leak str
  * testlib: Finalize PhocWayland before killing the compositor.
    Otherwise we try to cleanup on a dead connection.
  * top-panel: Don't leak action_names.
    We free when the bindings change but not on dispose.
  * monitor-manager: Drop unused variable
  * monitor-manager: Use casts.
    This will warn us if we get the types wrong
  * tests: Generate better backraces with ASAN.
    It makes the ASAN runs way slower but backtraces are more useful with
    `fast_unwind_on_malloc=0`
    Partially fixes 7d5d1c39 ("ci: Drop valgrind run until we have more RAM")
  * leak-suppress: Add GDK leaks.
    Some things aren't cleaned up by GDK in GTK3. Add these.
  * testlib: Drop unused variable
  * tests: Add a stub for head handling.
    Otherwise we'll produce head related leaks in the tests.
  * gitlab-ci: Run phoc based unit tests as well.
    This greatly improves the ASAN coverage
  * tests-monitor-manager: Remove unused variable
  * wifimanager: Don't leak ssid on shutdown
  * test-take-screenshot: Free virtual keyboard
  * tests: Add osd-window unit test
  * fading-label: Add constructor
  * Avoid gchar in multiple places
    We want to use standard C types where possible
  * tests: Add fading label unit test
  * build: Move app-auth-prompt to libphosh_tool. This makes it available in
    the tests
  * tests: Add test for app-auth-prompt
  * keypad: Allow to shuffle buttons. Allow them 0-9 to take random positions
    while any extra keys remain at fixed positions)
    (Closes: #431)
  * lockscreen: Allow to toggle shuffle via gsetting.
    Enable via
       gsettings set sm.puri.phosh.lockscreen shuffle-keypad true
  * channel-bar: Don't expose adjustment.
    Rather emit the change signal directly. This allows us to e.g.
    set the slider to zero on mute while still retaining the old
    adjustment value.
  * channel-bar: Don't emit volume-changed when muted.
    We want to keep the original volume on the stream for unumute
  * settings: Set is-muted when channel is muted.
    This moves the volume slider to zero but unmute still restores the old
    volume.
  * channel-bar: Drop zero adjustment.
    This should have tracked the volume when muted but never did
  * monitor-manager: Fix fd leak.
    See https://gitlab.gnome.org/World/Phosh/phoc/-/issues/257
  * docs: Drop wayand protocols.
    Since they're not using gtk-doc parsing always gave heaps of errors and
    the generated don't have much to say either.
    It would be great to have them documented (e.g. by linking to the
    upstream docs) but we can do that with the switch to gi-docgen.
  * build: Bump meson version to 0.54.0. We'll use the fs module
  * protocols: Use custom_target.
    This reduces the number of targets from ~3700 to ~2500.
  * lockscreen-manager: Fix argument type
  * settings: Fix argument type
  * call: Use PROP_ID to override id, not PROP_DISPLAY_NAME.
